/*
 * ARM Limited (ARM) is supplying this software for use with Cortex-M
 * processor based microcontroller, but can be equally used for other
 * suitable processor architectures. This file can be freely distributed.
 * Modifications to this file shall be clearly marked.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * @file     a34m456.h
 * @brief    CMSIS HeaderFile
 * @version  1.0
 * @date     04. November 2024
 * @note     Generated by SVDConv V3.3.18 on Monday, 04.11.2024 11:24:17
 *           from File 'a34m456.svd',
 *           last modified on Tuesday, 20.08.2024 06:12:07
 */



/** @addtogroup ABOV Semiconductor Co., Ltd.
  * @{
  */


/** @addtogroup a34m456
  * @{
  */


#ifndef A34M456_H
#define A34M456_H

#ifdef __cplusplus
extern "C" {
#endif


/** @addtogroup Configuration_of_CMSIS
  * @{
  */



/* =========================================================================================================================== */
/* ================                                Interrupt Number Definition                                ================ */
/* =========================================================================================================================== */

typedef enum {
/* =======================================  ARM Cortex-M4 Specific Interrupt Numbers  ======================================== */
  Reset_IRQn                = -15,              /*!< -15  Reset Vector, invoked on Power up and warm reset                     */
  NonMaskableInt_IRQn       = -14,              /*!< -14  Non maskable Interrupt, cannot be stopped or preempted               */
  HardFault_IRQn            = -13,              /*!< -13  Hard Fault, all classes of Fault                                     */
  MemoryManagement_IRQn     = -12,              /*!< -12  Memory Management, MPU mismatch, including Access Violation
                                                     and No Match                                                              */
  BusFault_IRQn             = -11,              /*!< -11  Bus Fault, Pre-Fetch-, Memory Access Fault, other address/memory
                                                     related Fault                                                             */
  UsageFault_IRQn           = -10,              /*!< -10  Usage Fault, i.e. Undef Instruction, Illegal State Transition        */
  SVCall_IRQn               =  -5,              /*!< -5 System Service Call via SVC instruction                                */
  DebugMonitor_IRQn         =  -4,              /*!< -4 Debug Monitor                                                          */
  PendSV_IRQn               =  -2,              /*!< -2 Pendable request for system service                                    */
  SysTick_IRQn              =  -1,              /*!< -1 System Tick Timer                                                      */
/* ==========================================  a34m456 Specific Interrupt Numbers  =========================================== */
  LVI_IRQn                  =   0,              /*!< 0  LVI                                                                    */
  SYSCLKFAIL_IRQn           =   1,              /*!< 1  SYSCLKFAIL                                                             */
  HSEFAIL_IRQn              =   2,              /*!< 2  HSEFAIL                                                                */
  LSEFAIL_IRQn              =   3,              /*!< 3  LSEFAIL                                                                */
  WDT_IRQn                  =   6,              /*!< 6  WDT                                                                    */
  FRT0_IRQn                 =   8,              /*!< 8  FRT0                                                                   */
  FRT1_IRQn                 =   9,              /*!< 9  FRT1                                                                   */
  CFMC_IRQn                 =  11,              /*!< 11 CFMC                                                                   */
  DFMC_IRQn                 =  12,              /*!< 12 DFMC                                                                   */
  TIMER0_IRQn               =  15,              /*!< 15 TIMER0                                                                 */
  TIMER1_IRQn               =  16,              /*!< 16 TIMER1                                                                 */
  TIMER2_IRQn               =  17,              /*!< 17 TIMER2                                                                 */
  TIMER3_IRQn               =  18,              /*!< 18 TIMER3                                                                 */
  TIMER4_IRQn               =  19,              /*!< 19 TIMER4                                                                 */
  TIMER5_IRQn               =  20,              /*!< 20 TIMER5                                                                 */
  TIMER6_IRQn               =  21,              /*!< 21 TIMER6                                                                 */
  TIMER7_IRQn               =  22,              /*!< 22 TIMER7                                                                 */
  TIMER8_IRQn               =  23,              /*!< 23 TIMER8                                                                 */
  TIMER9_IRQn               =  24,              /*!< 24 TIMER9                                                                 */
  RNG_IRQn                  =  27,              /*!< 27 RNG                                                                    */
  PFCPPROT0_IRQn            =  33,              /*!< 33 PFCPPROT0                                                              */
  PFCPPROT1_IRQn            =  34,              /*!< 34 PFCPPROT1                                                              */
  PFCP_IRQn                 =  35,              /*!< 35 PFCP                                                                   */
  GPIOA_IRQn                =  36,              /*!< 36 GPIOA                                                                  */
  GPIOB_IRQn                =  37,              /*!< 37 GPIOB                                                                  */
  GPIOC_IRQn                =  38,              /*!< 38 GPIOC                                                                  */
  GPIOD_IRQn                =  39,              /*!< 39 GPIOD                                                                  */
  GPIOE_IRQn                =  40,              /*!< 40 GPIOE                                                                  */
  GPIOF_IRQn                =  41,              /*!< 41 GPIOF                                                                  */
  MPWM0PROT_IRQn            =  45,              /*!< 45 MPWM0PROT                                                              */
  MPWM0OC_IRQn              =  46,              /*!< 46 MPWM0OC                                                                */
  MPWM0_IRQn                =  47,              /*!< 47 MPWM0                                                                  */
  MPWM1PROT_IRQn            =  50,              /*!< 50 MPWM1PROT                                                              */
  MPWM1OC_IRQn              =  51,              /*!< 51 MPWM1OC                                                                */
  MPWM1_IRQn                =  52,              /*!< 52 MPWM1                                                                  */
  SPI0_IRQn                 =  55,              /*!< 55 SPI0                                                                   */
  SPI1_IRQn                 =  56,              /*!< 56 SPI1                                                                   */
  I2C0_IRQn                 =  60,              /*!< 60 I2C0                                                                   */
  I2C1_IRQn                 =  61,              /*!< 61 I2C1                                                                   */
  UART0_IRQn                =  63,              /*!< 63 UART0                                                                  */
  UART1_IRQn                =  64,              /*!< 64 UART1                                                                  */
  UART2_IRQn                =  65,              /*!< 65 UART2                                                                  */
  UART3_IRQn                =  66,              /*!< 66 UART3                                                                  */
  UART4_IRQn                =  67,              /*!< 67 UART4                                                                  */
  UART5_IRQn                =  68,              /*!< 68 UART5                                                                  */
  ADC0_IRQn                 =  74,              /*!< 74 ADC0                                                                   */
  ADC1_IRQn                 =  75,              /*!< 75 ADC1                                                                   */
  ADC2_IRQn                 =  76,              /*!< 76 ADC2                                                                   */
  CMP0_IRQn                 =  79,              /*!< 79 CMP0                                                                   */
  CMP1_IRQn                 =  80,              /*!< 80 CMP1                                                                   */
  CMP2_IRQn                 =  81,              /*!< 81 CMP2                                                                   */
  CMP3_IRQn                 =  82,              /*!< 82 CMP3                                                                   */
  CRC_IRQn                  =  85               /*!< 85 CRC                                                                    */
} IRQn_Type;



/* =========================================================================================================================== */
/* ================                           Processor and Core Peripheral Section                           ================ */
/* =========================================================================================================================== */

/* ===========================  Configuration of the ARM Cortex-M4 Processor and Core Peripherals  =========================== */
#define __CM4_REV                 0x0001U       /*!< CM4 Core Revision                                                         */
#define __NVIC_PRIO_BITS               4        /*!< Number of Bits used for Priority Levels                                   */
#define __Vendor_SysTickConfig         0        /*!< Set to 1 if different SysTick Config is used                              */
#define __MPU_PRESENT                  1        /*!< MPU present or not                                                        */
#define __FPU_PRESENT                  1        /*!< FPU present or not                                                        */


/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm4.h"                           /*!< ARM Cortex-M4 processor and core peripherals                              */
#include "a34m456_system.h"                     /*!< a34m456 System                                                            */

#ifndef __IM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __IM   __I
#endif
#ifndef __OM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __OM   __O
#endif
#ifndef __IOM                                   /*!< Fallback for older CMSIS versions                                         */
  #define __IOM  __IO
#endif


/* ========================================  Start of section using anonymous unions  ======================================== */
#if defined (__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined (__ICCARM__)
  #pragma language=extended
#elif defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic push
  #pragma clang diagnostic ignored "-Wc11-extensions"
  #pragma clang diagnostic ignored "-Wreserved-id-macro"
  #pragma clang diagnostic ignored "-Wgnu-anonymous-struct"
  #pragma clang diagnostic ignored "-Wnested-anon-types"
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined (__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined (__TASKING__)
  #pragma warning 586
#elif defined (__CSMC__)
  /* anonymous unions are enabled by default */
#else
  #warning Not supported compiler type
#endif


/* =========================================================================================================================== */
/* ================                            Device Specific Peripheral Section                             ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                        CHIPCONFIG                                         ================ */
/* =========================================================================================================================== */


/**
  * @brief Chip Configuration Data (CHIPCONFIG)
  */

typedef struct {                                /*!< (@ 0x4000F000) CHIPCONFIG Structure                                       */
  __IM  uint32_t  VENDORID;                     /*!< (@ 0x00000000) Vendor ID Register                                         */
  __IM  uint32_t  CHIPID;                       /*!< (@ 0x00000004) Chip ID Register                                           */
  __IM  uint32_t  REVNR;                        /*!< (@ 0x00000008) Revision Number Register                                   */
} CHIPCONFIG_Type;                              /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                            SCU                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief System Control Unit (SCU)
  */

typedef struct {                                /*!< (@ 0x40000000) SCU Structure                                              */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SMR;                          /*!< (@ 0x00000004) System Mode Register                                       */
  __IOM uint32_t  SRCR;                         /*!< (@ 0x00000008) System reset control Register                              */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  WUER;                         /*!< (@ 0x00000010) Wake-up Source Setting Register                            */
  __IM  uint32_t  WUSR;                         /*!< (@ 0x00000014) Wake-up Source Status Register                             */
  __IOM uint32_t  RSER;                         /*!< (@ 0x00000018) Reset Source Setting Register                              */
  __IOM uint32_t  RSSR;                         /*!< (@ 0x0000001C) Reset Source Status Register                               */
  __IOM uint32_t  PRER1;                        /*!< (@ 0x00000020) Peripheral Reset Enable Register1                          */
  __IOM uint32_t  PRER2;                        /*!< (@ 0x00000024) Peripheral Reset Enable Register2                          */
  __IOM uint32_t  PER1;                         /*!< (@ 0x00000028) Peripheral Enable Register1                                */
  __IOM uint32_t  PER2;                         /*!< (@ 0x0000002C) Peripheral Enable Register2                                */
  __IOM uint32_t  PCER1;                        /*!< (@ 0x00000030) Peripheral Clock Enable Register1                          */
  __IOM uint32_t  PCER2;                        /*!< (@ 0x00000034) Peripheral Clock Enable Register2                          */
  __IM  uint32_t  RESERVED2[2];
  __IOM uint32_t  CSCR;                         /*!< (@ 0x00000040) Clock Source Control Register                              */
  __IOM uint32_t  SCCR;                         /*!< (@ 0x00000044) System clock control register                              */
  __IOM uint32_t  CMR;                          /*!< (@ 0x00000048) Clock Monitoring Register                                  */
  __IM  uint32_t  RESERVED3;
  __IOM uint32_t  COR;                          /*!< (@ 0x00000050) Clock Output Setting Register                              */
  __IOM uint32_t  NMICR;                        /*!< (@ 0x00000054) NMI Control Register                                       */
  __IOM uint32_t  NMISR;                        /*!< (@ 0x00000058) NMI Status Register                                        */
  __IM  uint32_t  RESERVED4;
  __IOM uint32_t  PLLCON;                       /*!< (@ 0x00000060) PLL Control Register                                       */
  __IOM uint32_t  VDCCON;                       /*!< (@ 0x00000064) VDC Control Register                                       */
  __IOM uint32_t  LVICR;                        /*!< (@ 0x00000068) Low Voltage Indicator Control Register                     */
  __IOM uint32_t  LVISR;                        /*!< (@ 0x0000006C) Low Voltage Indicator Status Register                      */
  __IOM uint32_t  LVRCR;                        /*!< (@ 0x00000070) Low Voltage Reset Control Register                         */
  __IM  uint32_t  RESERVED5[3];
  __IOM uint32_t  EOSCR;                        /*!< (@ 0x00000080) External Oscillator Control Register                       */
  __IM  uint32_t  RESERVED6[3];
  __IOM uint32_t  MCCR1;                        /*!< (@ 0x00000090) MISC Clock Control Register1                               */
  __IM  uint32_t  RESERVED7;
  __IOM uint32_t  MCCR3;                        /*!< (@ 0x00000098) MISC Clock Control Register3                               */
  __IOM uint32_t  MCCR4;                        /*!< (@ 0x0000009C) MISC Clock Control Register4                               */
  __IOM uint32_t  MCCR5;                        /*!< (@ 0x000000A0) MISC Clock Control Register5                               */
  __IOM uint32_t  MCCR6;                        /*!< (@ 0x000000A4) MISC Clock Control Register6                               */
  __IOM uint32_t  MCCR7;                        /*!< (@ 0x000000A8) MISC Clock Control Register7                               */
  __IM  uint32_t  RESERVED8[17];
  __IOM uint32_t  SYSTEN;                       /*!< (@ 0x000000F0) System Access Key Register                                 */
} SCU_Type;                                     /*!< Size = 244 (0xf4)                                                         */



/* =========================================================================================================================== */
/* ================                                            PA                                             ================ */
/* =========================================================================================================================== */


/**
  * @brief General Port (PA)
  */

typedef struct {                                /*!< (@ 0x41010000) PA Structure                                               */
  __IOM uint32_t  MR1;                          /*!< (@ 0x00000000) Port n MUX1 Selection Register                             */
  __IOM uint32_t  MR2;                          /*!< (@ 0x00000004) Port n MUX2 Selection Register                             */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000008) Port n Type Selection Register                             */
  __IOM uint32_t  PRCR;                         /*!< (@ 0x0000000C) Port n Pull-up/down Selection Register                     */
  __IOM uint32_t  DER;                          /*!< (@ 0x00000010) Port n Debounce Enable Register                            */
  __IOM uint32_t  STR;                          /*!< (@ 0x00000014) Port n Strength Selection Register                         */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  IER;                          /*!< (@ 0x00000020) Port n Interrupt Enable Register                           */
  __IOM uint32_t  ISR;                          /*!< (@ 0x00000024) Port n Interrupt Status Register                           */
  __IOM uint32_t  ICR;                          /*!< (@ 0x00000028) Port n Interrupt Control Register                          */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  ODR;                          /*!< (@ 0x00000030) Port n Output Data Register                                */
  __IM  uint32_t  IDR;                          /*!< (@ 0x00000034) Port n Input Data Register                                 */
  __OM  uint32_t  BSR;                          /*!< (@ 0x00000038) Port n Bit Set Register                                    */
  __OM  uint32_t  BCR;                          /*!< (@ 0x0000003C) Port n Bit Clear Register                                  */
} PCU_Type;                                     /*!< Size = 64 (0x40)                                                          */



/* =========================================================================================================================== */
/* ================                                          RSTDBCR                                          ================ */
/* =========================================================================================================================== */


/**
  * @brief Pin Reset Debounce Control Register (RSTDBCR)
  */

typedef struct {                                /*!< (@ 0x41010F0C) RSTDBCR Structure                                          */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000000) Pin Reset Debounce Control Register                        */
} RSTDBCR_Type;                                 /*!< Size = 4 (0x4)                                                            */



/* =========================================================================================================================== */
/* ================                                          PORTEN                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief General Port Access Enable (PORTEN)
  */

typedef struct {                                /*!< (@ 0x41010FF0) PORTEN Structure                                           */
  __IOM uint32_t  EN;                           /*!< (@ 0x00000000) Port Access Enable Register                                */
} PORTEN_Type;                                  /*!< Size = 4 (0x4)                                                            */



/* =========================================================================================================================== */
/* ================                                           CFMC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief CODE FLASH MEMORY CONTROLLER (CFMC)
  */

typedef struct {                                /*!< (@ 0x41000000) CFMC Structure                                             */
  __IOM uint32_t  CONF;                         /*!< (@ 0x00000000) Code Flash Memory Config Register                          */
  __IOM uint32_t  FLSKEY;                       /*!< (@ 0x00000004) Code Flash Memory Access Key Register                      */
  __IOM uint32_t  INFOKEY;                      /*!< (@ 0x00000008) Code Flash INFO Access Key Register                        */
  __IOM uint32_t  FLS0PROT;                     /*!< (@ 0x0000000C) Code Flash 0 Protection Register                           */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  INFOPROT;                     /*!< (@ 0x00000014) Code Flash INFO Protection Register                        */
  __IOM uint32_t  CTRL;                         /*!< (@ 0x00000018) Code Flash Access Control Register                         */
  __IOM uint32_t  STAT;                         /*!< (@ 0x0000001C) Code Flash Access Status Register                          */
  __IOM uint32_t  READPROT;                     /*!< (@ 0x00000020) Code Flash Read Protection Register                        */
  __OM  uint32_t  PWIN;                         /*!< (@ 0x00000024) Code Flash Read Protection Password Input Register         */
  __IM  uint32_t  RESERVED1[2];
  __IOM uint32_t  CHKCTRL;                      /*!< (@ 0x00000030) Code Flash Checksum Control Register                       */
  __IOM uint32_t  CHKDOUT;                      /*!< (@ 0x00000034) Code Flash Checksum Data Output Register                   */
  __IOM uint32_t  CHKSADDR;                     /*!< (@ 0x00000038) Code Flash Checksum Start Address Resgister                */
  __IOM uint32_t  CHKEADDR;                     /*!< (@ 0x0000003C) Code Flash Checksum End Address Register                   */
  __IOM uint32_t  WTOUT;                        /*!< (@ 0x00000040) Code Flash Write Timeout Register                          */
  __IM  uint32_t  RESERVED2[955];
  __OM  uint32_t  PWPRST;                       /*!< (@ 0x00000F30) Code Flash Read Protection Password Preset Register        */
} CFMC_Type;                                    /*!< Size = 3892 (0xf34)                                                       */



/* =========================================================================================================================== */
/* ================                                           DFMC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief DATA FLASH MEMORY CONTROLLER (DFMC)
  */

typedef struct {                                /*!< (@ 0x41001000) DFMC Structure                                             */
  __IOM uint32_t  CONF;                         /*!< (@ 0x00000000) Data Flash Memory Config Register                          */
  __OM  uint32_t  FLSKEY;                       /*!< (@ 0x00000004) Data Flash Memory Access Key Register                      */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  FLSPROT;                      /*!< (@ 0x0000000C) Data Flash Memory Protection Register                      */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  CTRL;                         /*!< (@ 0x00000014) Data Flash Access Control Register                         */
  __IOM uint32_t  STAT;                         /*!< (@ 0x00000018) Data Flash Access Status Register                          */
  __IM  uint32_t  RESERVED2[5];
  __IOM uint32_t  CHKCTRL;                      /*!< (@ 0x00000030) Data Flash Checksum Control Register                       */
  __IOM uint32_t  CHKDOUT;                      /*!< (@ 0x00000034) Data Flash Checksum Data Output Register                   */
  __IOM uint32_t  CHKSADDR;                     /*!< (@ 0x00000038) Data Flash Checksum Start Address Resgister                */
  __IOM uint32_t  CHKEADDR;                     /*!< (@ 0x0000003C) Data Flash Checksum End Address Register                   */
  __IOM uint32_t  WTOUT;                        /*!< (@ 0x00000040) Data Flash Write Timeout Register                          */
} DFMC_Type;                                    /*!< Size = 68 (0x44)                                                          */



/* =========================================================================================================================== */
/* ================                                           DMA0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Direct Memory Access Control (DMA0)
  */

typedef struct {                                /*!< (@ 0x40000400) DMA0 Structure                                             */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000000) DMA Control Register                                       */
  __IOM uint32_t  SR;                           /*!< (@ 0x00000004) DMA Status Register                                        */
  __IOM uint32_t  PAR;                          /*!< (@ 0x00000008) DMA Peripheral address register                            */
  __IOM uint32_t  MAR;                          /*!< (@ 0x0000000C) DMA Memory address register                                */
} DMA_Type;                                     /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                            WDT                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief WATCH-DOG TIMER (WDT)
  */

typedef struct {                                /*!< (@ 0x40000200) WDT Structure                                              */
  __IOM uint32_t  LR;                           /*!< (@ 0x00000000) Watch-dog Timer Load Register                              */
  __IOM uint32_t  CNT;                          /*!< (@ 0x00000004) Watch-dog Timer Counter Register                           */
  __IOM uint32_t  CON;                          /*!< (@ 0x00000008) Watch-dog Timer Control Register                           */
  __IM  uint32_t  RESERVED[57];
  __IOM uint32_t  AEN;                          /*!< (@ 0x000000F0) Watch-dog Timer Master Lock/Reload Register                */
} WDT_Type;                                     /*!< Size = 244 (0xf4)                                                         */



/* =========================================================================================================================== */
/* ================                                          TIMER0                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief TIMER COUNTER (TIMER0)
  */

typedef struct {                                /*!< (@ 0x40003000) TIMER0 Structure                                           */
  __IOM uint32_t  CR1;                          /*!< (@ 0x00000000) Timer Control Register1                                    */
  __IOM uint32_t  CR2;                          /*!< (@ 0x00000004) Timer Control Register2                                    */
  __IOM uint32_t  PRS;                          /*!< (@ 0x00000008) Timer Prescaler Register                                   */
  __IOM uint32_t  GRA;                          /*!< (@ 0x0000000C) Timer General Data Register A                              */
  __IOM uint32_t  GRB;                          /*!< (@ 0x00000010) Timer General Data Register B                              */
  __IOM uint32_t  CNT;                          /*!< (@ 0x00000014) Timer Counter Register                                     */
  __IOM uint32_t  SR;                           /*!< (@ 0x00000018) Timer Status Register                                      */
  __IOM uint32_t  IER;                          /*!< (@ 0x0000001C) Timer Interrupt Enable Register                            */
  __IOM uint32_t  TRGPNT;                       /*!< (@ 0x00000020) Timer Trigger Point Register                               */
  __IOM uint32_t  SYNC;                         /*!< (@ 0x00000024) Timer Sync Setting Register                                */
} TIMER_Type;                                   /*!< Size = 40 (0x28)                                                          */



/* =========================================================================================================================== */
/* ================                                           FRT0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Free Run Timer (FRT0)
  */

typedef struct {                                /*!< (@ 0x40000600) FRT0 Structure                                             */
  __IOM uint32_t  CTRL;                         /*!< (@ 0x00000000) FRT n Control Register                                     */
  __IOM uint32_t  MCNT;                         /*!< (@ 0x00000004) FRT n Match Counter Register                               */
  __IOM uint32_t  CNT;                          /*!< (@ 0x00000008) FRT n Counter Register                                     */
  __IOM uint32_t  STAT;                         /*!< (@ 0x0000000C) FRT n Status Register                                      */
} FRT_Type;                                     /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                           UART0                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Universal Asynchronous Receiver/Transmitter (UART0)
  */

typedef struct {                                /*!< (@ 0x40008000) UART0 Structure                                            */
  
  union {
    __IM  uint32_t RBR;                         /*!< (@ 0x00000000) UARTn Receive Data Buffer Register                         */
    __OM  uint32_t THR;                         /*!< (@ 0x00000000) UARTn Transmit Data Hold Register                          */
  };
  __IOM uint32_t  IER;                          /*!< (@ 0x00000004) UARTn Interrupt Enable Register                            */
  __IM  uint32_t  IIR;                          /*!< (@ 0x00000008) UARTn Interrupt ID Register                                */
  __IOM uint32_t  LCR;                          /*!< (@ 0x0000000C) UARTn Line Control Register                                */
  __IOM uint32_t  DCR;                          /*!< (@ 0x00000010) UARTn Data Control Register                                */
  __IM  uint32_t  LSR;                          /*!< (@ 0x00000014) UARTn Line Status Register                                 */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  BDR;                          /*!< (@ 0x00000020) UARTn Baud Rate Divisor Latch Register                     */
  __IOM uint32_t  BFR;                          /*!< (@ 0x00000024) UARTn Baud Rate Fractional Counter Value                   */
  __IM  uint32_t  RESERVED1[2];
  __IOM uint32_t  IDTR;                         /*!< (@ 0x00000030) UARTn Inter-frame Delay Time Register                      */
} UART_Type;                                    /*!< Size = 52 (0x34)                                                          */



/* =========================================================================================================================== */
/* ================                                           SPI0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Serial Peripheral Interface Bus (SPI0)
  */

typedef struct {                                /*!< (@ 0x40009000) SPI0 Structure                                             */
  
  union {
    __OM  uint32_t TDR;                         /*!< (@ 0x00000000) SPI n Transmit Data Register                               */
    __IM  uint32_t RDR;                         /*!< (@ 0x00000000) SPI n Received Data Register                               */
  };
  __IOM uint32_t  CR;                           /*!< (@ 0x00000004) SPI Control Register                                       */
  __IOM uint32_t  SR;                           /*!< (@ 0x00000008) SPI n Status Register                                      */
  __IOM uint32_t  BR;                           /*!< (@ 0x0000000C) SPI n Baud Rate Register                                   */
  __IOM uint32_t  EN;                           /*!< (@ 0x00000010) SPI n Enable Register                                      */
  __IOM uint32_t  LR;                           /*!< (@ 0x00000014) SPI n Delay Length Register                                */
} SPI_Type;                                     /*!< Size = 24 (0x18)                                                          */



/* =========================================================================================================================== */
/* ================                                           I2C0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Inter-Integrated Circuit (I2C0)
  */

typedef struct {                                /*!< (@ 0x4000A000) I2C0 Structure                                             */
  __IOM uint32_t  DR;                           /*!< (@ 0x00000000) I2Cn Data Register                                         */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SR;                           /*!< (@ 0x00000008) I2Cn Status Register                                       */
  __IOM uint32_t  SAR;                          /*!< (@ 0x0000000C) I2Cn Slave Address Register                                */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  CR;                           /*!< (@ 0x00000014) I2Cn Control Register                                      */
  __IOM uint32_t  SCLL;                         /*!< (@ 0x00000018) I2Cn SCL Low Period Register                               */
  __IOM uint32_t  SCLH;                         /*!< (@ 0x0000001C) I2Cn SCL High Period Register                              */
  __IOM uint32_t  SDH;                          /*!< (@ 0x00000020) I2Cn SCL Hold Time Register                                */
} I2C_Type;                                     /*!< Size = 36 (0x24)                                                          */



/* =========================================================================================================================== */
/* ================                                           MPWM0                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Motor Pulse Width Modulation (MPWM0)
  */

typedef struct {                                /*!< (@ 0x41014000) MPWM0 Structure                                            */
  __IOM uint32_t  MR;                           /*!< (@ 0x00000000) MPWM n Mode Register                                       */
  __IOM uint32_t  OLR;                          /*!< (@ 0x00000004) MPWM n Output Level Register                               */
  __IOM uint32_t  FOLR;                         /*!< (@ 0x00000008) MPWM n compulsion Output Register                          */
  __IOM uint32_t  PRD;                          /*!< (@ 0x0000000C) MPWM n Period Register                                     */
  __IOM uint32_t  DUH;                          /*!< (@ 0x00000010) MPWM n DUTY x Register                                     */
  __IOM uint32_t  DVH;                          /*!< (@ 0x00000014) MPWM n DUTY x Register                                     */
  __IOM uint32_t  DWH;                          /*!< (@ 0x00000018) MPWM n DUTY x Register                                     */
  __IOM uint32_t  DUL;                          /*!< (@ 0x0000001C) MPWM n DUTY x Register                                     */
  __IOM uint32_t  DVL;                          /*!< (@ 0x00000020) MPWM n DUTY x Register                                     */
  __IOM uint32_t  DWL;                          /*!< (@ 0x00000024) MPWM n DUTY x Register                                     */
  __IOM uint32_t  CR1;                          /*!< (@ 0x00000028) MPWM n Control Register 1                                  */
  __IOM uint32_t  CR2;                          /*!< (@ 0x0000002C) MPWM n Control Register 2                                  */
  __IOM uint32_t  SR;                           /*!< (@ 0x00000030) MPWM n Status Register                                     */
  __IOM uint32_t  IER;                          /*!< (@ 0x00000034) MPWM n Interrupt Enable Register                           */
  __IOM uint32_t  CNT;                          /*!< (@ 0x00000038) MPWM n Counter Register                                    */
  __IOM uint32_t  DTR;                          /*!< (@ 0x0000003C) MPWM n Dead-Time Register                                  */
  __IOM uint32_t  PCR;                          /*!< (@ 0x00000040) MPWM n Protection Control Register                         */
  __IOM uint32_t  PSR;                          /*!< (@ 0x00000044) MPWM n Protection Status Register                          */
  __IOM uint32_t  OCR;                          /*!< (@ 0x00000048) MPWM n Overvoltage Control Register                        */
  __IOM uint32_t  OSR;                          /*!< (@ 0x0000004C) MPWM n Overvoltage Status Register                         */
  __IM  uint32_t  RESERVED[2];
  __IOM uint32_t  ATR1;                         /*!< (@ 0x00000058) MPWM n ADC Trigger Counter m Register                      */
  __IOM uint32_t  ATR2;                         /*!< (@ 0x0000005C) MPWM n ADC Trigger Counter m Register                      */
  __IOM uint32_t  ATR3;                         /*!< (@ 0x00000060) MPWM n ADC Trigger Counter m Register                      */
  __IOM uint32_t  ATR4;                         /*!< (@ 0x00000064) MPWM n ADC Trigger Counter m Register                      */
  __IOM uint32_t  ATR5;                         /*!< (@ 0x00000068) MPWM n ADC Trigger Counter m Register                      */
  __IOM uint32_t  ATR6;                         /*!< (@ 0x0000006C) MPWM n ADC Trigger Counter m Register                      */
} MPWM_Type;                                    /*!< Size = 112 (0x70)                                                         */



/* =========================================================================================================================== */
/* ================                                           PFCP                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief PFC PWM control and data register set (PFCP)
  */

typedef struct {                                /*!< (@ 0x41015000) PFCP Structure                                             */
  __IOM uint32_t  MR;                           /*!< (@ 0x00000000) PFCP Mode register                                         */
  __IOM uint32_t  OLR;                          /*!< (@ 0x00000004) PFCP output level register                                 */
  __IOM uint32_t  FOLR;                         /*!< (@ 0x00000008) PFC force output level register                            */
  __IOM uint32_t  PRD;                          /*!< (@ 0x0000000C) PFC period register                                        */
  __IOM uint32_t  DAH;                          /*!< (@ 0x00000010) PFC duty AH register                                       */
  __IOM uint32_t  DAL;                          /*!< (@ 0x00000014) PFC duty AL register                                       */
  __IOM uint32_t  DBH;                          /*!< (@ 0x00000018) PFC Duty B register                                        */
  __IOM uint32_t  DBL;                          /*!< (@ 0x0000001C) PFC duty BL register                                       */
  __IM  uint32_t  RESERVED[4];
  __IOM uint32_t  CR;                           /*!< (@ 0x00000030) PFC control register                                       */
  __IOM uint32_t  SR;                           /*!< (@ 0x00000034) PFCP status register                                       */
  __IOM uint32_t  IER;                          /*!< (@ 0x00000038) PFCP interrupt register                                    */
  __IOM uint32_t  ACNT;                         /*!< (@ 0x0000003C) PFCPA counter register                                     */
  __IOM uint32_t  BCNT;                         /*!< (@ 0x00000040) PFCPB counter register                                     */
  __IM  uint32_t  RESERVED1[3];
  __IOM uint32_t  DTR;                          /*!< (@ 0x00000050) PFCP Dead time register                                    */
  __IOM uint32_t  PCR0;                         /*!< (@ 0x00000054) PFCP 0 Protection Control Register                         */
  __IOM uint32_t  PSR0;                         /*!< (@ 0x00000058) PFCP 0 Protection Status Register                          */
  __IOM uint32_t  PCR1;                         /*!< (@ 0x0000005C) PFCP 1 Protection Control Register                         */
  __IOM uint32_t  PSR1;                         /*!< (@ 0x00000060) PFCP 1 Protection Status Register                          */
  __IM  uint32_t  RESERVED2[3];
  __IOM uint32_t  ATR1;                         /*!< (@ 0x00000070) PFCP ADC trigger counter register                          */
  __IOM uint32_t  ATR2;                         /*!< (@ 0x00000074) PFCP ADC trigger counter register                          */
  __IOM uint32_t  ATR3;                         /*!< (@ 0x00000078) PFCP ADC trigger counter register                          */
  __IOM uint32_t  ATR4;                         /*!< (@ 0x0000007C) PFCP ADC trigger counter register                          */
  __IOM uint32_t  ATR5;                         /*!< (@ 0x00000080) PFCP ADC trigger counter register                          */
  __IOM uint32_t  ATR6;                         /*!< (@ 0x00000084) PFCP ADC trigger counter register                          */
} PFCP_Type;                                    /*!< Size = 136 (0x88)                                                         */



/* =========================================================================================================================== */
/* ================                                           ADC0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief 12-BIT A/D CONVERTER (ADC0)
  */

typedef struct {                                /*!< (@ 0x41012000) ADC0 Structure                                             */
  __IOM uint32_t  MR;                           /*!< (@ 0x00000000) ADC Mode Register                                          */
  __IOM uint32_t  CSCR;                         /*!< (@ 0x00000004) ADC Current Sequence_Channel Register                      */
  __IOM uint32_t  CCR;                          /*!< (@ 0x00000008) ADC Clock Control Register                                 */
  __IOM uint32_t  TRG;                          /*!< (@ 0x0000000C) ADC Trigger Selection Register                             */
  __IOM uint32_t  CSTR1;                        /*!< (@ 0x00000010) ADC0 channel sampling time 1 register                      */
  __IOM uint32_t  CSTR2;                        /*!< (@ 0x00000014) ADC0 channel sampling time 2 register                      */
  __IOM uint32_t  SCSR1;                        /*!< (@ 0x00000018) ADC Channel Selection Register 1                           */
  __IOM uint32_t  SCSR2;                        /*!< (@ 0x0000001C) ADC Channel Selection Register 2                           */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000020) ADC Control Register                                       */
  __IOM uint32_t  SR;                           /*!< (@ 0x00000024) ADC Status Register                                        */
  __IOM uint32_t  IER;                          /*!< (@ 0x00000028) ADC Interrupt Enable Register                              */
  __IM  uint32_t  DDR;                          /*!< (@ 0x0000002C) ADC DMA Data Register                                      */
  __IOM uint32_t  DR0;                          /*!< (@ 0x00000030) ADC Sequence Data Register0                                */
  __IOM uint32_t  DR1;                          /*!< (@ 0x00000034) ADC Sequence Data Register1                                */
  __IOM uint32_t  DR2;                          /*!< (@ 0x00000038) ADC Sequence Data Register2                                */
  __IOM uint32_t  DR3;                          /*!< (@ 0x0000003C) ADC Sequence Data Register3                                */
  __IOM uint32_t  DR4;                          /*!< (@ 0x00000040) ADC Sequence Data Register4                                */
  __IOM uint32_t  DR5;                          /*!< (@ 0x00000044) ADC Sequence Data Register5                                */
  __IOM uint32_t  DR6;                          /*!< (@ 0x00000048) ADC Sequence Data Register6                                */
  __IOM uint32_t  DR7;                          /*!< (@ 0x0000004C) ADC Sequence Data Register7                                */
  __IOM uint32_t  IMR;                          /*!< (@ 0x00000050) ADC injection mode register                                */
  __IOM uint32_t  ICR;                          /*!< (@ 0x00000054) ADC injection control register                             */
  __IOM uint32_t  IDR;                          /*!< (@ 0x00000058) ADC injection Data register                                */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CMP0R;                        /*!< (@ 0x00000060) ADC Channel Compare 0 Register                             */
  __IOM uint32_t  CMP1R;                        /*!< (@ 0x00000064) ADC Channel Compare 1 Register                             */
  __IM  uint32_t  RESERVED1[6];
  __IOM uint32_t  CDR0;                         /*!< (@ 0x00000080) ADC0, 1 data register displays the results of
                                                                    ADC conversions                                            */
  __IOM uint32_t  CDR1;                         /*!< (@ 0x00000084) ADC2 data register displays the results of ADC
                                                                    conversions                                                */
} ADC_Type;                                     /*!< Size = 136 (0x88)                                                         */



/* =========================================================================================================================== */
/* ================                                           CMP0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Compare input and reference from output source or internal source or internal DAC (CMP0)
  */

typedef struct {                                /*!< (@ 0x4000B380) CMP0 Structure                                             */
  __IOM uint32_t  CONF;                         /*!< (@ 0x00000000) Comparator Configure Register                              */
  __IOM uint32_t  CTRL;                         /*!< (@ 0x00000004) Comparator Control Register                                */
  __IOM uint32_t  STAT;                         /*!< (@ 0x00000008) Comparator Status Register                                 */
} CMP_Type;                                     /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                           DAC0                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Digital-to-Analog Converter (DAC0)
  */

typedef struct {                                /*!< (@ 0x4000B600) DAC0 Structure                                             */
  __IOM uint32_t  DR;                           /*!< (@ 0x00000000) DAC Data register                                          */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000004) DAC Control register                                       */
} DAC_Type;                                     /*!< Size = 8 (0x8)                                                            */



/* =========================================================================================================================== */
/* ================                                            RNG                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Random Number Generator (RNG)
  */

typedef struct {                                /*!< (@ 0x40000A00) RNG Structure                                              */
  __IOM uint32_t  CTRL;                         /*!< (@ 0x00000000) RNG Control Register                                       */
  __IOM uint32_t  SEED;                         /*!< (@ 0x00000004) RNG SEED Register                                          */
  __IM  uint32_t  RNGD;                         /*!< (@ 0x00000008) RNG Random number data register                            */
  __IOM uint32_t  STAT;                         /*!< (@ 0x0000000C) RNG Status Register                                        */
} RNG_Type;                                     /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief CYCLIC REDUNDANCY CHECK AND CHECKSUM (CRC)
  */

typedef struct {                                /*!< (@ 0x41002000) CRC Structure                                              */
  __IOM uint32_t  CTRL;                         /*!< (@ 0x00000000) CRC Control Register                                       */
  __IOM uint32_t  INIT;                         /*!< (@ 0x00000004) CRC Init value Register                                    */
  
  union {
    __OM  uint32_t IDR;                         /*!< (@ 0x00000008) CRC Input Data Register                                    */
    __IM  uint32_t ODR;                         /*!< (@ 0x00000008) CRC Output Data Register                                   */
  };
  __IOM uint32_t  STAT;                         /*!< (@ 0x0000000C) CRC Status Register                                        */
} CRC_Type;                                     /*!< Size = 16 (0x10)                                                          */


/** @} */ /* End of group Device_Peripheral_peripherals */


/* =========================================================================================================================== */
/* ================                          Device Specific Peripheral Address Map                           ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripheralAddr
  * @{
  */

#define CHIPCONFIG_BASE             0x4000F000UL
#define SCU_BASE                    0x40000000UL
#define PA_BASE                     0x41010000UL
#define PB_BASE                     0x41010100UL
#define PC_BASE                     0x41010200UL
#define PD_BASE                     0x41010300UL
#define PE_BASE                     0x41010400UL
#define PF_BASE                     0x41010500UL
#define RSTDBCR_BASE                0x41010F0CUL
#define PORTEN_BASE                 0x41010FF0UL
#define CFMC_BASE                   0x41000000UL
#define DFMC_BASE                   0x41001000UL
#define DMA0_BASE                   0x40000400UL
#define DMA1_BASE                   0x40000410UL
#define DMA2_BASE                   0x40000420UL
#define DMA3_BASE                   0x40000430UL
#define DMA4_BASE                   0x40000440UL
#define DMA5_BASE                   0x40000450UL
#define DMA6_BASE                   0x40000460UL
#define DMA7_BASE                   0x40000470UL
#define WDT_BASE                    0x40000200UL
#define TIMER0_BASE                 0x40003000UL
#define TIMER1_BASE                 0x40003040UL
#define TIMER2_BASE                 0x40003080UL
#define TIMER3_BASE                 0x400030C0UL
#define TIMER4_BASE                 0x40003100UL
#define TIMER5_BASE                 0x40003140UL
#define TIMER6_BASE                 0x40003180UL
#define TIMER7_BASE                 0x400031C0UL
#define TIMER8_BASE                 0x40003200UL
#define TIMER9_BASE                 0x40003240UL
#define FRT0_BASE                   0x40000600UL
#define FRT1_BASE                   0x40000700UL
#define UART0_BASE                  0x40008000UL
#define UART1_BASE                  0x40008100UL
#define UART2_BASE                  0x40008200UL
#define UART3_BASE                  0x40008300UL
#define UART4_BASE                  0x40008400UL
#define UART5_BASE                  0x40008500UL
#define SPI0_BASE                   0x40009000UL
#define SPI1_BASE                   0x40009100UL
#define I2C0_BASE                   0x4000A000UL
#define I2C1_BASE                   0x4000A100UL
#define MPWM0_BASE                  0x41014000UL
#define MPWM1_BASE                  0x41014100UL
#define PFCP_BASE                   0x41015000UL
#define ADC0_BASE                   0x41012000UL
#define ADC1_BASE                   0x41012100UL
#define ADC2_BASE                   0x41012200UL
#define CMP0_BASE                   0x4000B380UL
#define CMP1_BASE                   0x4000B390UL
#define CMP2_BASE                   0x4000B3A0UL
#define CMP3_BASE                   0x4000B3B0UL
#define DAC0_BASE                   0x4000B600UL
#define DAC1_BASE                   0x4000B700UL
#define RNG_BASE                    0x40000A00UL
#define CRC_BASE                    0x41002000UL

/** @} */ /* End of group Device_Peripheral_peripheralAddr */


/* =========================================================================================================================== */
/* ================                                  Peripheral declaration                                   ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_declaration
  * @{
  */

#define CHIPCONFIG                  ((CHIPCONFIG_Type*)        CHIPCONFIG_BASE)
#define SCU                         ((SCU_Type*)               SCU_BASE)
#define PA                          ((PCU_Type*)               PA_BASE)
#define PB                          ((PCU_Type*)               PB_BASE)
#define PC                          ((PCU_Type*)               PC_BASE)
#define PD                          ((PCU_Type*)               PD_BASE)
#define PE                          ((PCU_Type*)               PE_BASE)
#define PF                          ((PCU_Type*)               PF_BASE)
#define RSTDBCR                     ((RSTDBCR_Type*)           RSTDBCR_BASE)
#define PORTEN                      ((PORTEN_Type*)            PORTEN_BASE)
#define CFMC                        ((CFMC_Type*)              CFMC_BASE)
#define DFMC                        ((DFMC_Type*)              DFMC_BASE)
#define DMA0                        ((DMA_Type*)               DMA0_BASE)
#define DMA1                        ((DMA_Type*)               DMA1_BASE)
#define DMA2                        ((DMA_Type*)               DMA2_BASE)
#define DMA3                        ((DMA_Type*)               DMA3_BASE)
#define DMA4                        ((DMA_Type*)               DMA4_BASE)
#define DMA5                        ((DMA_Type*)               DMA5_BASE)
#define DMA6                        ((DMA_Type*)               DMA6_BASE)
#define DMA7                        ((DMA_Type*)               DMA7_BASE)
#define WDT                         ((WDT_Type*)               WDT_BASE)
#define TIMER0                      ((TIMER_Type*)             TIMER0_BASE)
#define TIMER1                      ((TIMER_Type*)             TIMER1_BASE)
#define TIMER2                      ((TIMER_Type*)             TIMER2_BASE)
#define TIMER3                      ((TIMER_Type*)             TIMER3_BASE)
#define TIMER4                      ((TIMER_Type*)             TIMER4_BASE)
#define TIMER5                      ((TIMER_Type*)             TIMER5_BASE)
#define TIMER6                      ((TIMER_Type*)             TIMER6_BASE)
#define TIMER7                      ((TIMER_Type*)             TIMER7_BASE)
#define TIMER8                      ((TIMER_Type*)             TIMER8_BASE)
#define TIMER9                      ((TIMER_Type*)             TIMER9_BASE)
#define FRT0                        ((FRT_Type*)               FRT0_BASE)
#define FRT1                        ((FRT_Type*)               FRT1_BASE)
#define UART0                       ((UART_Type*)              UART0_BASE)
#define UART1                       ((UART_Type*)              UART1_BASE)
#define UART2                       ((UART_Type*)              UART2_BASE)
#define UART3                       ((UART_Type*)              UART3_BASE)
#define UART4                       ((UART_Type*)              UART4_BASE)
#define UART5                       ((UART_Type*)              UART5_BASE)
#define SPI0                        ((SPI_Type*)               SPI0_BASE)
#define SPI1                        ((SPI_Type*)               SPI1_BASE)
#define I2C0                        ((I2C_Type*)               I2C0_BASE)
#define I2C1                        ((I2C_Type*)               I2C1_BASE)
#define MPWM0                       ((MPWM_Type*)              MPWM0_BASE)
#define MPWM1                       ((MPWM_Type*)              MPWM1_BASE)
#define PFCP                        ((PFCP_Type*)              PFCP_BASE)
#define ADC0                        ((ADC_Type*)               ADC0_BASE)
#define ADC1                        ((ADC_Type*)               ADC1_BASE)
#define ADC2                        ((ADC_Type*)               ADC2_BASE)
#define CMP0                        ((CMP_Type*)               CMP0_BASE)
#define CMP1                        ((CMP_Type*)               CMP1_BASE)
#define CMP2                        ((CMP_Type*)               CMP2_BASE)
#define CMP3                        ((CMP_Type*)               CMP3_BASE)
#define DAC0                        ((DAC_Type*)               DAC0_BASE)
#define DAC1                        ((DAC_Type*)               DAC1_BASE)
#define RNG                         ((RNG_Type*)               RNG_BASE)
#define CRC                         ((CRC_Type*)               CRC_BASE)

/** @} */ /* End of group Device_Peripheral_declaration */


/* =========================================  End of section using anonymous unions  ========================================= */
#if defined (__CC_ARM)
  #pragma pop
#elif defined (__ICCARM__)
  /* leave anonymous unions enabled */
#elif (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic pop
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined (__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined (__TASKING__)
  #pragma warning restore
#elif defined (__CSMC__)
  /* anonymous unions are enabled by default */
#endif


/* =========================================================================================================================== */
/* ================                                Pos/Mask Peripheral Section                                ================ */
/* =========================================================================================================================== */


/** @addtogroup PosMask_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                        CHIPCONFIG                                         ================ */
/* =========================================================================================================================== */

/* =======================================================  VENDORID  ======================================================== */
/* ========================================================  CHIPID  ========================================================= */
/* =========================================================  REVNR  ========================================================= */


/* =========================================================================================================================== */
/* ================                                            SCU                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  SMR  ========================================================== */
#define SCU_SMR_LSEAON_Pos                (13UL)                    /*!< SCU SMR: LSEAON (Bit 13)                              */
#define SCU_SMR_LSEAON_Msk                (0x2000UL)                /*!< SCU SMR: LSEAON (Bitfield-Mask: 0x01)                 */
#define SCU_SMR_HSEAON_Pos                (12UL)                    /*!< SCU SMR: HSEAON (Bit 12)                              */
#define SCU_SMR_HSEAON_Msk                (0x1000UL)                /*!< SCU SMR: HSEAON (Bitfield-Mask: 0x01)                 */
#define SCU_SMR_PLLAON_Pos                (11UL)                    /*!< SCU SMR: PLLAON (Bit 11)                              */
#define SCU_SMR_PLLAON_Msk                (0x800UL)                 /*!< SCU SMR: PLLAON (Bitfield-Mask: 0x01)                 */
#define SCU_SMR_HSIAON_Pos                (10UL)                    /*!< SCU SMR: HSIAON (Bit 10)                              */
#define SCU_SMR_HSIAON_Msk                (0x400UL)                 /*!< SCU SMR: HSIAON (Bitfield-Mask: 0x01)                 */
#define SCU_SMR_LSIAON_Pos                (9UL)                     /*!< SCU SMR: LSIAON (Bit 9)                               */
#define SCU_SMR_LSIAON_Msk                (0x200UL)                 /*!< SCU SMR: LSIAON (Bitfield-Mask: 0x01)                 */
#define SCU_SMR_VDCAON_Pos                (8UL)                     /*!< SCU SMR: VDCAON (Bit 8)                               */
#define SCU_SMR_VDCAON_Msk                (0x100UL)                 /*!< SCU SMR: VDCAON (Bitfield-Mask: 0x01)                 */
#define SCU_SMR_PREVMODE_Pos              (4UL)                     /*!< SCU SMR: PREVMODE (Bit 4)                             */
#define SCU_SMR_PREVMODE_Msk              (0x30UL)                  /*!< SCU SMR: PREVMODE (Bitfield-Mask: 0x03)               */
/* =========================================================  SRCR  ========================================================== */
#define SCU_SRCR_STBYO_Pos                (4UL)                     /*!< SCU SRCR: STBYO (Bit 4)                               */
#define SCU_SRCR_STBYO_Msk                (0x10UL)                  /*!< SCU SRCR: STBYO (Bitfield-Mask: 0x01)                 */
#define SCU_SRCR_SWRST_Pos                (0UL)                     /*!< SCU SRCR: SWRST (Bit 0)                               */
#define SCU_SRCR_SWRST_Msk                (0x1UL)                   /*!< SCU SRCR: SWRST (Bitfield-Mask: 0x01)                 */
/* =========================================================  WUER  ========================================================== */
#define SCU_WUER_GPIOFWUE_Pos             (13UL)                    /*!< SCU WUER: GPIOFWUE (Bit 13)                           */
#define SCU_WUER_GPIOFWUE_Msk             (0x2000UL)                /*!< SCU WUER: GPIOFWUE (Bitfield-Mask: 0x01)              */
#define SCU_WUER_GPIOEWUE_Pos             (12UL)                    /*!< SCU WUER: GPIOEWUE (Bit 12)                           */
#define SCU_WUER_GPIOEWUE_Msk             (0x1000UL)                /*!< SCU WUER: GPIOEWUE (Bitfield-Mask: 0x01)              */
#define SCU_WUER_GPIODWUE_Pos             (11UL)                    /*!< SCU WUER: GPIODWUE (Bit 11)                           */
#define SCU_WUER_GPIODWUE_Msk             (0x800UL)                 /*!< SCU WUER: GPIODWUE (Bitfield-Mask: 0x01)              */
#define SCU_WUER_GPIOCWUE_Pos             (10UL)                    /*!< SCU WUER: GPIOCWUE (Bit 10)                           */
#define SCU_WUER_GPIOCWUE_Msk             (0x400UL)                 /*!< SCU WUER: GPIOCWUE (Bitfield-Mask: 0x01)              */
#define SCU_WUER_GPIOBWUE_Pos             (9UL)                     /*!< SCU WUER: GPIOBWUE (Bit 9)                            */
#define SCU_WUER_GPIOBWUE_Msk             (0x200UL)                 /*!< SCU WUER: GPIOBWUE (Bitfield-Mask: 0x01)              */
#define SCU_WUER_GPIOAWUE_Pos             (8UL)                     /*!< SCU WUER: GPIOAWUE (Bit 8)                            */
#define SCU_WUER_GPIOAWUE_Msk             (0x100UL)                 /*!< SCU WUER: GPIOAWUE (Bitfield-Mask: 0x01)              */
#define SCU_WUER_FRT1WUE_Pos              (3UL)                     /*!< SCU WUER: FRT1WUE (Bit 3)                             */
#define SCU_WUER_FRT1WUE_Msk              (0x8UL)                   /*!< SCU WUER: FRT1WUE (Bitfield-Mask: 0x01)               */
#define SCU_WUER_FRT0WUE_Pos              (2UL)                     /*!< SCU WUER: FRT0WUE (Bit 2)                             */
#define SCU_WUER_FRT0WUE_Msk              (0x4UL)                   /*!< SCU WUER: FRT0WUE (Bitfield-Mask: 0x01)               */
#define SCU_WUER_WDTWUE_Pos               (1UL)                     /*!< SCU WUER: WDTWUE (Bit 1)                              */
#define SCU_WUER_WDTWUE_Msk               (0x2UL)                   /*!< SCU WUER: WDTWUE (Bitfield-Mask: 0x01)                */
#define SCU_WUER_LVIWUE_Pos               (0UL)                     /*!< SCU WUER: LVIWUE (Bit 0)                              */
#define SCU_WUER_LVIWUE_Msk               (0x1UL)                   /*!< SCU WUER: LVIWUE (Bitfield-Mask: 0x01)                */
/* =========================================================  WUSR  ========================================================== */
#define SCU_WUSR_GPIOFWU_Pos              (13UL)                    /*!< SCU WUSR: GPIOFWU (Bit 13)                            */
#define SCU_WUSR_GPIOFWU_Msk              (0x2000UL)                /*!< SCU WUSR: GPIOFWU (Bitfield-Mask: 0x01)               */
#define SCU_WUSR_GPIOEWU_Pos              (12UL)                    /*!< SCU WUSR: GPIOEWU (Bit 12)                            */
#define SCU_WUSR_GPIOEWU_Msk              (0x1000UL)                /*!< SCU WUSR: GPIOEWU (Bitfield-Mask: 0x01)               */
#define SCU_WUSR_GPIODWU_Pos              (11UL)                    /*!< SCU WUSR: GPIODWU (Bit 11)                            */
#define SCU_WUSR_GPIODWU_Msk              (0x800UL)                 /*!< SCU WUSR: GPIODWU (Bitfield-Mask: 0x01)               */
#define SCU_WUSR_GPIOCWU_Pos              (10UL)                    /*!< SCU WUSR: GPIOCWU (Bit 10)                            */
#define SCU_WUSR_GPIOCWU_Msk              (0x400UL)                 /*!< SCU WUSR: GPIOCWU (Bitfield-Mask: 0x01)               */
#define SCU_WUSR_GPIOBWU_Pos              (9UL)                     /*!< SCU WUSR: GPIOBWU (Bit 9)                             */
#define SCU_WUSR_GPIOBWU_Msk              (0x200UL)                 /*!< SCU WUSR: GPIOBWU (Bitfield-Mask: 0x01)               */
#define SCU_WUSR_GPIOAWU_Pos              (8UL)                     /*!< SCU WUSR: GPIOAWU (Bit 8)                             */
#define SCU_WUSR_GPIOAWU_Msk              (0x100UL)                 /*!< SCU WUSR: GPIOAWU (Bitfield-Mask: 0x01)               */
#define SCU_WUSR_FRT1WU_Pos               (3UL)                     /*!< SCU WUSR: FRT1WU (Bit 3)                              */
#define SCU_WUSR_FRT1WU_Msk               (0x8UL)                   /*!< SCU WUSR: FRT1WU (Bitfield-Mask: 0x01)                */
#define SCU_WUSR_FRT0WU_Pos               (2UL)                     /*!< SCU WUSR: FRT0WU (Bit 2)                              */
#define SCU_WUSR_FRT0WU_Msk               (0x4UL)                   /*!< SCU WUSR: FRT0WU (Bitfield-Mask: 0x01)                */
#define SCU_WUSR_WDTWU_Pos                (1UL)                     /*!< SCU WUSR: WDTWU (Bit 1)                               */
#define SCU_WUSR_WDTWU_Msk                (0x2UL)                   /*!< SCU WUSR: WDTWU (Bitfield-Mask: 0x01)                 */
#define SCU_WUSR_LVIWU_Pos                (0UL)                     /*!< SCU WUSR: LVIWU (Bit 0)                               */
#define SCU_WUSR_LVIWU_Msk                (0x1UL)                   /*!< SCU WUSR: LVIWU (Bitfield-Mask: 0x01)                 */
/* =========================================================  RSER  ========================================================== */
#define SCU_RSER_LOCKUPRST_Pos            (9UL)                     /*!< SCU RSER: LOCKUPRST (Bit 9)                           */
#define SCU_RSER_LOCKUPRST_Msk            (0x200UL)                 /*!< SCU RSER: LOCKUPRST (Bitfield-Mask: 0x01)             */
#define SCU_RSER_PINRST_Pos               (7UL)                     /*!< SCU RSER: PINRST (Bit 7)                              */
#define SCU_RSER_PINRST_Msk               (0x80UL)                  /*!< SCU RSER: PINRST (Bitfield-Mask: 0x01)                */
#define SCU_RSER_CPURST_Pos               (6UL)                     /*!< SCU RSER: CPURST (Bit 6)                              */
#define SCU_RSER_CPURST_Msk               (0x40UL)                  /*!< SCU RSER: CPURST (Bitfield-Mask: 0x01)                */
#define SCU_RSER_SWRST_Pos                (5UL)                     /*!< SCU RSER: SWRST (Bit 5)                               */
#define SCU_RSER_SWRST_Msk                (0x20UL)                  /*!< SCU RSER: SWRST (Bitfield-Mask: 0x01)                 */
#define SCU_RSER_WDTRST_Pos               (4UL)                     /*!< SCU RSER: WDTRST (Bit 4)                              */
#define SCU_RSER_WDTRST_Msk               (0x10UL)                  /*!< SCU RSER: WDTRST (Bitfield-Mask: 0x01)                */
#define SCU_RSER_MCKFRST_Pos              (3UL)                     /*!< SCU RSER: MCKFRST (Bit 3)                             */
#define SCU_RSER_MCKFRST_Msk              (0x8UL)                   /*!< SCU RSER: MCKFRST (Bitfield-Mask: 0x01)               */
#define SCU_RSER_LSEFRST_Pos              (2UL)                     /*!< SCU RSER: LSEFRST (Bit 2)                             */
#define SCU_RSER_LSEFRST_Msk              (0x4UL)                   /*!< SCU RSER: LSEFRST (Bitfield-Mask: 0x01)               */
#define SCU_RSER_HSEFRST_Pos              (1UL)                     /*!< SCU RSER: HSEFRST (Bit 1)                             */
#define SCU_RSER_HSEFRST_Msk              (0x2UL)                   /*!< SCU RSER: HSEFRST (Bitfield-Mask: 0x01)               */
#define SCU_RSER_LVDRST_Pos               (0UL)                     /*!< SCU RSER: LVDRST (Bit 0)                              */
#define SCU_RSER_LVDRST_Msk               (0x1UL)                   /*!< SCU RSER: LVDRST (Bitfield-Mask: 0x01)                */
/* =========================================================  RSSR  ========================================================== */
#define SCU_RSSR_LOCKUPRST_Pos            (9UL)                     /*!< SCU RSSR: LOCKUPRST (Bit 9)                           */
#define SCU_RSSR_LOCKUPRST_Msk            (0x200UL)                 /*!< SCU RSSR: LOCKUPRST (Bitfield-Mask: 0x01)             */
#define SCU_RSSR_PORST_Pos                (8UL)                     /*!< SCU RSSR: PORST (Bit 8)                               */
#define SCU_RSSR_PORST_Msk                (0x100UL)                 /*!< SCU RSSR: PORST (Bitfield-Mask: 0x01)                 */
#define SCU_RSSR_PINRST_Pos               (7UL)                     /*!< SCU RSSR: PINRST (Bit 7)                              */
#define SCU_RSSR_PINRST_Msk               (0x80UL)                  /*!< SCU RSSR: PINRST (Bitfield-Mask: 0x01)                */
#define SCU_RSSR_CPURST_Pos               (6UL)                     /*!< SCU RSSR: CPURST (Bit 6)                              */
#define SCU_RSSR_CPURST_Msk               (0x40UL)                  /*!< SCU RSSR: CPURST (Bitfield-Mask: 0x01)                */
#define SCU_RSSR_SWRST_Pos                (5UL)                     /*!< SCU RSSR: SWRST (Bit 5)                               */
#define SCU_RSSR_SWRST_Msk                (0x20UL)                  /*!< SCU RSSR: SWRST (Bitfield-Mask: 0x01)                 */
#define SCU_RSSR_WDTRST_Pos               (4UL)                     /*!< SCU RSSR: WDTRST (Bit 4)                              */
#define SCU_RSSR_WDTRST_Msk               (0x10UL)                  /*!< SCU RSSR: WDTRST (Bitfield-Mask: 0x01)                */
#define SCU_RSSR_MCKFRST_Pos              (3UL)                     /*!< SCU RSSR: MCKFRST (Bit 3)                             */
#define SCU_RSSR_MCKFRST_Msk              (0x8UL)                   /*!< SCU RSSR: MCKFRST (Bitfield-Mask: 0x01)               */
#define SCU_RSSR_LSEFRST_Pos              (2UL)                     /*!< SCU RSSR: LSEFRST (Bit 2)                             */
#define SCU_RSSR_LSEFRST_Msk              (0x4UL)                   /*!< SCU RSSR: LSEFRST (Bitfield-Mask: 0x01)               */
#define SCU_RSSR_HSEFRST_Pos              (1UL)                     /*!< SCU RSSR: HSEFRST (Bit 1)                             */
#define SCU_RSSR_HSEFRST_Msk              (0x2UL)                   /*!< SCU RSSR: HSEFRST (Bitfield-Mask: 0x01)               */
#define SCU_RSSR_LVDRST_Pos               (0UL)                     /*!< SCU RSSR: LVDRST (Bit 0)                              */
#define SCU_RSSR_LVDRST_Msk               (0x1UL)                   /*!< SCU RSSR: LVDRST (Bitfield-Mask: 0x01)                */
/* =========================================================  PRER1  ========================================================= */
#define SCU_PRER1_TIMER9_Pos              (25UL)                    /*!< SCU PRER1: TIMER9 (Bit 25)                            */
#define SCU_PRER1_TIMER9_Msk              (0x2000000UL)             /*!< SCU PRER1: TIMER9 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER8_Pos              (24UL)                    /*!< SCU PRER1: TIMER8 (Bit 24)                            */
#define SCU_PRER1_TIMER8_Msk              (0x1000000UL)             /*!< SCU PRER1: TIMER8 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER7_Pos              (23UL)                    /*!< SCU PRER1: TIMER7 (Bit 23)                            */
#define SCU_PRER1_TIMER7_Msk              (0x800000UL)              /*!< SCU PRER1: TIMER7 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER6_Pos              (22UL)                    /*!< SCU PRER1: TIMER6 (Bit 22)                            */
#define SCU_PRER1_TIMER6_Msk              (0x400000UL)              /*!< SCU PRER1: TIMER6 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER5_Pos              (21UL)                    /*!< SCU PRER1: TIMER5 (Bit 21)                            */
#define SCU_PRER1_TIMER5_Msk              (0x200000UL)              /*!< SCU PRER1: TIMER5 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER4_Pos              (20UL)                    /*!< SCU PRER1: TIMER4 (Bit 20)                            */
#define SCU_PRER1_TIMER4_Msk              (0x100000UL)              /*!< SCU PRER1: TIMER4 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER3_Pos              (19UL)                    /*!< SCU PRER1: TIMER3 (Bit 19)                            */
#define SCU_PRER1_TIMER3_Msk              (0x80000UL)               /*!< SCU PRER1: TIMER3 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER2_Pos              (18UL)                    /*!< SCU PRER1: TIMER2 (Bit 18)                            */
#define SCU_PRER1_TIMER2_Msk              (0x40000UL)               /*!< SCU PRER1: TIMER2 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER1_Pos              (17UL)                    /*!< SCU PRER1: TIMER1 (Bit 17)                            */
#define SCU_PRER1_TIMER1_Msk              (0x20000UL)               /*!< SCU PRER1: TIMER1 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_TIMER0_Pos              (16UL)                    /*!< SCU PRER1: TIMER0 (Bit 16)                            */
#define SCU_PRER1_TIMER0_Msk              (0x10000UL)               /*!< SCU PRER1: TIMER0 (Bitfield-Mask: 0x01)               */
#define SCU_PRER1_GPIOF_Pos               (13UL)                    /*!< SCU PRER1: GPIOF (Bit 13)                             */
#define SCU_PRER1_GPIOF_Msk               (0x2000UL)                /*!< SCU PRER1: GPIOF (Bitfield-Mask: 0x01)                */
#define SCU_PRER1_GPIOE_Pos               (12UL)                    /*!< SCU PRER1: GPIOE (Bit 12)                             */
#define SCU_PRER1_GPIOE_Msk               (0x1000UL)                /*!< SCU PRER1: GPIOE (Bitfield-Mask: 0x01)                */
#define SCU_PRER1_GPIOD_Pos               (11UL)                    /*!< SCU PRER1: GPIOD (Bit 11)                             */
#define SCU_PRER1_GPIOD_Msk               (0x800UL)                 /*!< SCU PRER1: GPIOD (Bitfield-Mask: 0x01)                */
#define SCU_PRER1_GPIOC_Pos               (10UL)                    /*!< SCU PRER1: GPIOC (Bit 10)                             */
#define SCU_PRER1_GPIOC_Msk               (0x400UL)                 /*!< SCU PRER1: GPIOC (Bitfield-Mask: 0x01)                */
#define SCU_PRER1_GPIOB_Pos               (9UL)                     /*!< SCU PRER1: GPIOB (Bit 9)                              */
#define SCU_PRER1_GPIOB_Msk               (0x200UL)                 /*!< SCU PRER1: GPIOB (Bitfield-Mask: 0x01)                */
#define SCU_PRER1_GPIOA_Pos               (8UL)                     /*!< SCU PRER1: GPIOA (Bit 8)                              */
#define SCU_PRER1_GPIOA_Msk               (0x100UL)                 /*!< SCU PRER1: GPIOA (Bitfield-Mask: 0x01)                */
#define SCU_PRER1_FRT1_Pos                (7UL)                     /*!< SCU PRER1: FRT1 (Bit 7)                               */
#define SCU_PRER1_FRT1_Msk                (0x80UL)                  /*!< SCU PRER1: FRT1 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER1_FRT0_Pos                (6UL)                     /*!< SCU PRER1: FRT0 (Bit 6)                               */
#define SCU_PRER1_FRT0_Msk                (0x40UL)                  /*!< SCU PRER1: FRT0 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER1_DMA_Pos                 (4UL)                     /*!< SCU PRER1: DMA (Bit 4)                                */
#define SCU_PRER1_DMA_Msk                 (0x10UL)                  /*!< SCU PRER1: DMA (Bitfield-Mask: 0x01)                  */
#define SCU_PRER1_DFMC_Pos                (3UL)                     /*!< SCU PRER1: DFMC (Bit 3)                               */
#define SCU_PRER1_DFMC_Msk                (0x8UL)                   /*!< SCU PRER1: DFMC (Bitfield-Mask: 0x01)                 */
#define SCU_PRER1_WDT_Pos                 (2UL)                     /*!< SCU PRER1: WDT (Bit 2)                                */
#define SCU_PRER1_WDT_Msk                 (0x4UL)                   /*!< SCU PRER1: WDT (Bitfield-Mask: 0x01)                  */
#define SCU_PRER1_CFMC_Pos                (1UL)                     /*!< SCU PRER1: CFMC (Bit 1)                               */
#define SCU_PRER1_CFMC_Msk                (0x2UL)                   /*!< SCU PRER1: CFMC (Bitfield-Mask: 0x01)                 */
#define SCU_PRER1_SCU_Pos                 (0UL)                     /*!< SCU PRER1: SCU (Bit 0)                                */
#define SCU_PRER1_SCU_Msk                 (0x1UL)                   /*!< SCU PRER1: SCU (Bitfield-Mask: 0x01)                  */
/* =========================================================  PRER2  ========================================================= */
#define SCU_PRER2_RNG_Pos                 (31UL)                    /*!< SCU PRER2: RNG (Bit 31)                               */
#define SCU_PRER2_RNG_Msk                 (0x80000000UL)            /*!< SCU PRER2: RNG (Bitfield-Mask: 0x01)                  */
#define SCU_PRER2_CRC_Pos                 (29UL)                    /*!< SCU PRER2: CRC (Bit 29)                               */
#define SCU_PRER2_CRC_Msk                 (0x20000000UL)            /*!< SCU PRER2: CRC (Bitfield-Mask: 0x01)                  */
#define SCU_PRER2_CMP_Pos                 (28UL)                    /*!< SCU PRER2: CMP (Bit 28)                               */
#define SCU_PRER2_CMP_Msk                 (0x10000000UL)            /*!< SCU PRER2: CMP (Bitfield-Mask: 0x01)                  */
#define SCU_PRER2_DAC1_Pos                (24UL)                    /*!< SCU PRER2: DAC1 (Bit 24)                              */
#define SCU_PRER2_DAC1_Msk                (0x1000000UL)             /*!< SCU PRER2: DAC1 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_DAC0_Pos                (23UL)                    /*!< SCU PRER2: DAC0 (Bit 23)                              */
#define SCU_PRER2_DAC0_Msk                (0x800000UL)              /*!< SCU PRER2: DAC0 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_ADC2_Pos                (22UL)                    /*!< SCU PRER2: ADC2 (Bit 22)                              */
#define SCU_PRER2_ADC2_Msk                (0x400000UL)              /*!< SCU PRER2: ADC2 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_ADC1_Pos                (21UL)                    /*!< SCU PRER2: ADC1 (Bit 21)                              */
#define SCU_PRER2_ADC1_Msk                (0x200000UL)              /*!< SCU PRER2: ADC1 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_ADC0_Pos                (20UL)                    /*!< SCU PRER2: ADC0 (Bit 20)                              */
#define SCU_PRER2_ADC0_Msk                (0x100000UL)              /*!< SCU PRER2: ADC0 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_PFCP_Pos                (18UL)                    /*!< SCU PRER2: PFCP (Bit 18)                              */
#define SCU_PRER2_PFCP_Msk                (0x40000UL)               /*!< SCU PRER2: PFCP (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_MPWM1_Pos               (17UL)                    /*!< SCU PRER2: MPWM1 (Bit 17)                             */
#define SCU_PRER2_MPWM1_Msk               (0x20000UL)               /*!< SCU PRER2: MPWM1 (Bitfield-Mask: 0x01)                */
#define SCU_PRER2_MPWM0_Pos               (16UL)                    /*!< SCU PRER2: MPWM0 (Bit 16)                             */
#define SCU_PRER2_MPWM0_Msk               (0x10000UL)               /*!< SCU PRER2: MPWM0 (Bitfield-Mask: 0x01)                */
#define SCU_PRER2_UART5_Pos               (13UL)                    /*!< SCU PRER2: UART5 (Bit 13)                             */
#define SCU_PRER2_UART5_Msk               (0x2000UL)                /*!< SCU PRER2: UART5 (Bitfield-Mask: 0x01)                */
#define SCU_PRER2_UART4_Pos               (12UL)                    /*!< SCU PRER2: UART4 (Bit 12)                             */
#define SCU_PRER2_UART4_Msk               (0x1000UL)                /*!< SCU PRER2: UART4 (Bitfield-Mask: 0x01)                */
#define SCU_PRER2_UART3_Pos               (11UL)                    /*!< SCU PRER2: UART3 (Bit 11)                             */
#define SCU_PRER2_UART3_Msk               (0x800UL)                 /*!< SCU PRER2: UART3 (Bitfield-Mask: 0x01)                */
#define SCU_PRER2_UART2_Pos               (10UL)                    /*!< SCU PRER2: UART2 (Bit 10)                             */
#define SCU_PRER2_UART2_Msk               (0x400UL)                 /*!< SCU PRER2: UART2 (Bitfield-Mask: 0x01)                */
#define SCU_PRER2_UART1_Pos               (9UL)                     /*!< SCU PRER2: UART1 (Bit 9)                              */
#define SCU_PRER2_UART1_Msk               (0x200UL)                 /*!< SCU PRER2: UART1 (Bitfield-Mask: 0x01)                */
#define SCU_PRER2_UART0_Pos               (8UL)                     /*!< SCU PRER2: UART0 (Bit 8)                              */
#define SCU_PRER2_UART0_Msk               (0x100UL)                 /*!< SCU PRER2: UART0 (Bitfield-Mask: 0x01)                */
#define SCU_PRER2_I2C1_Pos                (5UL)                     /*!< SCU PRER2: I2C1 (Bit 5)                               */
#define SCU_PRER2_I2C1_Msk                (0x20UL)                  /*!< SCU PRER2: I2C1 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_I2C0_Pos                (4UL)                     /*!< SCU PRER2: I2C0 (Bit 4)                               */
#define SCU_PRER2_I2C0_Msk                (0x10UL)                  /*!< SCU PRER2: I2C0 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_SPI1_Pos                (1UL)                     /*!< SCU PRER2: SPI1 (Bit 1)                               */
#define SCU_PRER2_SPI1_Msk                (0x2UL)                   /*!< SCU PRER2: SPI1 (Bitfield-Mask: 0x01)                 */
#define SCU_PRER2_SPI0_Pos                (0UL)                     /*!< SCU PRER2: SPI0 (Bit 0)                               */
#define SCU_PRER2_SPI0_Msk                (0x1UL)                   /*!< SCU PRER2: SPI0 (Bitfield-Mask: 0x01)                 */
/* =========================================================  PER1  ========================================================== */
#define SCU_PER1_TIMER9_Pos               (25UL)                    /*!< SCU PER1: TIMER9 (Bit 25)                             */
#define SCU_PER1_TIMER9_Msk               (0x2000000UL)             /*!< SCU PER1: TIMER9 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER8_Pos               (24UL)                    /*!< SCU PER1: TIMER8 (Bit 24)                             */
#define SCU_PER1_TIMER8_Msk               (0x1000000UL)             /*!< SCU PER1: TIMER8 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER7_Pos               (23UL)                    /*!< SCU PER1: TIMER7 (Bit 23)                             */
#define SCU_PER1_TIMER7_Msk               (0x800000UL)              /*!< SCU PER1: TIMER7 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER6_Pos               (22UL)                    /*!< SCU PER1: TIMER6 (Bit 22)                             */
#define SCU_PER1_TIMER6_Msk               (0x400000UL)              /*!< SCU PER1: TIMER6 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER5_Pos               (21UL)                    /*!< SCU PER1: TIMER5 (Bit 21)                             */
#define SCU_PER1_TIMER5_Msk               (0x200000UL)              /*!< SCU PER1: TIMER5 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER4_Pos               (20UL)                    /*!< SCU PER1: TIMER4 (Bit 20)                             */
#define SCU_PER1_TIMER4_Msk               (0x100000UL)              /*!< SCU PER1: TIMER4 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER3_Pos               (19UL)                    /*!< SCU PER1: TIMER3 (Bit 19)                             */
#define SCU_PER1_TIMER3_Msk               (0x80000UL)               /*!< SCU PER1: TIMER3 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER2_Pos               (18UL)                    /*!< SCU PER1: TIMER2 (Bit 18)                             */
#define SCU_PER1_TIMER2_Msk               (0x40000UL)               /*!< SCU PER1: TIMER2 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER1_Pos               (17UL)                    /*!< SCU PER1: TIMER1 (Bit 17)                             */
#define SCU_PER1_TIMER1_Msk               (0x20000UL)               /*!< SCU PER1: TIMER1 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_TIMER0_Pos               (16UL)                    /*!< SCU PER1: TIMER0 (Bit 16)                             */
#define SCU_PER1_TIMER0_Msk               (0x10000UL)               /*!< SCU PER1: TIMER0 (Bitfield-Mask: 0x01)                */
#define SCU_PER1_GPIOF_Pos                (13UL)                    /*!< SCU PER1: GPIOF (Bit 13)                              */
#define SCU_PER1_GPIOF_Msk                (0x2000UL)                /*!< SCU PER1: GPIOF (Bitfield-Mask: 0x01)                 */
#define SCU_PER1_GPIOE_Pos                (12UL)                    /*!< SCU PER1: GPIOE (Bit 12)                              */
#define SCU_PER1_GPIOE_Msk                (0x1000UL)                /*!< SCU PER1: GPIOE (Bitfield-Mask: 0x01)                 */
#define SCU_PER1_GPIOD_Pos                (11UL)                    /*!< SCU PER1: GPIOD (Bit 11)                              */
#define SCU_PER1_GPIOD_Msk                (0x800UL)                 /*!< SCU PER1: GPIOD (Bitfield-Mask: 0x01)                 */
#define SCU_PER1_GPIOC_Pos                (10UL)                    /*!< SCU PER1: GPIOC (Bit 10)                              */
#define SCU_PER1_GPIOC_Msk                (0x400UL)                 /*!< SCU PER1: GPIOC (Bitfield-Mask: 0x01)                 */
#define SCU_PER1_GPIOB_Pos                (9UL)                     /*!< SCU PER1: GPIOB (Bit 9)                               */
#define SCU_PER1_GPIOB_Msk                (0x200UL)                 /*!< SCU PER1: GPIOB (Bitfield-Mask: 0x01)                 */
#define SCU_PER1_GPIOA_Pos                (8UL)                     /*!< SCU PER1: GPIOA (Bit 8)                               */
#define SCU_PER1_GPIOA_Msk                (0x100UL)                 /*!< SCU PER1: GPIOA (Bitfield-Mask: 0x01)                 */
#define SCU_PER1_FRT1_Pos                 (7UL)                     /*!< SCU PER1: FRT1 (Bit 7)                                */
#define SCU_PER1_FRT1_Msk                 (0x80UL)                  /*!< SCU PER1: FRT1 (Bitfield-Mask: 0x01)                  */
#define SCU_PER1_FRT0_Pos                 (6UL)                     /*!< SCU PER1: FRT0 (Bit 6)                                */
#define SCU_PER1_FRT0_Msk                 (0x40UL)                  /*!< SCU PER1: FRT0 (Bitfield-Mask: 0x01)                  */
#define SCU_PER1_DMA_Pos                  (4UL)                     /*!< SCU PER1: DMA (Bit 4)                                 */
#define SCU_PER1_DMA_Msk                  (0x10UL)                  /*!< SCU PER1: DMA (Bitfield-Mask: 0x01)                   */
/* =========================================================  PER2  ========================================================== */
#define SCU_PER2_RNG_Pos                  (31UL)                    /*!< SCU PER2: RNG (Bit 31)                                */
#define SCU_PER2_RNG_Msk                  (0x80000000UL)            /*!< SCU PER2: RNG (Bitfield-Mask: 0x01)                   */
#define SCU_PER2_CRC_Pos                  (29UL)                    /*!< SCU PER2: CRC (Bit 29)                                */
#define SCU_PER2_CRC_Msk                  (0x20000000UL)            /*!< SCU PER2: CRC (Bitfield-Mask: 0x01)                   */
#define SCU_PER2_CMP_Pos                  (28UL)                    /*!< SCU PER2: CMP (Bit 28)                                */
#define SCU_PER2_CMP_Msk                  (0x10000000UL)            /*!< SCU PER2: CMP (Bitfield-Mask: 0x01)                   */
#define SCU_PER2_DAC1_Pos                 (24UL)                    /*!< SCU PER2: DAC1 (Bit 24)                               */
#define SCU_PER2_DAC1_Msk                 (0x1000000UL)             /*!< SCU PER2: DAC1 (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_DAC0_Pos                 (23UL)                    /*!< SCU PER2: DAC0 (Bit 23)                               */
#define SCU_PER2_DAC0_Msk                 (0x800000UL)              /*!< SCU PER2: DAC0 (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_ADC2_Pos                 (22UL)                    /*!< SCU PER2: ADC2 (Bit 22)                               */
#define SCU_PER2_ADC2_Msk                 (0x400000UL)              /*!< SCU PER2: ADC2 (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_ADC1_Pos                 (21UL)                    /*!< SCU PER2: ADC1 (Bit 21)                               */
#define SCU_PER2_ADC1_Msk                 (0x200000UL)              /*!< SCU PER2: ADC1 (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_ADC0_Pos                 (20UL)                    /*!< SCU PER2: ADC0 (Bit 20)                               */
#define SCU_PER2_ADC0_Msk                 (0x100000UL)              /*!< SCU PER2: ADC0 (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_PFCP_Pos                 (18UL)                    /*!< SCU PER2: PFCP (Bit 18)                               */
#define SCU_PER2_PFCP_Msk                 (0x40000UL)               /*!< SCU PER2: PFCP (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_MPWM1_Pos                (17UL)                    /*!< SCU PER2: MPWM1 (Bit 17)                              */
#define SCU_PER2_MPWM1_Msk                (0x20000UL)               /*!< SCU PER2: MPWM1 (Bitfield-Mask: 0x01)                 */
#define SCU_PER2_MPWM0_Pos                (16UL)                    /*!< SCU PER2: MPWM0 (Bit 16)                              */
#define SCU_PER2_MPWM0_Msk                (0x10000UL)               /*!< SCU PER2: MPWM0 (Bitfield-Mask: 0x01)                 */
#define SCU_PER2_UART5_Pos                (13UL)                    /*!< SCU PER2: UART5 (Bit 13)                              */
#define SCU_PER2_UART5_Msk                (0x2000UL)                /*!< SCU PER2: UART5 (Bitfield-Mask: 0x01)                 */
#define SCU_PER2_UART4_Pos                (12UL)                    /*!< SCU PER2: UART4 (Bit 12)                              */
#define SCU_PER2_UART4_Msk                (0x1000UL)                /*!< SCU PER2: UART4 (Bitfield-Mask: 0x01)                 */
#define SCU_PER2_UART3_Pos                (11UL)                    /*!< SCU PER2: UART3 (Bit 11)                              */
#define SCU_PER2_UART3_Msk                (0x800UL)                 /*!< SCU PER2: UART3 (Bitfield-Mask: 0x01)                 */
#define SCU_PER2_UART2_Pos                (10UL)                    /*!< SCU PER2: UART2 (Bit 10)                              */
#define SCU_PER2_UART2_Msk                (0x400UL)                 /*!< SCU PER2: UART2 (Bitfield-Mask: 0x01)                 */
#define SCU_PER2_UART1_Pos                (9UL)                     /*!< SCU PER2: UART1 (Bit 9)                               */
#define SCU_PER2_UART1_Msk                (0x200UL)                 /*!< SCU PER2: UART1 (Bitfield-Mask: 0x01)                 */
#define SCU_PER2_UART0_Pos                (8UL)                     /*!< SCU PER2: UART0 (Bit 8)                               */
#define SCU_PER2_UART0_Msk                (0x100UL)                 /*!< SCU PER2: UART0 (Bitfield-Mask: 0x01)                 */
#define SCU_PER2_I2C1_Pos                 (5UL)                     /*!< SCU PER2: I2C1 (Bit 5)                                */
#define SCU_PER2_I2C1_Msk                 (0x20UL)                  /*!< SCU PER2: I2C1 (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_I2C0_Pos                 (4UL)                     /*!< SCU PER2: I2C0 (Bit 4)                                */
#define SCU_PER2_I2C0_Msk                 (0x10UL)                  /*!< SCU PER2: I2C0 (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_SPI1_Pos                 (1UL)                     /*!< SCU PER2: SPI1 (Bit 1)                                */
#define SCU_PER2_SPI1_Msk                 (0x2UL)                   /*!< SCU PER2: SPI1 (Bitfield-Mask: 0x01)                  */
#define SCU_PER2_SPI0_Pos                 (0UL)                     /*!< SCU PER2: SPI0 (Bit 0)                                */
#define SCU_PER2_SPI0_Msk                 (0x1UL)                   /*!< SCU PER2: SPI0 (Bitfield-Mask: 0x01)                  */
/* =========================================================  PCER1  ========================================================= */
#define SCU_PCER1_TIMER9_Pos              (25UL)                    /*!< SCU PCER1: TIMER9 (Bit 25)                            */
#define SCU_PCER1_TIMER9_Msk              (0x2000000UL)             /*!< SCU PCER1: TIMER9 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER8_Pos              (24UL)                    /*!< SCU PCER1: TIMER8 (Bit 24)                            */
#define SCU_PCER1_TIMER8_Msk              (0x1000000UL)             /*!< SCU PCER1: TIMER8 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER7_Pos              (23UL)                    /*!< SCU PCER1: TIMER7 (Bit 23)                            */
#define SCU_PCER1_TIMER7_Msk              (0x800000UL)              /*!< SCU PCER1: TIMER7 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER6_Pos              (22UL)                    /*!< SCU PCER1: TIMER6 (Bit 22)                            */
#define SCU_PCER1_TIMER6_Msk              (0x400000UL)              /*!< SCU PCER1: TIMER6 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER5_Pos              (21UL)                    /*!< SCU PCER1: TIMER5 (Bit 21)                            */
#define SCU_PCER1_TIMER5_Msk              (0x200000UL)              /*!< SCU PCER1: TIMER5 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER4_Pos              (20UL)                    /*!< SCU PCER1: TIMER4 (Bit 20)                            */
#define SCU_PCER1_TIMER4_Msk              (0x100000UL)              /*!< SCU PCER1: TIMER4 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER3_Pos              (19UL)                    /*!< SCU PCER1: TIMER3 (Bit 19)                            */
#define SCU_PCER1_TIMER3_Msk              (0x80000UL)               /*!< SCU PCER1: TIMER3 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER2_Pos              (18UL)                    /*!< SCU PCER1: TIMER2 (Bit 18)                            */
#define SCU_PCER1_TIMER2_Msk              (0x40000UL)               /*!< SCU PCER1: TIMER2 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER1_Pos              (17UL)                    /*!< SCU PCER1: TIMER1 (Bit 17)                            */
#define SCU_PCER1_TIMER1_Msk              (0x20000UL)               /*!< SCU PCER1: TIMER1 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_TIMER0_Pos              (16UL)                    /*!< SCU PCER1: TIMER0 (Bit 16)                            */
#define SCU_PCER1_TIMER0_Msk              (0x10000UL)               /*!< SCU PCER1: TIMER0 (Bitfield-Mask: 0x01)               */
#define SCU_PCER1_GPIOF_Pos               (13UL)                    /*!< SCU PCER1: GPIOF (Bit 13)                             */
#define SCU_PCER1_GPIOF_Msk               (0x2000UL)                /*!< SCU PCER1: GPIOF (Bitfield-Mask: 0x01)                */
#define SCU_PCER1_GPIOE_Pos               (12UL)                    /*!< SCU PCER1: GPIOE (Bit 12)                             */
#define SCU_PCER1_GPIOE_Msk               (0x1000UL)                /*!< SCU PCER1: GPIOE (Bitfield-Mask: 0x01)                */
#define SCU_PCER1_GPIOD_Pos               (11UL)                    /*!< SCU PCER1: GPIOD (Bit 11)                             */
#define SCU_PCER1_GPIOD_Msk               (0x800UL)                 /*!< SCU PCER1: GPIOD (Bitfield-Mask: 0x01)                */
#define SCU_PCER1_GPIOC_Pos               (10UL)                    /*!< SCU PCER1: GPIOC (Bit 10)                             */
#define SCU_PCER1_GPIOC_Msk               (0x400UL)                 /*!< SCU PCER1: GPIOC (Bitfield-Mask: 0x01)                */
#define SCU_PCER1_GPIOB_Pos               (9UL)                     /*!< SCU PCER1: GPIOB (Bit 9)                              */
#define SCU_PCER1_GPIOB_Msk               (0x200UL)                 /*!< SCU PCER1: GPIOB (Bitfield-Mask: 0x01)                */
#define SCU_PCER1_GPIOA_Pos               (8UL)                     /*!< SCU PCER1: GPIOA (Bit 8)                              */
#define SCU_PCER1_GPIOA_Msk               (0x100UL)                 /*!< SCU PCER1: GPIOA (Bitfield-Mask: 0x01)                */
#define SCU_PCER1_FRT1_Pos                (7UL)                     /*!< SCU PCER1: FRT1 (Bit 7)                               */
#define SCU_PCER1_FRT1_Msk                (0x80UL)                  /*!< SCU PCER1: FRT1 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER1_FRT0_Pos                (6UL)                     /*!< SCU PCER1: FRT0 (Bit 6)                               */
#define SCU_PCER1_FRT0_Msk                (0x40UL)                  /*!< SCU PCER1: FRT0 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER1_DMA_Pos                 (4UL)                     /*!< SCU PCER1: DMA (Bit 4)                                */
#define SCU_PCER1_DMA_Msk                 (0x10UL)                  /*!< SCU PCER1: DMA (Bitfield-Mask: 0x01)                  */
/* =========================================================  PCER2  ========================================================= */
#define SCU_PCER2_RNG_Pos                 (31UL)                    /*!< SCU PCER2: RNG (Bit 31)                               */
#define SCU_PCER2_RNG_Msk                 (0x80000000UL)            /*!< SCU PCER2: RNG (Bitfield-Mask: 0x01)                  */
#define SCU_PCER2_CRC_Pos                 (29UL)                    /*!< SCU PCER2: CRC (Bit 29)                               */
#define SCU_PCER2_CRC_Msk                 (0x20000000UL)            /*!< SCU PCER2: CRC (Bitfield-Mask: 0x01)                  */
#define SCU_PCER2_CMP_Pos                 (28UL)                    /*!< SCU PCER2: CMP (Bit 28)                               */
#define SCU_PCER2_CMP_Msk                 (0x10000000UL)            /*!< SCU PCER2: CMP (Bitfield-Mask: 0x01)                  */
#define SCU_PCER2_DAC1_Pos                (24UL)                    /*!< SCU PCER2: DAC1 (Bit 24)                              */
#define SCU_PCER2_DAC1_Msk                (0x1000000UL)             /*!< SCU PCER2: DAC1 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_DAC0_Pos                (23UL)                    /*!< SCU PCER2: DAC0 (Bit 23)                              */
#define SCU_PCER2_DAC0_Msk                (0x800000UL)              /*!< SCU PCER2: DAC0 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_ADC2_Pos                (22UL)                    /*!< SCU PCER2: ADC2 (Bit 22)                              */
#define SCU_PCER2_ADC2_Msk                (0x400000UL)              /*!< SCU PCER2: ADC2 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_ADC1_Pos                (21UL)                    /*!< SCU PCER2: ADC1 (Bit 21)                              */
#define SCU_PCER2_ADC1_Msk                (0x200000UL)              /*!< SCU PCER2: ADC1 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_ADC0_Pos                (20UL)                    /*!< SCU PCER2: ADC0 (Bit 20)                              */
#define SCU_PCER2_ADC0_Msk                (0x100000UL)              /*!< SCU PCER2: ADC0 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_PFCP_Pos                (18UL)                    /*!< SCU PCER2: PFCP (Bit 18)                              */
#define SCU_PCER2_PFCP_Msk                (0x40000UL)               /*!< SCU PCER2: PFCP (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_MPWM1_Pos               (17UL)                    /*!< SCU PCER2: MPWM1 (Bit 17)                             */
#define SCU_PCER2_MPWM1_Msk               (0x20000UL)               /*!< SCU PCER2: MPWM1 (Bitfield-Mask: 0x01)                */
#define SCU_PCER2_MPWM0_Pos               (16UL)                    /*!< SCU PCER2: MPWM0 (Bit 16)                             */
#define SCU_PCER2_MPWM0_Msk               (0x10000UL)               /*!< SCU PCER2: MPWM0 (Bitfield-Mask: 0x01)                */
#define SCU_PCER2_UART5_Pos               (13UL)                    /*!< SCU PCER2: UART5 (Bit 13)                             */
#define SCU_PCER2_UART5_Msk               (0x2000UL)                /*!< SCU PCER2: UART5 (Bitfield-Mask: 0x01)                */
#define SCU_PCER2_UART4_Pos               (12UL)                    /*!< SCU PCER2: UART4 (Bit 12)                             */
#define SCU_PCER2_UART4_Msk               (0x1000UL)                /*!< SCU PCER2: UART4 (Bitfield-Mask: 0x01)                */
#define SCU_PCER2_UART3_Pos               (11UL)                    /*!< SCU PCER2: UART3 (Bit 11)                             */
#define SCU_PCER2_UART3_Msk               (0x800UL)                 /*!< SCU PCER2: UART3 (Bitfield-Mask: 0x01)                */
#define SCU_PCER2_UART2_Pos               (10UL)                    /*!< SCU PCER2: UART2 (Bit 10)                             */
#define SCU_PCER2_UART2_Msk               (0x400UL)                 /*!< SCU PCER2: UART2 (Bitfield-Mask: 0x01)                */
#define SCU_PCER2_UART1_Pos               (9UL)                     /*!< SCU PCER2: UART1 (Bit 9)                              */
#define SCU_PCER2_UART1_Msk               (0x200UL)                 /*!< SCU PCER2: UART1 (Bitfield-Mask: 0x01)                */
#define SCU_PCER2_UART0_Pos               (8UL)                     /*!< SCU PCER2: UART0 (Bit 8)                              */
#define SCU_PCER2_UART0_Msk               (0x100UL)                 /*!< SCU PCER2: UART0 (Bitfield-Mask: 0x01)                */
#define SCU_PCER2_I2C1_Pos                (5UL)                     /*!< SCU PCER2: I2C1 (Bit 5)                               */
#define SCU_PCER2_I2C1_Msk                (0x20UL)                  /*!< SCU PCER2: I2C1 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_I2C0_Pos                (4UL)                     /*!< SCU PCER2: I2C0 (Bit 4)                               */
#define SCU_PCER2_I2C0_Msk                (0x10UL)                  /*!< SCU PCER2: I2C0 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_SPI1_Pos                (1UL)                     /*!< SCU PCER2: SPI1 (Bit 1)                               */
#define SCU_PCER2_SPI1_Msk                (0x2UL)                   /*!< SCU PCER2: SPI1 (Bitfield-Mask: 0x01)                 */
#define SCU_PCER2_SPI0_Pos                (0UL)                     /*!< SCU PCER2: SPI0 (Bit 0)                               */
#define SCU_PCER2_SPI0_Msk                (0x1UL)                   /*!< SCU PCER2: SPI0 (Bitfield-Mask: 0x01)                 */
/* =========================================================  CSCR  ========================================================== */
#define SCU_CSCR_LSECON_Pos               (7UL)                     /*!< SCU CSCR: LSECON (Bit 7)                              */
#define SCU_CSCR_LSECON_Msk               (0x80UL)                  /*!< SCU CSCR: LSECON (Bitfield-Mask: 0x01)                */
#define SCU_CSCR_LSICON_Pos               (5UL)                     /*!< SCU CSCR: LSICON (Bit 5)                              */
#define SCU_CSCR_LSICON_Msk               (0x20UL)                  /*!< SCU CSCR: LSICON (Bitfield-Mask: 0x01)                */
#define SCU_CSCR_HSICON_Pos               (3UL)                     /*!< SCU CSCR: HSICON (Bit 3)                              */
#define SCU_CSCR_HSICON_Msk               (0x8UL)                   /*!< SCU CSCR: HSICON (Bitfield-Mask: 0x01)                */
#define SCU_CSCR_HSECON_Pos               (1UL)                     /*!< SCU CSCR: HSECON (Bit 1)                              */
#define SCU_CSCR_HSECON_Msk               (0x2UL)                   /*!< SCU CSCR: HSECON (Bitfield-Mask: 0x01)                */
/* =========================================================  SCCR  ========================================================== */
#define SCU_SCCR_HCLKDIV_Pos              (24UL)                    /*!< SCU SCCR: HCLKDIV (Bit 24)                            */
#define SCU_SCCR_HCLKDIV_Msk              (0xf000000UL)             /*!< SCU SCCR: HCLKDIV (Bitfield-Mask: 0x0f)               */
#define SCU_SCCR_PCLKDIV_Pos              (16UL)                    /*!< SCU SCCR: PCLKDIV (Bit 16)                            */
#define SCU_SCCR_PCLKDIV_Msk              (0x70000UL)               /*!< SCU SCCR: PCLKDIV (Bitfield-Mask: 0x07)               */
#define SCU_SCCR_PLLCLKSEL_Pos            (12UL)                    /*!< SCU SCCR: PLLCLKSEL (Bit 12)                          */
#define SCU_SCCR_PLLCLKSEL_Msk            (0x1000UL)                /*!< SCU SCCR: PLLCLKSEL (Bitfield-Mask: 0x01)             */
#define SCU_SCCR_PLLPREDIV_Pos            (8UL)                     /*!< SCU SCCR: PLLPREDIV (Bit 8)                           */
#define SCU_SCCR_PLLPREDIV_Msk            (0x300UL)                 /*!< SCU SCCR: PLLPREDIV (Bitfield-Mask: 0x03)             */
#define SCU_SCCR_MCLKSEL_Pos              (0UL)                     /*!< SCU SCCR: MCLKSEL (Bit 0)                             */
#define SCU_SCCR_MCLKSEL_Msk              (0x7UL)                   /*!< SCU SCCR: MCLKSEL (Bitfield-Mask: 0x07)               */
/* ==========================================================  CMR  ========================================================== */
#define SCU_CMR_MCLKREC_Pos               (15UL)                    /*!< SCU CMR: MCLKREC (Bit 15)                             */
#define SCU_CMR_MCLKREC_Msk               (0x8000UL)                /*!< SCU CMR: MCLKREC (Bitfield-Mask: 0x01)                */
#define SCU_CMR_LSEMNT_Pos                (11UL)                    /*!< SCU CMR: LSEMNT (Bit 11)                              */
#define SCU_CMR_LSEMNT_Msk                (0x800UL)                 /*!< SCU CMR: LSEMNT (Bitfield-Mask: 0x01)                 */
#define SCU_CMR_LSEIE_Pos                 (10UL)                    /*!< SCU CMR: LSEIE (Bit 10)                               */
#define SCU_CMR_LSEIE_Msk                 (0x400UL)                 /*!< SCU CMR: LSEIE (Bitfield-Mask: 0x01)                  */
#define SCU_CMR_LSEFAIL_Pos               (9UL)                     /*!< SCU CMR: LSEFAIL (Bit 9)                              */
#define SCU_CMR_LSEFAIL_Msk               (0x200UL)                 /*!< SCU CMR: LSEFAIL (Bitfield-Mask: 0x01)                */
#define SCU_CMR_LSESTS_Pos                (8UL)                     /*!< SCU CMR: LSESTS (Bit 8)                               */
#define SCU_CMR_LSESTS_Msk                (0x100UL)                 /*!< SCU CMR: LSESTS (Bitfield-Mask: 0x01)                 */
#define SCU_CMR_MCLKMNT_Pos               (7UL)                     /*!< SCU CMR: MCLKMNT (Bit 7)                              */
#define SCU_CMR_MCLKMNT_Msk               (0x80UL)                  /*!< SCU CMR: MCLKMNT (Bitfield-Mask: 0x01)                */
#define SCU_CMR_MCLKIE_Pos                (6UL)                     /*!< SCU CMR: MCLKIE (Bit 6)                               */
#define SCU_CMR_MCLKIE_Msk                (0x40UL)                  /*!< SCU CMR: MCLKIE (Bitfield-Mask: 0x01)                 */
#define SCU_CMR_MCLKFAIL_Pos              (5UL)                     /*!< SCU CMR: MCLKFAIL (Bit 5)                             */
#define SCU_CMR_MCLKFAIL_Msk              (0x20UL)                  /*!< SCU CMR: MCLKFAIL (Bitfield-Mask: 0x01)               */
#define SCU_CMR_HSEMNT_Pos                (3UL)                     /*!< SCU CMR: HSEMNT (Bit 3)                               */
#define SCU_CMR_HSEMNT_Msk                (0x8UL)                   /*!< SCU CMR: HSEMNT (Bitfield-Mask: 0x01)                 */
#define SCU_CMR_HSEIE_Pos                 (2UL)                     /*!< SCU CMR: HSEIE (Bit 2)                                */
#define SCU_CMR_HSEIE_Msk                 (0x4UL)                   /*!< SCU CMR: HSEIE (Bitfield-Mask: 0x01)                  */
#define SCU_CMR_HSEFAIL_Pos               (1UL)                     /*!< SCU CMR: HSEFAIL (Bit 1)                              */
#define SCU_CMR_HSEFAIL_Msk               (0x2UL)                   /*!< SCU CMR: HSEFAIL (Bitfield-Mask: 0x01)                */
#define SCU_CMR_HSESTS_Pos                (0UL)                     /*!< SCU CMR: HSESTS (Bit 0)                               */
#define SCU_CMR_HSESTS_Msk                (0x1UL)                   /*!< SCU CMR: HSESTS (Bitfield-Mask: 0x01)                 */
/* ==========================================================  COR  ========================================================== */
#define SCU_COR_CLKOINSEL_Pos             (5UL)                     /*!< SCU COR: CLKOINSEL (Bit 5)                            */
#define SCU_COR_CLKOINSEL_Msk             (0xe0UL)                  /*!< SCU COR: CLKOINSEL (Bitfield-Mask: 0x07)              */
#define SCU_COR_CLKOEN_Pos                (4UL)                     /*!< SCU COR: CLKOEN (Bit 4)                               */
#define SCU_COR_CLKOEN_Msk                (0x10UL)                  /*!< SCU COR: CLKOEN (Bitfield-Mask: 0x01)                 */
#define SCU_COR_CLKODIV_Pos               (0UL)                     /*!< SCU COR: CLKODIV (Bit 0)                              */
#define SCU_COR_CLKODIV_Msk               (0xfUL)                   /*!< SCU COR: CLKODIV (Bitfield-Mask: 0x0f)                */
/* =========================================================  NMICR  ========================================================= */
#define SCU_NMICR_NMISRC_Pos              (16UL)                    /*!< SCU NMICR: NMISRC (Bit 16)                            */
#define SCU_NMICR_NMISRC_Msk              (0xff0000UL)              /*!< SCU NMICR: NMISRC (Bitfield-Mask: 0xff)               */
#define SCU_NMICR_NMIEN_Pos               (15UL)                    /*!< SCU NMICR: NMIEN (Bit 15)                             */
#define SCU_NMICR_NMIEN_Msk               (0x8000UL)                /*!< SCU NMICR: NMIEN (Bitfield-Mask: 0x01)                */
#define SCU_NMICR_DFEDEN_Pos              (13UL)                    /*!< SCU NMICR: DFEDEN (Bit 13)                            */
#define SCU_NMICR_DFEDEN_Msk              (0x2000UL)                /*!< SCU NMICR: DFEDEN (Bitfield-Mask: 0x01)               */
#define SCU_NMICR_CFEDEN_Pos              (12UL)                    /*!< SCU NMICR: CFEDEN (Bit 12)                            */
#define SCU_NMICR_CFEDEN_Msk              (0x1000UL)                /*!< SCU NMICR: CFEDEN (Bitfield-Mask: 0x01)               */
#define SCU_NMICR_PFCPPROT1EN_Pos         (9UL)                     /*!< SCU NMICR: PFCPPROT1EN (Bit 9)                        */
#define SCU_NMICR_PFCPPROT1EN_Msk         (0x200UL)                 /*!< SCU NMICR: PFCPPROT1EN (Bitfield-Mask: 0x01)          */
#define SCU_NMICR_PFCPPROT0EN_Pos         (8UL)                     /*!< SCU NMICR: PFCPPROT0EN (Bit 8)                        */
#define SCU_NMICR_PFCPPROT0EN_Msk         (0x100UL)                 /*!< SCU NMICR: PFCPPROT0EN (Bitfield-Mask: 0x01)          */
#define SCU_NMICR_MPWM1PROTEN_Pos         (6UL)                     /*!< SCU NMICR: MPWM1PROTEN (Bit 6)                        */
#define SCU_NMICR_MPWM1PROTEN_Msk         (0x40UL)                  /*!< SCU NMICR: MPWM1PROTEN (Bitfield-Mask: 0x01)          */
#define SCU_NMICR_MPWM1OCEN_Pos           (5UL)                     /*!< SCU NMICR: MPWM1OCEN (Bit 5)                          */
#define SCU_NMICR_MPWM1OCEN_Msk           (0x20UL)                  /*!< SCU NMICR: MPWM1OCEN (Bitfield-Mask: 0x01)            */
#define SCU_NMICR_MPWM0PROTEN_Pos         (4UL)                     /*!< SCU NMICR: MPWM0PROTEN (Bit 4)                        */
#define SCU_NMICR_MPWM0PROTEN_Msk         (0x10UL)                  /*!< SCU NMICR: MPWM0PROTEN (Bitfield-Mask: 0x01)          */
#define SCU_NMICR_MPWM0OCEN_Pos           (3UL)                     /*!< SCU NMICR: MPWM0OCEN (Bit 3)                          */
#define SCU_NMICR_MPWM0OCEN_Msk           (0x8UL)                   /*!< SCU NMICR: MPWM0OCEN (Bitfield-Mask: 0x01)            */
#define SCU_NMICR_WDTEN_Pos               (2UL)                     /*!< SCU NMICR: WDTEN (Bit 2)                              */
#define SCU_NMICR_WDTEN_Msk               (0x4UL)                   /*!< SCU NMICR: WDTEN (Bitfield-Mask: 0x01)                */
#define SCU_NMICR_MCLKFAILEN_Pos          (1UL)                     /*!< SCU NMICR: MCLKFAILEN (Bit 1)                         */
#define SCU_NMICR_MCLKFAILEN_Msk          (0x2UL)                   /*!< SCU NMICR: MCLKFAILEN (Bitfield-Mask: 0x01)           */
#define SCU_NMICR_LVIEN_Pos               (0UL)                     /*!< SCU NMICR: LVIEN (Bit 0)                              */
#define SCU_NMICR_LVIEN_Msk               (0x1UL)                   /*!< SCU NMICR: LVIEN (Bitfield-Mask: 0x01)                */
/* =========================================================  NMISR  ========================================================= */
#define SCU_NMISR_WTIDKY_Pos              (24UL)                    /*!< SCU NMISR: WTIDKY (Bit 24)                            */
#define SCU_NMISR_WTIDKY_Msk              (0xff000000UL)            /*!< SCU NMISR: WTIDKY (Bitfield-Mask: 0xff)               */
#define SCU_NMISR_NMISTS_Pos              (15UL)                    /*!< SCU NMISR: NMISTS (Bit 15)                            */
#define SCU_NMISR_NMISTS_Msk              (0x8000UL)                /*!< SCU NMISR: NMISTS (Bitfield-Mask: 0x01)               */
#define SCU_NMISR_DFEDSTS_Pos             (13UL)                    /*!< SCU NMISR: DFEDSTS (Bit 13)                           */
#define SCU_NMISR_DFEDSTS_Msk             (0x2000UL)                /*!< SCU NMISR: DFEDSTS (Bitfield-Mask: 0x01)              */
#define SCU_NMISR_CFEDSTS_Pos             (12UL)                    /*!< SCU NMISR: CFEDSTS (Bit 12)                           */
#define SCU_NMISR_CFEDSTS_Msk             (0x1000UL)                /*!< SCU NMISR: CFEDSTS (Bitfield-Mask: 0x01)              */
#define SCU_NMISR_PFCPPROT1STS_Pos        (9UL)                     /*!< SCU NMISR: PFCPPROT1STS (Bit 9)                       */
#define SCU_NMISR_PFCPPROT1STS_Msk        (0x200UL)                 /*!< SCU NMISR: PFCPPROT1STS (Bitfield-Mask: 0x01)         */
#define SCU_NMISR_PFCPPROT0STS_Pos        (8UL)                     /*!< SCU NMISR: PFCPPROT0STS (Bit 8)                       */
#define SCU_NMISR_PFCPPROT0STS_Msk        (0x100UL)                 /*!< SCU NMISR: PFCPPROT0STS (Bitfield-Mask: 0x01)         */
#define SCU_NMISR_MPWM1PROTSTS_Pos        (6UL)                     /*!< SCU NMISR: MPWM1PROTSTS (Bit 6)                       */
#define SCU_NMISR_MPWM1PROTSTS_Msk        (0x40UL)                  /*!< SCU NMISR: MPWM1PROTSTS (Bitfield-Mask: 0x01)         */
#define SCU_NMISR_MPWM1OCSTS_Pos          (5UL)                     /*!< SCU NMISR: MPWM1OCSTS (Bit 5)                         */
#define SCU_NMISR_MPWM1OCSTS_Msk          (0x20UL)                  /*!< SCU NMISR: MPWM1OCSTS (Bitfield-Mask: 0x01)           */
#define SCU_NMISR_MPWM0PROTSTS_Pos        (4UL)                     /*!< SCU NMISR: MPWM0PROTSTS (Bit 4)                       */
#define SCU_NMISR_MPWM0PROTSTS_Msk        (0x10UL)                  /*!< SCU NMISR: MPWM0PROTSTS (Bitfield-Mask: 0x01)         */
#define SCU_NMISR_MPWM0OCSTS_Pos          (3UL)                     /*!< SCU NMISR: MPWM0OCSTS (Bit 3)                         */
#define SCU_NMISR_MPWM0OCSTS_Msk          (0x8UL)                   /*!< SCU NMISR: MPWM0OCSTS (Bitfield-Mask: 0x01)           */
#define SCU_NMISR_WDTSTS_Pos              (2UL)                     /*!< SCU NMISR: WDTSTS (Bit 2)                             */
#define SCU_NMISR_WDTSTS_Msk              (0x4UL)                   /*!< SCU NMISR: WDTSTS (Bitfield-Mask: 0x01)               */
#define SCU_NMISR_MCLKFAILSTS_Pos         (1UL)                     /*!< SCU NMISR: MCLKFAILSTS (Bit 1)                        */
#define SCU_NMISR_MCLKFAILSTS_Msk         (0x2UL)                   /*!< SCU NMISR: MCLKFAILSTS (Bitfield-Mask: 0x01)          */
#define SCU_NMISR_LVISTS_Pos              (0UL)                     /*!< SCU NMISR: LVISTS (Bit 0)                             */
#define SCU_NMISR_LVISTS_Msk              (0x1UL)                   /*!< SCU NMISR: LVISTS (Bitfield-Mask: 0x01)               */
/* ========================================================  PLLCON  ========================================================= */
#define SCU_PLLCON_PLLLOCK_Pos            (31UL)                    /*!< SCU PLLCON: PLLLOCK (Bit 31)                          */
#define SCU_PLLCON_PLLLOCK_Msk            (0x80000000UL)            /*!< SCU PLLCON: PLLLOCK (Bitfield-Mask: 0x01)             */
#define SCU_PLLCON_PLLEN_Pos              (22UL)                    /*!< SCU PLLCON: PLLEN (Bit 22)                            */
#define SCU_PLLCON_PLLEN_Msk              (0x400000UL)              /*!< SCU PLLCON: PLLEN (Bitfield-Mask: 0x01)               */
#define SCU_PLLCON_BYPASSB_Pos            (21UL)                    /*!< SCU PLLCON: BYPASSB (Bit 21)                          */
#define SCU_PLLCON_BYPASSB_Msk            (0x200000UL)              /*!< SCU PLLCON: BYPASSB (Bitfield-Mask: 0x01)             */
#define SCU_PLLCON_PLLMODE_Pos            (20UL)                    /*!< SCU PLLCON: PLLMODE (Bit 20)                          */
#define SCU_PLLCON_PLLMODE_Msk            (0x100000UL)              /*!< SCU PLLCON: PLLMODE (Bitfield-Mask: 0x01)             */
#define SCU_PLLCON_PREDIV_Pos             (16UL)                    /*!< SCU PLLCON: PREDIV (Bit 16)                           */
#define SCU_PLLCON_PREDIV_Msk             (0x70000UL)               /*!< SCU PLLCON: PREDIV (Bitfield-Mask: 0x07)              */
#define SCU_PLLCON_POSTDIV1_Pos           (8UL)                     /*!< SCU PLLCON: POSTDIV1 (Bit 8)                          */
#define SCU_PLLCON_POSTDIV1_Msk           (0xff00UL)                /*!< SCU PLLCON: POSTDIV1 (Bitfield-Mask: 0xff)            */
#define SCU_PLLCON_POSTDIV2_Pos           (4UL)                     /*!< SCU PLLCON: POSTDIV2 (Bit 4)                          */
#define SCU_PLLCON_POSTDIV2_Msk           (0xf0UL)                  /*!< SCU PLLCON: POSTDIV2 (Bitfield-Mask: 0x0f)            */
#define SCU_PLLCON_OUTDIV_Pos             (0UL)                     /*!< SCU PLLCON: OUTDIV (Bit 0)                            */
#define SCU_PLLCON_OUTDIV_Msk             (0xfUL)                   /*!< SCU PLLCON: OUTDIV (Bitfield-Mask: 0x0f)              */
/* ========================================================  VDCCON  ========================================================= */
#define SCU_VDCCON_VDCWDLY_Pos            (0UL)                     /*!< SCU VDCCON: VDCWDLY (Bit 0)                           */
#define SCU_VDCCON_VDCWDLY_Msk            (0xffUL)                  /*!< SCU VDCCON: VDCWDLY (Bitfield-Mask: 0xff)             */
/* =========================================================  LVICR  ========================================================= */
#define SCU_LVICR_LVIEN_Pos               (7UL)                     /*!< SCU LVICR: LVIEN (Bit 7)                              */
#define SCU_LVICR_LVIEN_Msk               (0x80UL)                  /*!< SCU LVICR: LVIEN (Bitfield-Mask: 0x01)                */
#define SCU_LVICR_LVIINTEN_Pos            (5UL)                     /*!< SCU LVICR: LVIINTEN (Bit 5)                           */
#define SCU_LVICR_LVIINTEN_Msk            (0x20UL)                  /*!< SCU LVICR: LVIINTEN (Bitfield-Mask: 0x01)             */
#define SCU_LVICR_LVIAON_Pos              (4UL)                     /*!< SCU LVICR: LVIAON (Bit 4)                             */
#define SCU_LVICR_LVIAON_Msk              (0x10UL)                  /*!< SCU LVICR: LVIAON (Bitfield-Mask: 0x01)               */
#define SCU_LVICR_LVIVS_Pos               (0UL)                     /*!< SCU LVICR: LVIVS (Bit 0)                              */
#define SCU_LVICR_LVIVS_Msk               (0xfUL)                   /*!< SCU LVICR: LVIVS (Bitfield-Mask: 0x0f)                */
/* =========================================================  LVISR  ========================================================= */
#define SCU_LVISR_WTIDKY_Pos              (24UL)                    /*!< SCU LVISR: WTIDKY (Bit 24)                            */
#define SCU_LVISR_WTIDKY_Msk              (0xff000000UL)            /*!< SCU LVISR: WTIDKY (Bitfield-Mask: 0xff)               */
#define SCU_LVISR_LVIIFLAG_Pos            (5UL)                     /*!< SCU LVISR: LVIIFLAG (Bit 5)                           */
#define SCU_LVISR_LVIIFLAG_Msk            (0x20UL)                  /*!< SCU LVISR: LVIIFLAG (Bitfield-Mask: 0x01)             */
#define SCU_LVISR_LVIINTSTS_Pos           (0UL)                     /*!< SCU LVISR: LVIINTSTS (Bit 0)                          */
#define SCU_LVISR_LVIINTSTS_Msk           (0x1UL)                   /*!< SCU LVISR: LVIINTSTS (Bitfield-Mask: 0x01)            */
/* =========================================================  LVRCR  ========================================================= */
#define SCU_LVRCR_LVRFLAG_Pos             (31UL)                    /*!< SCU LVRCR: LVRFLAG (Bit 31)                           */
#define SCU_LVRCR_LVRFLAG_Msk             (0x80000000UL)            /*!< SCU LVRCR: LVRFLAG (Bitfield-Mask: 0x01)              */
#define SCU_LVRCR_LVREN_Pos               (8UL)                     /*!< SCU LVRCR: LVREN (Bit 8)                              */
#define SCU_LVRCR_LVREN_Msk               (0xff00UL)                /*!< SCU LVRCR: LVREN (Bitfield-Mask: 0xff)                */
#define SCU_LVRCR_LVRAON_Pos              (4UL)                     /*!< SCU LVRCR: LVRAON (Bit 4)                             */
#define SCU_LVRCR_LVRAON_Msk              (0x10UL)                  /*!< SCU LVRCR: LVRAON (Bitfield-Mask: 0x01)               */
#define SCU_LVRCR_LVRVS_Pos               (0UL)                     /*!< SCU LVRCR: LVRVS (Bit 0)                              */
#define SCU_LVRCR_LVRVS_Msk               (0xfUL)                   /*!< SCU LVRCR: LVRVS (Bitfield-Mask: 0x0f)                */
/* =========================================================  EOSCR  ========================================================= */
#define SCU_EOSCR_LSEISEL_Pos             (24UL)                    /*!< SCU EOSCR: LSEISEL (Bit 24)                           */
#define SCU_EOSCR_LSEISEL_Msk             (0x3000000UL)             /*!< SCU EOSCR: LSEISEL (Bitfield-Mask: 0x03)              */
#define SCU_EOSCR_LSENFEN_Pos             (16UL)                    /*!< SCU EOSCR: LSENFEN (Bit 16)                           */
#define SCU_EOSCR_LSENFEN_Msk             (0x10000UL)               /*!< SCU EOSCR: LSENFEN (Bitfield-Mask: 0x01)              */
#define SCU_EOSCR_HSEISEL_Pos             (8UL)                     /*!< SCU EOSCR: HSEISEL (Bit 8)                            */
#define SCU_EOSCR_HSEISEL_Msk             (0x300UL)                 /*!< SCU EOSCR: HSEISEL (Bitfield-Mask: 0x03)              */
#define SCU_EOSCR_HSENFEN_Pos             (4UL)                     /*!< SCU EOSCR: HSENFEN (Bit 4)                            */
#define SCU_EOSCR_HSENFEN_Msk             (0x10UL)                  /*!< SCU EOSCR: HSENFEN (Bitfield-Mask: 0x01)              */
#define SCU_EOSCR_HSENFSEL_Pos            (0UL)                     /*!< SCU EOSCR: HSENFSEL (Bit 0)                           */
#define SCU_EOSCR_HSENFSEL_Msk            (0x3UL)                   /*!< SCU EOSCR: HSENFSEL (Bitfield-Mask: 0x03)             */
/* =========================================================  MCCR1  ========================================================= */
#define SCU_MCCR1_WDTCSEL_Pos             (24UL)                    /*!< SCU MCCR1: WDTCSEL (Bit 24)                           */
#define SCU_MCCR1_WDTCSEL_Msk             (0x7000000UL)             /*!< SCU MCCR1: WDTCSEL (Bitfield-Mask: 0x07)              */
#define SCU_MCCR1_WDTCDIV_Pos             (16UL)                    /*!< SCU MCCR1: WDTCDIV (Bit 16)                           */
#define SCU_MCCR1_WDTCDIV_Msk             (0xff0000UL)              /*!< SCU MCCR1: WDTCDIV (Bitfield-Mask: 0xff)              */
#define SCU_MCCR1_STCSEL_Pos              (8UL)                     /*!< SCU MCCR1: STCSEL (Bit 8)                             */
#define SCU_MCCR1_STCSEL_Msk              (0x700UL)                 /*!< SCU MCCR1: STCSEL (Bitfield-Mask: 0x07)               */
#define SCU_MCCR1_STCDIV_Pos              (0UL)                     /*!< SCU MCCR1: STCDIV (Bit 0)                             */
#define SCU_MCCR1_STCDIV_Msk              (0xffUL)                  /*!< SCU MCCR1: STCDIV (Bitfield-Mask: 0xff)               */
/* =========================================================  MCCR3  ========================================================= */
#define SCU_MCCR3_TIMER59CSEL_Pos         (24UL)                    /*!< SCU MCCR3: TIMER59CSEL (Bit 24)                       */
#define SCU_MCCR3_TIMER59CSEL_Msk         (0x7000000UL)             /*!< SCU MCCR3: TIMER59CSEL (Bitfield-Mask: 0x07)          */
#define SCU_MCCR3_TIMER59CDIV_Pos         (16UL)                    /*!< SCU MCCR3: TIMER59CDIV (Bit 16)                       */
#define SCU_MCCR3_TIMER59CDIV_Msk         (0xff0000UL)              /*!< SCU MCCR3: TIMER59CDIV (Bitfield-Mask: 0xff)          */
#define SCU_MCCR3_TIMER04CSEL_Pos         (8UL)                     /*!< SCU MCCR3: TIMER04CSEL (Bit 8)                        */
#define SCU_MCCR3_TIMER04CSEL_Msk         (0x700UL)                 /*!< SCU MCCR3: TIMER04CSEL (Bitfield-Mask: 0x07)          */
#define SCU_MCCR3_TIMER04CDIV_Pos         (0UL)                     /*!< SCU MCCR3: TIMER04CDIV (Bit 0)                        */
#define SCU_MCCR3_TIMER04CDIV_Msk         (0xffUL)                  /*!< SCU MCCR3: TIMER04CDIV (Bitfield-Mask: 0xff)          */
/* =========================================================  MCCR4  ========================================================= */
#define SCU_MCCR4_PGADCSEL_Pos            (24UL)                    /*!< SCU MCCR4: PGADCSEL (Bit 24)                          */
#define SCU_MCCR4_PGADCSEL_Msk            (0x7000000UL)             /*!< SCU MCCR4: PGADCSEL (Bitfield-Mask: 0x07)             */
#define SCU_MCCR4_PGADCDIV_Pos            (16UL)                    /*!< SCU MCCR4: PGADCDIV (Bit 16)                          */
#define SCU_MCCR4_PGADCDIV_Msk            (0xff0000UL)              /*!< SCU MCCR4: PGADCDIV (Bitfield-Mask: 0xff)             */
/* =========================================================  MCCR5  ========================================================= */
#define SCU_MCCR5_PGCDCSEL_Pos            (24UL)                    /*!< SCU MCCR5: PGCDCSEL (Bit 24)                          */
#define SCU_MCCR5_PGCDCSEL_Msk            (0x7000000UL)             /*!< SCU MCCR5: PGCDCSEL (Bitfield-Mask: 0x07)             */
#define SCU_MCCR5_PGCDCDIV_Pos            (16UL)                    /*!< SCU MCCR5: PGCDCDIV (Bit 16)                          */
#define SCU_MCCR5_PGCDCDIV_Msk            (0xff0000UL)              /*!< SCU MCCR5: PGCDCDIV (Bitfield-Mask: 0xff)             */
#define SCU_MCCR5_PGBDCSEL_Pos            (8UL)                     /*!< SCU MCCR5: PGBDCSEL (Bit 8)                           */
#define SCU_MCCR5_PGBDCSEL_Msk            (0x700UL)                 /*!< SCU MCCR5: PGBDCSEL (Bitfield-Mask: 0x07)             */
#define SCU_MCCR5_PGBDCDIV_Pos            (0UL)                     /*!< SCU MCCR5: PGBDCDIV (Bit 0)                           */
#define SCU_MCCR5_PGBDCDIV_Msk            (0xffUL)                  /*!< SCU MCCR5: PGBDCDIV (Bitfield-Mask: 0xff)             */
/* =========================================================  MCCR6  ========================================================= */
#define SCU_MCCR6_FRT1CSEL_Pos            (24UL)                    /*!< SCU MCCR6: FRT1CSEL (Bit 24)                          */
#define SCU_MCCR6_FRT1CSEL_Msk            (0x7000000UL)             /*!< SCU MCCR6: FRT1CSEL (Bitfield-Mask: 0x07)             */
#define SCU_MCCR6_FRT1CDIV_Pos            (16UL)                    /*!< SCU MCCR6: FRT1CDIV (Bit 16)                          */
#define SCU_MCCR6_FRT1CDIV_Msk            (0xff0000UL)              /*!< SCU MCCR6: FRT1CDIV (Bitfield-Mask: 0xff)             */
#define SCU_MCCR6_FRT0CSEL_Pos            (8UL)                     /*!< SCU MCCR6: FRT0CSEL (Bit 8)                           */
#define SCU_MCCR6_FRT0CSEL_Msk            (0x700UL)                 /*!< SCU MCCR6: FRT0CSEL (Bitfield-Mask: 0x07)             */
#define SCU_MCCR6_FRT0CDIV_Pos            (0UL)                     /*!< SCU MCCR6: FRT0CDIV (Bit 0)                           */
#define SCU_MCCR6_FRT0CDIV_Msk            (0xffUL)                  /*!< SCU MCCR6: FRT0CDIV (Bitfield-Mask: 0xff)             */
/* =========================================================  MCCR7  ========================================================= */
#define SCU_MCCR7_UARTCSEL_Pos            (24UL)                    /*!< SCU MCCR7: UARTCSEL (Bit 24)                          */
#define SCU_MCCR7_UARTCSEL_Msk            (0x7000000UL)             /*!< SCU MCCR7: UARTCSEL (Bitfield-Mask: 0x07)             */
#define SCU_MCCR7_UARTCDIV_Pos            (16UL)                    /*!< SCU MCCR7: UARTCDIV (Bit 16)                          */
#define SCU_MCCR7_UARTCDIV_Msk            (0xff0000UL)              /*!< SCU MCCR7: UARTCDIV (Bitfield-Mask: 0xff)             */
/* ========================================================  SYSTEN  ========================================================= */
#define SCU_SYSTEN_ENS_Pos                (8UL)                     /*!< SCU SYSTEN: ENS (Bit 8)                               */
#define SCU_SYSTEN_ENS_Msk                (0x100UL)                 /*!< SCU SYSTEN: ENS (Bitfield-Mask: 0x01)                 */
#define SCU_SYSTEN_SYSTEN_Pos             (0UL)                     /*!< SCU SYSTEN: SYSTEN (Bit 0)                            */
#define SCU_SYSTEN_SYSTEN_Msk             (0xffUL)                  /*!< SCU SYSTEN: SYSTEN (Bitfield-Mask: 0xff)              */


/* =========================================================================================================================== */
/* ================                                            PCU                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  MR1  ========================================================== */
#define PCU_MR1_P7MUX_Pos                 (28UL)                    /*!< PCU MR1: P7MUX (Bit 28)                               */
#define PCU_MR1_P7MUX_Msk                 (0x70000000UL)            /*!< PCU MR1: P7MUX (Bitfield-Mask: 0x07)                  */
#define PCU_MR1_P6MUX_Pos                 (24UL)                    /*!< PCU MR1: P6MUX (Bit 24)                               */
#define PCU_MR1_P6MUX_Msk                 (0x7000000UL)             /*!< PCU MR1: P6MUX (Bitfield-Mask: 0x07)                  */
#define PCU_MR1_P5MUX_Pos                 (20UL)                    /*!< PCU MR1: P5MUX (Bit 20)                               */
#define PCU_MR1_P5MUX_Msk                 (0x700000UL)              /*!< PCU MR1: P5MUX (Bitfield-Mask: 0x07)                  */
#define PCU_MR1_P4MUX_Pos                 (16UL)                    /*!< PCU MR1: P4MUX (Bit 16)                               */
#define PCU_MR1_P4MUX_Msk                 (0x70000UL)               /*!< PCU MR1: P4MUX (Bitfield-Mask: 0x07)                  */
#define PCU_MR1_P3MUX_Pos                 (12UL)                    /*!< PCU MR1: P3MUX (Bit 12)                               */
#define PCU_MR1_P3MUX_Msk                 (0x7000UL)                /*!< PCU MR1: P3MUX (Bitfield-Mask: 0x07)                  */
#define PCU_MR1_P2MUX_Pos                 (8UL)                     /*!< PCU MR1: P2MUX (Bit 8)                                */
#define PCU_MR1_P2MUX_Msk                 (0x700UL)                 /*!< PCU MR1: P2MUX (Bitfield-Mask: 0x07)                  */
#define PCU_MR1_P1MUX_Pos                 (4UL)                     /*!< PCU MR1: P1MUX (Bit 4)                                */
#define PCU_MR1_P1MUX_Msk                 (0x70UL)                  /*!< PCU MR1: P1MUX (Bitfield-Mask: 0x07)                  */
#define PCU_MR1_P0MUX_Pos                 (0UL)                     /*!< PCU MR1: P0MUX (Bit 0)                                */
#define PCU_MR1_P0MUX_Msk                 (0x7UL)                   /*!< PCU MR1: P0MUX (Bitfield-Mask: 0x07)                  */
/* ==========================================================  MR2  ========================================================== */
#define PCU_MR2_P15MUX_Pos                (28UL)                    /*!< PCU MR2: P15MUX (Bit 28)                              */
#define PCU_MR2_P15MUX_Msk                (0x70000000UL)            /*!< PCU MR2: P15MUX (Bitfield-Mask: 0x07)                 */
#define PCU_MR2_P14MUX_Pos                (24UL)                    /*!< PCU MR2: P14MUX (Bit 24)                              */
#define PCU_MR2_P14MUX_Msk                (0x7000000UL)             /*!< PCU MR2: P14MUX (Bitfield-Mask: 0x07)                 */
#define PCU_MR2_P13MUX_Pos                (20UL)                    /*!< PCU MR2: P13MUX (Bit 20)                              */
#define PCU_MR2_P13MUX_Msk                (0x700000UL)              /*!< PCU MR2: P13MUX (Bitfield-Mask: 0x07)                 */
#define PCU_MR2_P12MUX_Pos                (16UL)                    /*!< PCU MR2: P12MUX (Bit 16)                              */
#define PCU_MR2_P12MUX_Msk                (0x70000UL)               /*!< PCU MR2: P12MUX (Bitfield-Mask: 0x07)                 */
#define PCU_MR2_P11MUX_Pos                (12UL)                    /*!< PCU MR2: P11MUX (Bit 12)                              */
#define PCU_MR2_P11MUX_Msk                (0x7000UL)                /*!< PCU MR2: P11MUX (Bitfield-Mask: 0x07)                 */
#define PCU_MR2_P10MUX_Pos                (8UL)                     /*!< PCU MR2: P10MUX (Bit 8)                               */
#define PCU_MR2_P10MUX_Msk                (0x700UL)                 /*!< PCU MR2: P10MUX (Bitfield-Mask: 0x07)                 */
#define PCU_MR2_P9MUX_Pos                 (4UL)                     /*!< PCU MR2: P9MUX (Bit 4)                                */
#define PCU_MR2_P9MUX_Msk                 (0x70UL)                  /*!< PCU MR2: P9MUX (Bitfield-Mask: 0x07)                  */
#define PCU_MR2_P8MUX_Pos                 (0UL)                     /*!< PCU MR2: P8MUX (Bit 0)                                */
#define PCU_MR2_P8MUX_Msk                 (0x7UL)                   /*!< PCU MR2: P8MUX (Bitfield-Mask: 0x07)                  */
/* ==========================================================  CR  =========================================================== */
#define PCU_CR_P15_Pos                    (30UL)                    /*!< PCU CR: P15 (Bit 30)                                  */
#define PCU_CR_P15_Msk                    (0xc0000000UL)            /*!< PCU CR: P15 (Bitfield-Mask: 0x03)                     */
#define PCU_CR_P14_Pos                    (28UL)                    /*!< PCU CR: P14 (Bit 28)                                  */
#define PCU_CR_P14_Msk                    (0x30000000UL)            /*!< PCU CR: P14 (Bitfield-Mask: 0x03)                     */
#define PCU_CR_P13_Pos                    (26UL)                    /*!< PCU CR: P13 (Bit 26)                                  */
#define PCU_CR_P13_Msk                    (0xc000000UL)             /*!< PCU CR: P13 (Bitfield-Mask: 0x03)                     */
#define PCU_CR_P12_Pos                    (24UL)                    /*!< PCU CR: P12 (Bit 24)                                  */
#define PCU_CR_P12_Msk                    (0x3000000UL)             /*!< PCU CR: P12 (Bitfield-Mask: 0x03)                     */
#define PCU_CR_P11_Pos                    (22UL)                    /*!< PCU CR: P11 (Bit 22)                                  */
#define PCU_CR_P11_Msk                    (0xc00000UL)              /*!< PCU CR: P11 (Bitfield-Mask: 0x03)                     */
#define PCU_CR_P10_Pos                    (20UL)                    /*!< PCU CR: P10 (Bit 20)                                  */
#define PCU_CR_P10_Msk                    (0x300000UL)              /*!< PCU CR: P10 (Bitfield-Mask: 0x03)                     */
#define PCU_CR_P9_Pos                     (18UL)                    /*!< PCU CR: P9 (Bit 18)                                   */
#define PCU_CR_P9_Msk                     (0xc0000UL)               /*!< PCU CR: P9 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P8_Pos                     (16UL)                    /*!< PCU CR: P8 (Bit 16)                                   */
#define PCU_CR_P8_Msk                     (0x30000UL)               /*!< PCU CR: P8 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P7_Pos                     (14UL)                    /*!< PCU CR: P7 (Bit 14)                                   */
#define PCU_CR_P7_Msk                     (0xc000UL)                /*!< PCU CR: P7 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P6_Pos                     (12UL)                    /*!< PCU CR: P6 (Bit 12)                                   */
#define PCU_CR_P6_Msk                     (0x3000UL)                /*!< PCU CR: P6 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P5_Pos                     (10UL)                    /*!< PCU CR: P5 (Bit 10)                                   */
#define PCU_CR_P5_Msk                     (0xc00UL)                 /*!< PCU CR: P5 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P4_Pos                     (8UL)                     /*!< PCU CR: P4 (Bit 8)                                    */
#define PCU_CR_P4_Msk                     (0x300UL)                 /*!< PCU CR: P4 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P3_Pos                     (6UL)                     /*!< PCU CR: P3 (Bit 6)                                    */
#define PCU_CR_P3_Msk                     (0xc0UL)                  /*!< PCU CR: P3 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P2_Pos                     (4UL)                     /*!< PCU CR: P2 (Bit 4)                                    */
#define PCU_CR_P2_Msk                     (0x30UL)                  /*!< PCU CR: P2 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P1_Pos                     (2UL)                     /*!< PCU CR: P1 (Bit 2)                                    */
#define PCU_CR_P1_Msk                     (0xcUL)                   /*!< PCU CR: P1 (Bitfield-Mask: 0x03)                      */
#define PCU_CR_P0_Pos                     (0UL)                     /*!< PCU CR: P0 (Bit 0)                                    */
#define PCU_CR_P0_Msk                     (0x3UL)                   /*!< PCU CR: P0 (Bitfield-Mask: 0x03)                      */
/* =========================================================  PRCR  ========================================================== */
#define PCU_PRCR_PUE15_Pos                (30UL)                    /*!< PCU PRCR: PUE15 (Bit 30)                              */
#define PCU_PRCR_PUE15_Msk                (0xc0000000UL)            /*!< PCU PRCR: PUE15 (Bitfield-Mask: 0x03)                 */
#define PCU_PRCR_PUE14_Pos                (28UL)                    /*!< PCU PRCR: PUE14 (Bit 28)                              */
#define PCU_PRCR_PUE14_Msk                (0x30000000UL)            /*!< PCU PRCR: PUE14 (Bitfield-Mask: 0x03)                 */
#define PCU_PRCR_PUE13_Pos                (26UL)                    /*!< PCU PRCR: PUE13 (Bit 26)                              */
#define PCU_PRCR_PUE13_Msk                (0xc000000UL)             /*!< PCU PRCR: PUE13 (Bitfield-Mask: 0x03)                 */
#define PCU_PRCR_PUE12_Pos                (24UL)                    /*!< PCU PRCR: PUE12 (Bit 24)                              */
#define PCU_PRCR_PUE12_Msk                (0x3000000UL)             /*!< PCU PRCR: PUE12 (Bitfield-Mask: 0x03)                 */
#define PCU_PRCR_PUE11_Pos                (22UL)                    /*!< PCU PRCR: PUE11 (Bit 22)                              */
#define PCU_PRCR_PUE11_Msk                (0xc00000UL)              /*!< PCU PRCR: PUE11 (Bitfield-Mask: 0x03)                 */
#define PCU_PRCR_PUE10_Pos                (20UL)                    /*!< PCU PRCR: PUE10 (Bit 20)                              */
#define PCU_PRCR_PUE10_Msk                (0x300000UL)              /*!< PCU PRCR: PUE10 (Bitfield-Mask: 0x03)                 */
#define PCU_PRCR_PUE9_Pos                 (18UL)                    /*!< PCU PRCR: PUE9 (Bit 18)                               */
#define PCU_PRCR_PUE9_Msk                 (0xc0000UL)               /*!< PCU PRCR: PUE9 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE8_Pos                 (16UL)                    /*!< PCU PRCR: PUE8 (Bit 16)                               */
#define PCU_PRCR_PUE8_Msk                 (0x30000UL)               /*!< PCU PRCR: PUE8 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE7_Pos                 (14UL)                    /*!< PCU PRCR: PUE7 (Bit 14)                               */
#define PCU_PRCR_PUE7_Msk                 (0xc000UL)                /*!< PCU PRCR: PUE7 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE6_Pos                 (12UL)                    /*!< PCU PRCR: PUE6 (Bit 12)                               */
#define PCU_PRCR_PUE6_Msk                 (0x3000UL)                /*!< PCU PRCR: PUE6 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE5_Pos                 (10UL)                    /*!< PCU PRCR: PUE5 (Bit 10)                               */
#define PCU_PRCR_PUE5_Msk                 (0xc00UL)                 /*!< PCU PRCR: PUE5 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE4_Pos                 (8UL)                     /*!< PCU PRCR: PUE4 (Bit 8)                                */
#define PCU_PRCR_PUE4_Msk                 (0x300UL)                 /*!< PCU PRCR: PUE4 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE3_Pos                 (6UL)                     /*!< PCU PRCR: PUE3 (Bit 6)                                */
#define PCU_PRCR_PUE3_Msk                 (0xc0UL)                  /*!< PCU PRCR: PUE3 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE2_Pos                 (4UL)                     /*!< PCU PRCR: PUE2 (Bit 4)                                */
#define PCU_PRCR_PUE2_Msk                 (0x30UL)                  /*!< PCU PRCR: PUE2 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE1_Pos                 (2UL)                     /*!< PCU PRCR: PUE1 (Bit 2)                                */
#define PCU_PRCR_PUE1_Msk                 (0xcUL)                   /*!< PCU PRCR: PUE1 (Bitfield-Mask: 0x03)                  */
#define PCU_PRCR_PUE0_Pos                 (0UL)                     /*!< PCU PRCR: PUE0 (Bit 0)                                */
#define PCU_PRCR_PUE0_Msk                 (0x3UL)                   /*!< PCU PRCR: PUE0 (Bitfield-Mask: 0x03)                  */
/* ==========================================================  DER  ========================================================== */
#define PCU_DER_PDE15_Pos                 (15UL)                    /*!< PCU DER: PDE15 (Bit 15)                               */
#define PCU_DER_PDE15_Msk                 (0x8000UL)                /*!< PCU DER: PDE15 (Bitfield-Mask: 0x01)                  */
#define PCU_DER_PDE14_Pos                 (14UL)                    /*!< PCU DER: PDE14 (Bit 14)                               */
#define PCU_DER_PDE14_Msk                 (0x4000UL)                /*!< PCU DER: PDE14 (Bitfield-Mask: 0x01)                  */
#define PCU_DER_PDE13_Pos                 (13UL)                    /*!< PCU DER: PDE13 (Bit 13)                               */
#define PCU_DER_PDE13_Msk                 (0x2000UL)                /*!< PCU DER: PDE13 (Bitfield-Mask: 0x01)                  */
#define PCU_DER_PDE12_Pos                 (12UL)                    /*!< PCU DER: PDE12 (Bit 12)                               */
#define PCU_DER_PDE12_Msk                 (0x1000UL)                /*!< PCU DER: PDE12 (Bitfield-Mask: 0x01)                  */
#define PCU_DER_PDE11_Pos                 (11UL)                    /*!< PCU DER: PDE11 (Bit 11)                               */
#define PCU_DER_PDE11_Msk                 (0x800UL)                 /*!< PCU DER: PDE11 (Bitfield-Mask: 0x01)                  */
#define PCU_DER_PDE10_Pos                 (10UL)                    /*!< PCU DER: PDE10 (Bit 10)                               */
#define PCU_DER_PDE10_Msk                 (0x400UL)                 /*!< PCU DER: PDE10 (Bitfield-Mask: 0x01)                  */
#define PCU_DER_PDE9_Pos                  (9UL)                     /*!< PCU DER: PDE9 (Bit 9)                                 */
#define PCU_DER_PDE9_Msk                  (0x200UL)                 /*!< PCU DER: PDE9 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE8_Pos                  (8UL)                     /*!< PCU DER: PDE8 (Bit 8)                                 */
#define PCU_DER_PDE8_Msk                  (0x100UL)                 /*!< PCU DER: PDE8 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE7_Pos                  (7UL)                     /*!< PCU DER: PDE7 (Bit 7)                                 */
#define PCU_DER_PDE7_Msk                  (0x80UL)                  /*!< PCU DER: PDE7 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE6_Pos                  (6UL)                     /*!< PCU DER: PDE6 (Bit 6)                                 */
#define PCU_DER_PDE6_Msk                  (0x40UL)                  /*!< PCU DER: PDE6 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE5_Pos                  (5UL)                     /*!< PCU DER: PDE5 (Bit 5)                                 */
#define PCU_DER_PDE5_Msk                  (0x20UL)                  /*!< PCU DER: PDE5 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE4_Pos                  (4UL)                     /*!< PCU DER: PDE4 (Bit 4)                                 */
#define PCU_DER_PDE4_Msk                  (0x10UL)                  /*!< PCU DER: PDE4 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE3_Pos                  (3UL)                     /*!< PCU DER: PDE3 (Bit 3)                                 */
#define PCU_DER_PDE3_Msk                  (0x8UL)                   /*!< PCU DER: PDE3 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE2_Pos                  (2UL)                     /*!< PCU DER: PDE2 (Bit 2)                                 */
#define PCU_DER_PDE2_Msk                  (0x4UL)                   /*!< PCU DER: PDE2 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE1_Pos                  (1UL)                     /*!< PCU DER: PDE1 (Bit 1)                                 */
#define PCU_DER_PDE1_Msk                  (0x2UL)                   /*!< PCU DER: PDE1 (Bitfield-Mask: 0x01)                   */
#define PCU_DER_PDE0_Pos                  (0UL)                     /*!< PCU DER: PDE0 (Bit 0)                                 */
#define PCU_DER_PDE0_Msk                  (0x1UL)                   /*!< PCU DER: PDE0 (Bitfield-Mask: 0x01)                   */
/* ==========================================================  STR  ========================================================== */
#define PCU_STR_PST15_Pos                 (15UL)                    /*!< PCU STR: PST15 (Bit 15)                               */
#define PCU_STR_PST15_Msk                 (0x8000UL)                /*!< PCU STR: PST15 (Bitfield-Mask: 0x01)                  */
#define PCU_STR_PST14_Pos                 (14UL)                    /*!< PCU STR: PST14 (Bit 14)                               */
#define PCU_STR_PST14_Msk                 (0x4000UL)                /*!< PCU STR: PST14 (Bitfield-Mask: 0x01)                  */
#define PCU_STR_PST13_Pos                 (13UL)                    /*!< PCU STR: PST13 (Bit 13)                               */
#define PCU_STR_PST13_Msk                 (0x2000UL)                /*!< PCU STR: PST13 (Bitfield-Mask: 0x01)                  */
#define PCU_STR_PST12_Pos                 (12UL)                    /*!< PCU STR: PST12 (Bit 12)                               */
#define PCU_STR_PST12_Msk                 (0x1000UL)                /*!< PCU STR: PST12 (Bitfield-Mask: 0x01)                  */
#define PCU_STR_PST11_Pos                 (11UL)                    /*!< PCU STR: PST11 (Bit 11)                               */
#define PCU_STR_PST11_Msk                 (0x800UL)                 /*!< PCU STR: PST11 (Bitfield-Mask: 0x01)                  */
#define PCU_STR_PST10_Pos                 (10UL)                    /*!< PCU STR: PST10 (Bit 10)                               */
#define PCU_STR_PST10_Msk                 (0x400UL)                 /*!< PCU STR: PST10 (Bitfield-Mask: 0x01)                  */
#define PCU_STR_PST9_Pos                  (9UL)                     /*!< PCU STR: PST9 (Bit 9)                                 */
#define PCU_STR_PST9_Msk                  (0x200UL)                 /*!< PCU STR: PST9 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST8_Pos                  (8UL)                     /*!< PCU STR: PST8 (Bit 8)                                 */
#define PCU_STR_PST8_Msk                  (0x100UL)                 /*!< PCU STR: PST8 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST7_Pos                  (7UL)                     /*!< PCU STR: PST7 (Bit 7)                                 */
#define PCU_STR_PST7_Msk                  (0x80UL)                  /*!< PCU STR: PST7 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST6_Pos                  (6UL)                     /*!< PCU STR: PST6 (Bit 6)                                 */
#define PCU_STR_PST6_Msk                  (0x40UL)                  /*!< PCU STR: PST6 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST5_Pos                  (5UL)                     /*!< PCU STR: PST5 (Bit 5)                                 */
#define PCU_STR_PST5_Msk                  (0x20UL)                  /*!< PCU STR: PST5 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST4_Pos                  (4UL)                     /*!< PCU STR: PST4 (Bit 4)                                 */
#define PCU_STR_PST4_Msk                  (0x10UL)                  /*!< PCU STR: PST4 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST3_Pos                  (3UL)                     /*!< PCU STR: PST3 (Bit 3)                                 */
#define PCU_STR_PST3_Msk                  (0x8UL)                   /*!< PCU STR: PST3 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST2_Pos                  (2UL)                     /*!< PCU STR: PST2 (Bit 2)                                 */
#define PCU_STR_PST2_Msk                  (0x4UL)                   /*!< PCU STR: PST2 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST1_Pos                  (1UL)                     /*!< PCU STR: PST1 (Bit 1)                                 */
#define PCU_STR_PST1_Msk                  (0x2UL)                   /*!< PCU STR: PST1 (Bitfield-Mask: 0x01)                   */
#define PCU_STR_PST0_Pos                  (0UL)                     /*!< PCU STR: PST0 (Bit 0)                                 */
#define PCU_STR_PST0_Msk                  (0x1UL)                   /*!< PCU STR: PST0 (Bitfield-Mask: 0x01)                   */
/* ==========================================================  IER  ========================================================== */
#define PCU_IER_PIE15_Pos                 (30UL)                    /*!< PCU IER: PIE15 (Bit 30)                               */
#define PCU_IER_PIE15_Msk                 (0xc0000000UL)            /*!< PCU IER: PIE15 (Bitfield-Mask: 0x03)                  */
#define PCU_IER_PIE14_Pos                 (28UL)                    /*!< PCU IER: PIE14 (Bit 28)                               */
#define PCU_IER_PIE14_Msk                 (0x30000000UL)            /*!< PCU IER: PIE14 (Bitfield-Mask: 0x03)                  */
#define PCU_IER_PIE13_Pos                 (26UL)                    /*!< PCU IER: PIE13 (Bit 26)                               */
#define PCU_IER_PIE13_Msk                 (0xc000000UL)             /*!< PCU IER: PIE13 (Bitfield-Mask: 0x03)                  */
#define PCU_IER_PIE12_Pos                 (24UL)                    /*!< PCU IER: PIE12 (Bit 24)                               */
#define PCU_IER_PIE12_Msk                 (0x3000000UL)             /*!< PCU IER: PIE12 (Bitfield-Mask: 0x03)                  */
#define PCU_IER_PIE11_Pos                 (22UL)                    /*!< PCU IER: PIE11 (Bit 22)                               */
#define PCU_IER_PIE11_Msk                 (0xc00000UL)              /*!< PCU IER: PIE11 (Bitfield-Mask: 0x03)                  */
#define PCU_IER_PIE10_Pos                 (20UL)                    /*!< PCU IER: PIE10 (Bit 20)                               */
#define PCU_IER_PIE10_Msk                 (0x300000UL)              /*!< PCU IER: PIE10 (Bitfield-Mask: 0x03)                  */
#define PCU_IER_PIE9_Pos                  (18UL)                    /*!< PCU IER: PIE9 (Bit 18)                                */
#define PCU_IER_PIE9_Msk                  (0xc0000UL)               /*!< PCU IER: PIE9 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE8_Pos                  (16UL)                    /*!< PCU IER: PIE8 (Bit 16)                                */
#define PCU_IER_PIE8_Msk                  (0x30000UL)               /*!< PCU IER: PIE8 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE7_Pos                  (14UL)                    /*!< PCU IER: PIE7 (Bit 14)                                */
#define PCU_IER_PIE7_Msk                  (0xc000UL)                /*!< PCU IER: PIE7 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE6_Pos                  (12UL)                    /*!< PCU IER: PIE6 (Bit 12)                                */
#define PCU_IER_PIE6_Msk                  (0x3000UL)                /*!< PCU IER: PIE6 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE5_Pos                  (10UL)                    /*!< PCU IER: PIE5 (Bit 10)                                */
#define PCU_IER_PIE5_Msk                  (0xc00UL)                 /*!< PCU IER: PIE5 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE4_Pos                  (8UL)                     /*!< PCU IER: PIE4 (Bit 8)                                 */
#define PCU_IER_PIE4_Msk                  (0x300UL)                 /*!< PCU IER: PIE4 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE3_Pos                  (6UL)                     /*!< PCU IER: PIE3 (Bit 6)                                 */
#define PCU_IER_PIE3_Msk                  (0xc0UL)                  /*!< PCU IER: PIE3 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE2_Pos                  (4UL)                     /*!< PCU IER: PIE2 (Bit 4)                                 */
#define PCU_IER_PIE2_Msk                  (0x30UL)                  /*!< PCU IER: PIE2 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE1_Pos                  (2UL)                     /*!< PCU IER: PIE1 (Bit 2)                                 */
#define PCU_IER_PIE1_Msk                  (0xcUL)                   /*!< PCU IER: PIE1 (Bitfield-Mask: 0x03)                   */
#define PCU_IER_PIE0_Pos                  (0UL)                     /*!< PCU IER: PIE0 (Bit 0)                                 */
#define PCU_IER_PIE0_Msk                  (0x3UL)                   /*!< PCU IER: PIE0 (Bitfield-Mask: 0x03)                   */
/* ==========================================================  ISR  ========================================================== */
#define PCU_ISR_PIS15_Pos                 (30UL)                    /*!< PCU ISR: PIS15 (Bit 30)                               */
#define PCU_ISR_PIS15_Msk                 (0xc0000000UL)            /*!< PCU ISR: PIS15 (Bitfield-Mask: 0x03)                  */
#define PCU_ISR_PIS14_Pos                 (28UL)                    /*!< PCU ISR: PIS14 (Bit 28)                               */
#define PCU_ISR_PIS14_Msk                 (0x30000000UL)            /*!< PCU ISR: PIS14 (Bitfield-Mask: 0x03)                  */
#define PCU_ISR_PIS13_Pos                 (26UL)                    /*!< PCU ISR: PIS13 (Bit 26)                               */
#define PCU_ISR_PIS13_Msk                 (0xc000000UL)             /*!< PCU ISR: PIS13 (Bitfield-Mask: 0x03)                  */
#define PCU_ISR_PIS12_Pos                 (24UL)                    /*!< PCU ISR: PIS12 (Bit 24)                               */
#define PCU_ISR_PIS12_Msk                 (0x3000000UL)             /*!< PCU ISR: PIS12 (Bitfield-Mask: 0x03)                  */
#define PCU_ISR_PIS11_Pos                 (22UL)                    /*!< PCU ISR: PIS11 (Bit 22)                               */
#define PCU_ISR_PIS11_Msk                 (0xc00000UL)              /*!< PCU ISR: PIS11 (Bitfield-Mask: 0x03)                  */
#define PCU_ISR_PIS10_Pos                 (20UL)                    /*!< PCU ISR: PIS10 (Bit 20)                               */
#define PCU_ISR_PIS10_Msk                 (0x300000UL)              /*!< PCU ISR: PIS10 (Bitfield-Mask: 0x03)                  */
#define PCU_ISR_PIS9_Pos                  (18UL)                    /*!< PCU ISR: PIS9 (Bit 18)                                */
#define PCU_ISR_PIS9_Msk                  (0xc0000UL)               /*!< PCU ISR: PIS9 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS8_Pos                  (16UL)                    /*!< PCU ISR: PIS8 (Bit 16)                                */
#define PCU_ISR_PIS8_Msk                  (0x30000UL)               /*!< PCU ISR: PIS8 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS7_Pos                  (14UL)                    /*!< PCU ISR: PIS7 (Bit 14)                                */
#define PCU_ISR_PIS7_Msk                  (0xc000UL)                /*!< PCU ISR: PIS7 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS6_Pos                  (12UL)                    /*!< PCU ISR: PIS6 (Bit 12)                                */
#define PCU_ISR_PIS6_Msk                  (0x3000UL)                /*!< PCU ISR: PIS6 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS5_Pos                  (10UL)                    /*!< PCU ISR: PIS5 (Bit 10)                                */
#define PCU_ISR_PIS5_Msk                  (0xc00UL)                 /*!< PCU ISR: PIS5 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS4_Pos                  (8UL)                     /*!< PCU ISR: PIS4 (Bit 8)                                 */
#define PCU_ISR_PIS4_Msk                  (0x300UL)                 /*!< PCU ISR: PIS4 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS3_Pos                  (6UL)                     /*!< PCU ISR: PIS3 (Bit 6)                                 */
#define PCU_ISR_PIS3_Msk                  (0xc0UL)                  /*!< PCU ISR: PIS3 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS2_Pos                  (4UL)                     /*!< PCU ISR: PIS2 (Bit 4)                                 */
#define PCU_ISR_PIS2_Msk                  (0x30UL)                  /*!< PCU ISR: PIS2 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS1_Pos                  (2UL)                     /*!< PCU ISR: PIS1 (Bit 2)                                 */
#define PCU_ISR_PIS1_Msk                  (0xcUL)                   /*!< PCU ISR: PIS1 (Bitfield-Mask: 0x03)                   */
#define PCU_ISR_PIS0_Pos                  (0UL)                     /*!< PCU ISR: PIS0 (Bit 0)                                 */
#define PCU_ISR_PIS0_Msk                  (0x3UL)                   /*!< PCU ISR: PIS0 (Bitfield-Mask: 0x03)                   */
/* ==========================================================  ICR  ========================================================== */
#define PCU_ICR_PIC15_Pos                 (30UL)                    /*!< PCU ICR: PIC15 (Bit 30)                               */
#define PCU_ICR_PIC15_Msk                 (0xc0000000UL)            /*!< PCU ICR: PIC15 (Bitfield-Mask: 0x03)                  */
#define PCU_ICR_PIC14_Pos                 (28UL)                    /*!< PCU ICR: PIC14 (Bit 28)                               */
#define PCU_ICR_PIC14_Msk                 (0x30000000UL)            /*!< PCU ICR: PIC14 (Bitfield-Mask: 0x03)                  */
#define PCU_ICR_PIC13_Pos                 (26UL)                    /*!< PCU ICR: PIC13 (Bit 26)                               */
#define PCU_ICR_PIC13_Msk                 (0xc000000UL)             /*!< PCU ICR: PIC13 (Bitfield-Mask: 0x03)                  */
#define PCU_ICR_PIC12_Pos                 (24UL)                    /*!< PCU ICR: PIC12 (Bit 24)                               */
#define PCU_ICR_PIC12_Msk                 (0x3000000UL)             /*!< PCU ICR: PIC12 (Bitfield-Mask: 0x03)                  */
#define PCU_ICR_PIC11_Pos                 (22UL)                    /*!< PCU ICR: PIC11 (Bit 22)                               */
#define PCU_ICR_PIC11_Msk                 (0xc00000UL)              /*!< PCU ICR: PIC11 (Bitfield-Mask: 0x03)                  */
#define PCU_ICR_PIC10_Pos                 (20UL)                    /*!< PCU ICR: PIC10 (Bit 20)                               */
#define PCU_ICR_PIC10_Msk                 (0x300000UL)              /*!< PCU ICR: PIC10 (Bitfield-Mask: 0x03)                  */
#define PCU_ICR_PIC9_Pos                  (18UL)                    /*!< PCU ICR: PIC9 (Bit 18)                                */
#define PCU_ICR_PIC9_Msk                  (0xc0000UL)               /*!< PCU ICR: PIC9 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC8_Pos                  (16UL)                    /*!< PCU ICR: PIC8 (Bit 16)                                */
#define PCU_ICR_PIC8_Msk                  (0x30000UL)               /*!< PCU ICR: PIC8 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC7_Pos                  (14UL)                    /*!< PCU ICR: PIC7 (Bit 14)                                */
#define PCU_ICR_PIC7_Msk                  (0xc000UL)                /*!< PCU ICR: PIC7 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC6_Pos                  (12UL)                    /*!< PCU ICR: PIC6 (Bit 12)                                */
#define PCU_ICR_PIC6_Msk                  (0x3000UL)                /*!< PCU ICR: PIC6 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC5_Pos                  (10UL)                    /*!< PCU ICR: PIC5 (Bit 10)                                */
#define PCU_ICR_PIC5_Msk                  (0xc00UL)                 /*!< PCU ICR: PIC5 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC4_Pos                  (8UL)                     /*!< PCU ICR: PIC4 (Bit 8)                                 */
#define PCU_ICR_PIC4_Msk                  (0x300UL)                 /*!< PCU ICR: PIC4 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC3_Pos                  (6UL)                     /*!< PCU ICR: PIC3 (Bit 6)                                 */
#define PCU_ICR_PIC3_Msk                  (0xc0UL)                  /*!< PCU ICR: PIC3 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC2_Pos                  (4UL)                     /*!< PCU ICR: PIC2 (Bit 4)                                 */
#define PCU_ICR_PIC2_Msk                  (0x30UL)                  /*!< PCU ICR: PIC2 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC1_Pos                  (2UL)                     /*!< PCU ICR: PIC1 (Bit 2)                                 */
#define PCU_ICR_PIC1_Msk                  (0xcUL)                   /*!< PCU ICR: PIC1 (Bitfield-Mask: 0x03)                   */
#define PCU_ICR_PIC0_Pos                  (0UL)                     /*!< PCU ICR: PIC0 (Bit 0)                                 */
#define PCU_ICR_PIC0_Msk                  (0x3UL)                   /*!< PCU ICR: PIC0 (Bitfield-Mask: 0x03)                   */
/* ==========================================================  ODR  ========================================================== */
#define PCU_ODR_POD_Pos                   (0UL)                     /*!< PCU ODR: POD (Bit 0)                                  */
#define PCU_ODR_POD_Msk                   (0xffffUL)                /*!< PCU ODR: POD (Bitfield-Mask: 0xffff)                  */
/* ==========================================================  IDR  ========================================================== */
#define PCU_IDR_PID_Pos                   (0UL)                     /*!< PCU IDR: PID (Bit 0)                                  */
#define PCU_IDR_PID_Msk                   (0xffffUL)                /*!< PCU IDR: PID (Bitfield-Mask: 0xffff)                  */
/* ==========================================================  BSR  ========================================================== */
#define PCU_BSR_BSD15_Pos                 (15UL)                    /*!< PCU BSR: BSD15 (Bit 15)                               */
#define PCU_BSR_BSD15_Msk                 (0x8000UL)                /*!< PCU BSR: BSD15 (Bitfield-Mask: 0x01)                  */
#define PCU_BSR_BSD14_Pos                 (14UL)                    /*!< PCU BSR: BSD14 (Bit 14)                               */
#define PCU_BSR_BSD14_Msk                 (0x4000UL)                /*!< PCU BSR: BSD14 (Bitfield-Mask: 0x01)                  */
#define PCU_BSR_BSD13_Pos                 (13UL)                    /*!< PCU BSR: BSD13 (Bit 13)                               */
#define PCU_BSR_BSD13_Msk                 (0x2000UL)                /*!< PCU BSR: BSD13 (Bitfield-Mask: 0x01)                  */
#define PCU_BSR_BSD12_Pos                 (12UL)                    /*!< PCU BSR: BSD12 (Bit 12)                               */
#define PCU_BSR_BSD12_Msk                 (0x1000UL)                /*!< PCU BSR: BSD12 (Bitfield-Mask: 0x01)                  */
#define PCU_BSR_BSD11_Pos                 (11UL)                    /*!< PCU BSR: BSD11 (Bit 11)                               */
#define PCU_BSR_BSD11_Msk                 (0x800UL)                 /*!< PCU BSR: BSD11 (Bitfield-Mask: 0x01)                  */
#define PCU_BSR_BSD10_Pos                 (10UL)                    /*!< PCU BSR: BSD10 (Bit 10)                               */
#define PCU_BSR_BSD10_Msk                 (0x400UL)                 /*!< PCU BSR: BSD10 (Bitfield-Mask: 0x01)                  */
#define PCU_BSR_BSD9_Pos                  (9UL)                     /*!< PCU BSR: BSD9 (Bit 9)                                 */
#define PCU_BSR_BSD9_Msk                  (0x200UL)                 /*!< PCU BSR: BSD9 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD8_Pos                  (8UL)                     /*!< PCU BSR: BSD8 (Bit 8)                                 */
#define PCU_BSR_BSD8_Msk                  (0x100UL)                 /*!< PCU BSR: BSD8 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD7_Pos                  (7UL)                     /*!< PCU BSR: BSD7 (Bit 7)                                 */
#define PCU_BSR_BSD7_Msk                  (0x80UL)                  /*!< PCU BSR: BSD7 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD6_Pos                  (6UL)                     /*!< PCU BSR: BSD6 (Bit 6)                                 */
#define PCU_BSR_BSD6_Msk                  (0x40UL)                  /*!< PCU BSR: BSD6 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD5_Pos                  (5UL)                     /*!< PCU BSR: BSD5 (Bit 5)                                 */
#define PCU_BSR_BSD5_Msk                  (0x20UL)                  /*!< PCU BSR: BSD5 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD4_Pos                  (4UL)                     /*!< PCU BSR: BSD4 (Bit 4)                                 */
#define PCU_BSR_BSD4_Msk                  (0x10UL)                  /*!< PCU BSR: BSD4 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD3_Pos                  (3UL)                     /*!< PCU BSR: BSD3 (Bit 3)                                 */
#define PCU_BSR_BSD3_Msk                  (0x8UL)                   /*!< PCU BSR: BSD3 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD2_Pos                  (2UL)                     /*!< PCU BSR: BSD2 (Bit 2)                                 */
#define PCU_BSR_BSD2_Msk                  (0x4UL)                   /*!< PCU BSR: BSD2 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD1_Pos                  (1UL)                     /*!< PCU BSR: BSD1 (Bit 1)                                 */
#define PCU_BSR_BSD1_Msk                  (0x2UL)                   /*!< PCU BSR: BSD1 (Bitfield-Mask: 0x01)                   */
#define PCU_BSR_BSD0_Pos                  (0UL)                     /*!< PCU BSR: BSD0 (Bit 0)                                 */
#define PCU_BSR_BSD0_Msk                  (0x1UL)                   /*!< PCU BSR: BSD0 (Bitfield-Mask: 0x01)                   */
/* ==========================================================  BCR  ========================================================== */
#define PCU_BCR_BCD15_Pos                 (15UL)                    /*!< PCU BCR: BCD15 (Bit 15)                               */
#define PCU_BCR_BCD15_Msk                 (0x8000UL)                /*!< PCU BCR: BCD15 (Bitfield-Mask: 0x01)                  */
#define PCU_BCR_BCD14_Pos                 (14UL)                    /*!< PCU BCR: BCD14 (Bit 14)                               */
#define PCU_BCR_BCD14_Msk                 (0x4000UL)                /*!< PCU BCR: BCD14 (Bitfield-Mask: 0x01)                  */
#define PCU_BCR_BCD13_Pos                 (13UL)                    /*!< PCU BCR: BCD13 (Bit 13)                               */
#define PCU_BCR_BCD13_Msk                 (0x2000UL)                /*!< PCU BCR: BCD13 (Bitfield-Mask: 0x01)                  */
#define PCU_BCR_BCD12_Pos                 (12UL)                    /*!< PCU BCR: BCD12 (Bit 12)                               */
#define PCU_BCR_BCD12_Msk                 (0x1000UL)                /*!< PCU BCR: BCD12 (Bitfield-Mask: 0x01)                  */
#define PCU_BCR_BCD11_Pos                 (11UL)                    /*!< PCU BCR: BCD11 (Bit 11)                               */
#define PCU_BCR_BCD11_Msk                 (0x800UL)                 /*!< PCU BCR: BCD11 (Bitfield-Mask: 0x01)                  */
#define PCU_BCR_BCD10_Pos                 (10UL)                    /*!< PCU BCR: BCD10 (Bit 10)                               */
#define PCU_BCR_BCD10_Msk                 (0x400UL)                 /*!< PCU BCR: BCD10 (Bitfield-Mask: 0x01)                  */
#define PCU_BCR_BCD9_Pos                  (9UL)                     /*!< PCU BCR: BCD9 (Bit 9)                                 */
#define PCU_BCR_BCD9_Msk                  (0x200UL)                 /*!< PCU BCR: BCD9 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD8_Pos                  (8UL)                     /*!< PCU BCR: BCD8 (Bit 8)                                 */
#define PCU_BCR_BCD8_Msk                  (0x100UL)                 /*!< PCU BCR: BCD8 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD7_Pos                  (7UL)                     /*!< PCU BCR: BCD7 (Bit 7)                                 */
#define PCU_BCR_BCD7_Msk                  (0x80UL)                  /*!< PCU BCR: BCD7 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD6_Pos                  (6UL)                     /*!< PCU BCR: BCD6 (Bit 6)                                 */
#define PCU_BCR_BCD6_Msk                  (0x40UL)                  /*!< PCU BCR: BCD6 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD5_Pos                  (5UL)                     /*!< PCU BCR: BCD5 (Bit 5)                                 */
#define PCU_BCR_BCD5_Msk                  (0x20UL)                  /*!< PCU BCR: BCD5 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD4_Pos                  (4UL)                     /*!< PCU BCR: BCD4 (Bit 4)                                 */
#define PCU_BCR_BCD4_Msk                  (0x10UL)                  /*!< PCU BCR: BCD4 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD3_Pos                  (3UL)                     /*!< PCU BCR: BCD3 (Bit 3)                                 */
#define PCU_BCR_BCD3_Msk                  (0x8UL)                   /*!< PCU BCR: BCD3 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD2_Pos                  (2UL)                     /*!< PCU BCR: BCD2 (Bit 2)                                 */
#define PCU_BCR_BCD2_Msk                  (0x4UL)                   /*!< PCU BCR: BCD2 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD1_Pos                  (1UL)                     /*!< PCU BCR: BCD1 (Bit 1)                                 */
#define PCU_BCR_BCD1_Msk                  (0x2UL)                   /*!< PCU BCR: BCD1 (Bitfield-Mask: 0x01)                   */
#define PCU_BCR_BCD0_Pos                  (0UL)                     /*!< PCU BCR: BCD0 (Bit 0)                                 */
#define PCU_BCR_BCD0_Msk                  (0x1UL)                   /*!< PCU BCR: BCD0 (Bitfield-Mask: 0x01)                   */


/* =========================================================================================================================== */
/* ================                                          RSTDBCR                                          ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define RSTDBCR_CR_WTDIKEY_Pos            (16UL)                    /*!< RSTDBCR CR: WTDIKEY (Bit 16)                          */
#define RSTDBCR_CR_WTDIKEY_Msk            (0xffff0000UL)            /*!< RSTDBCR CR: WTDIKEY (Bitfield-Mask: 0xffff)           */
#define RSTDBCR_CR_CLK_CNT_Pos            (8UL)                     /*!< RSTDBCR CR: CLK_CNT (Bit 8)                           */
#define RSTDBCR_CR_CLK_CNT_Msk            (0xff00UL)                /*!< RSTDBCR CR: CLK_CNT (Bitfield-Mask: 0xff)             */
#define RSTDBCR_CR_CLK_SEL_Pos            (4UL)                     /*!< RSTDBCR CR: CLK_SEL (Bit 4)                           */
#define RSTDBCR_CR_CLK_SEL_Msk            (0x10UL)                  /*!< RSTDBCR CR: CLK_SEL (Bitfield-Mask: 0x01)             */
#define RSTDBCR_CR_EN_Pos                 (0UL)                     /*!< RSTDBCR CR: EN (Bit 0)                                */
#define RSTDBCR_CR_EN_Msk                 (0x1UL)                   /*!< RSTDBCR CR: EN (Bitfield-Mask: 0x01)                  */


/* =========================================================================================================================== */
/* ================                                          PORTEN                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  EN  =========================================================== */
#define PORTEN_EN_ENS_Pos                 (8UL)                     /*!< PORTEN EN: ENS (Bit 8)                                */
#define PORTEN_EN_ENS_Msk                 (0x100UL)                 /*!< PORTEN EN: ENS (Bitfield-Mask: 0x01)                  */
#define PORTEN_EN_PORTEN_Pos              (0UL)                     /*!< PORTEN EN: PORTEN (Bit 0)                             */
#define PORTEN_EN_PORTEN_Msk              (0xffUL)                  /*!< PORTEN EN: PORTEN (Bitfield-Mask: 0xff)               */


/* =========================================================================================================================== */
/* ================                                           CFMC                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CONF  ========================================================== */
#define CFMC_CONF_WTEN_Pos                (25UL)                    /*!< CFMC CONF: WTEN (Bit 25)                              */
#define CFMC_CONF_WTEN_Msk                (0x2000000UL)             /*!< CFMC CONF: WTEN (Bitfield-Mask: 0x01)                 */
#define CFMC_CONF_DCEN_Pos                (9UL)                     /*!< CFMC CONF: DCEN (Bit 9)                               */
#define CFMC_CONF_DCEN_Msk                (0x200UL)                 /*!< CFMC CONF: DCEN (Bitfield-Mask: 0x01)                 */
#define CFMC_CONF_ICEN_Pos                (8UL)                     /*!< CFMC CONF: ICEN (Bit 8)                               */
#define CFMC_CONF_ICEN_Msk                (0x100UL)                 /*!< CFMC CONF: ICEN (Bitfield-Mask: 0x01)                 */
#define CFMC_CONF_LATENCY_Pos             (0UL)                     /*!< CFMC CONF: LATENCY (Bit 0)                            */
#define CFMC_CONF_LATENCY_Msk             (0xfUL)                   /*!< CFMC CONF: LATENCY (Bitfield-Mask: 0x0f)              */
/* ========================================================  FLSKEY  ========================================================= */
#define CFMC_FLSKEY_FKEY_Pos              (0UL)                     /*!< CFMC FLSKEY: FKEY (Bit 0)                             */
#define CFMC_FLSKEY_FKEY_Msk              (0xffffffffUL)            /*!< CFMC FLSKEY: FKEY (Bitfield-Mask: 0xffffffff)         */
/* ========================================================  INFOKEY  ======================================================== */
#define CFMC_INFOKEY_INFOKEY_Pos          (0UL)                     /*!< CFMC INFOKEY: INFOKEY (Bit 0)                         */
#define CFMC_INFOKEY_INFOKEY_Msk          (0xffffffffUL)            /*!< CFMC INFOKEY: INFOKEY (Bitfield-Mask: 0xffffffff)     */
/* =======================================================  FLS0PROT  ======================================================== */
#define CFMC_FLS0PROT_FUP512B_7_Pos       (31UL)                    /*!< CFMC FLS0PROT: FUP512B_7 (Bit 31)                     */
#define CFMC_FLS0PROT_FUP512B_7_Msk       (0x80000000UL)            /*!< CFMC FLS0PROT: FUP512B_7 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUP512B_6_Pos       (30UL)                    /*!< CFMC FLS0PROT: FUP512B_6 (Bit 30)                     */
#define CFMC_FLS0PROT_FUP512B_6_Msk       (0x40000000UL)            /*!< CFMC FLS0PROT: FUP512B_6 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUP512B_5_Pos       (29UL)                    /*!< CFMC FLS0PROT: FUP512B_5 (Bit 29)                     */
#define CFMC_FLS0PROT_FUP512B_5_Msk       (0x20000000UL)            /*!< CFMC FLS0PROT: FUP512B_5 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUP512B_4_Pos       (28UL)                    /*!< CFMC FLS0PROT: FUP512B_4 (Bit 28)                     */
#define CFMC_FLS0PROT_FUP512B_4_Msk       (0x10000000UL)            /*!< CFMC FLS0PROT: FUP512B_4 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUP512B_3_Pos       (27UL)                    /*!< CFMC FLS0PROT: FUP512B_3 (Bit 27)                     */
#define CFMC_FLS0PROT_FUP512B_3_Msk       (0x8000000UL)             /*!< CFMC FLS0PROT: FUP512B_3 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUP512B_2_Pos       (26UL)                    /*!< CFMC FLS0PROT: FUP512B_2 (Bit 26)                     */
#define CFMC_FLS0PROT_FUP512B_2_Msk       (0x4000000UL)             /*!< CFMC FLS0PROT: FUP512B_2 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUP512B_1_Pos       (25UL)                    /*!< CFMC FLS0PROT: FUP512B_1 (Bit 25)                     */
#define CFMC_FLS0PROT_FUP512B_1_Msk       (0x2000000UL)             /*!< CFMC FLS0PROT: FUP512B_1 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUP512B_0_Pos       (24UL)                    /*!< CFMC FLS0PROT: FUP512B_0 (Bit 24)                     */
#define CFMC_FLS0PROT_FUP512B_0_Msk       (0x1000000UL)             /*!< CFMC FLS0PROT: FUP512B_0 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUBLP4K_7_Pos       (23UL)                    /*!< CFMC FLS0PROT: FUBLP4K_7 (Bit 23)                     */
#define CFMC_FLS0PROT_FUBLP4K_7_Msk       (0x800000UL)              /*!< CFMC FLS0PROT: FUBLP4K_7 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUBLP4K_6_Pos       (22UL)                    /*!< CFMC FLS0PROT: FUBLP4K_6 (Bit 22)                     */
#define CFMC_FLS0PROT_FUBLP4K_6_Msk       (0x400000UL)              /*!< CFMC FLS0PROT: FUBLP4K_6 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUBLP4K_5_Pos       (21UL)                    /*!< CFMC FLS0PROT: FUBLP4K_5 (Bit 21)                     */
#define CFMC_FLS0PROT_FUBLP4K_5_Msk       (0x200000UL)              /*!< CFMC FLS0PROT: FUBLP4K_5 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUBLP4K_4_Pos       (20UL)                    /*!< CFMC FLS0PROT: FUBLP4K_4 (Bit 20)                     */
#define CFMC_FLS0PROT_FUBLP4K_4_Msk       (0x100000UL)              /*!< CFMC FLS0PROT: FUBLP4K_4 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUBLP4K_3_Pos       (19UL)                    /*!< CFMC FLS0PROT: FUBLP4K_3 (Bit 19)                     */
#define CFMC_FLS0PROT_FUBLP4K_3_Msk       (0x80000UL)               /*!< CFMC FLS0PROT: FUBLP4K_3 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUBLP4K_2_Pos       (18UL)                    /*!< CFMC FLS0PROT: FUBLP4K_2 (Bit 18)                     */
#define CFMC_FLS0PROT_FUBLP4K_2_Msk       (0x40000UL)               /*!< CFMC FLS0PROT: FUBLP4K_2 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUBLP4K_1_Pos       (17UL)                    /*!< CFMC FLS0PROT: FUBLP4K_1 (Bit 17)                     */
#define CFMC_FLS0PROT_FUBLP4K_1_Msk       (0x20000UL)               /*!< CFMC FLS0PROT: FUBLP4K_1 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FUBLP4K_0_Pos       (16UL)                    /*!< CFMC FLS0PROT: FUBLP4K_0 (Bit 16)                     */
#define CFMC_FLS0PROT_FUBLP4K_0_Msk       (0x10000UL)               /*!< CFMC FLS0PROT: FUBLP4K_0 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FPBY16_15_Pos       (15UL)                    /*!< CFMC FLS0PROT: FPBY16_15 (Bit 15)                     */
#define CFMC_FLS0PROT_FPBY16_15_Msk       (0x8000UL)                /*!< CFMC FLS0PROT: FPBY16_15 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FPBY16_14_Pos       (14UL)                    /*!< CFMC FLS0PROT: FPBY16_14 (Bit 14)                     */
#define CFMC_FLS0PROT_FPBY16_14_Msk       (0x4000UL)                /*!< CFMC FLS0PROT: FPBY16_14 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FPBY16_13_Pos       (13UL)                    /*!< CFMC FLS0PROT: FPBY16_13 (Bit 13)                     */
#define CFMC_FLS0PROT_FPBY16_13_Msk       (0x2000UL)                /*!< CFMC FLS0PROT: FPBY16_13 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FPBY16_12_Pos       (12UL)                    /*!< CFMC FLS0PROT: FPBY16_12 (Bit 12)                     */
#define CFMC_FLS0PROT_FPBY16_12_Msk       (0x1000UL)                /*!< CFMC FLS0PROT: FPBY16_12 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FPBY16_11_Pos       (11UL)                    /*!< CFMC FLS0PROT: FPBY16_11 (Bit 11)                     */
#define CFMC_FLS0PROT_FPBY16_11_Msk       (0x800UL)                 /*!< CFMC FLS0PROT: FPBY16_11 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FPBY16_10_Pos       (10UL)                    /*!< CFMC FLS0PROT: FPBY16_10 (Bit 10)                     */
#define CFMC_FLS0PROT_FPBY16_10_Msk       (0x400UL)                 /*!< CFMC FLS0PROT: FPBY16_10 (Bitfield-Mask: 0x01)        */
#define CFMC_FLS0PROT_FPBY16_9_Pos        (9UL)                     /*!< CFMC FLS0PROT: FPBY16_9 (Bit 9)                       */
#define CFMC_FLS0PROT_FPBY16_9_Msk        (0x200UL)                 /*!< CFMC FLS0PROT: FPBY16_9 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_8_Pos        (8UL)                     /*!< CFMC FLS0PROT: FPBY16_8 (Bit 8)                       */
#define CFMC_FLS0PROT_FPBY16_8_Msk        (0x100UL)                 /*!< CFMC FLS0PROT: FPBY16_8 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_7_Pos        (7UL)                     /*!< CFMC FLS0PROT: FPBY16_7 (Bit 7)                       */
#define CFMC_FLS0PROT_FPBY16_7_Msk        (0x80UL)                  /*!< CFMC FLS0PROT: FPBY16_7 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_6_Pos        (6UL)                     /*!< CFMC FLS0PROT: FPBY16_6 (Bit 6)                       */
#define CFMC_FLS0PROT_FPBY16_6_Msk        (0x40UL)                  /*!< CFMC FLS0PROT: FPBY16_6 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_5_Pos        (5UL)                     /*!< CFMC FLS0PROT: FPBY16_5 (Bit 5)                       */
#define CFMC_FLS0PROT_FPBY16_5_Msk        (0x20UL)                  /*!< CFMC FLS0PROT: FPBY16_5 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_4_Pos        (4UL)                     /*!< CFMC FLS0PROT: FPBY16_4 (Bit 4)                       */
#define CFMC_FLS0PROT_FPBY16_4_Msk        (0x10UL)                  /*!< CFMC FLS0PROT: FPBY16_4 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_3_Pos        (3UL)                     /*!< CFMC FLS0PROT: FPBY16_3 (Bit 3)                       */
#define CFMC_FLS0PROT_FPBY16_3_Msk        (0x8UL)                   /*!< CFMC FLS0PROT: FPBY16_3 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_2_Pos        (2UL)                     /*!< CFMC FLS0PROT: FPBY16_2 (Bit 2)                       */
#define CFMC_FLS0PROT_FPBY16_2_Msk        (0x4UL)                   /*!< CFMC FLS0PROT: FPBY16_2 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_1_Pos        (1UL)                     /*!< CFMC FLS0PROT: FPBY16_1 (Bit 1)                       */
#define CFMC_FLS0PROT_FPBY16_1_Msk        (0x2UL)                   /*!< CFMC FLS0PROT: FPBY16_1 (Bitfield-Mask: 0x01)         */
#define CFMC_FLS0PROT_FPBY16_0_Pos        (0UL)                     /*!< CFMC FLS0PROT: FPBY16_0 (Bit 0)                       */
#define CFMC_FLS0PROT_FPBY16_0_Msk        (0x1UL)                   /*!< CFMC FLS0PROT: FPBY16_0 (Bitfield-Mask: 0x01)         */
/* =======================================================  INFOPROT  ======================================================== */
#define CFMC_INFOPROT_INFO3_Pos           (3UL)                     /*!< CFMC INFOPROT: INFO3 (Bit 3)                          */
#define CFMC_INFOPROT_INFO3_Msk           (0x8UL)                   /*!< CFMC INFOPROT: INFO3 (Bitfield-Mask: 0x01)            */
#define CFMC_INFOPROT_INFO2_Pos           (2UL)                     /*!< CFMC INFOPROT: INFO2 (Bit 2)                          */
#define CFMC_INFOPROT_INFO2_Msk           (0x4UL)                   /*!< CFMC INFOPROT: INFO2 (Bitfield-Mask: 0x01)            */
#define CFMC_INFOPROT_INFO1_Pos           (1UL)                     /*!< CFMC INFOPROT: INFO1 (Bit 1)                          */
#define CFMC_INFOPROT_INFO1_Msk           (0x2UL)                   /*!< CFMC INFOPROT: INFO1 (Bitfield-Mask: 0x01)            */
#define CFMC_INFOPROT_INFO0_Pos           (0UL)                     /*!< CFMC INFOPROT: INFO0 (Bit 0)                          */
#define CFMC_INFOPROT_INFO0_Msk           (0x1UL)                   /*!< CFMC INFOPROT: INFO0 (Bitfield-Mask: 0x01)            */
/* =========================================================  CTRL  ========================================================== */
#define CFMC_CTRL_FLOCK_Pos               (31UL)                    /*!< CFMC CTRL: FLOCK (Bit 31)                             */
#define CFMC_CTRL_FLOCK_Msk               (0x80000000UL)            /*!< CFMC CTRL: FLOCK (Bitfield-Mask: 0x01)                */
#define CFMC_CTRL_ILOCK_Pos               (30UL)                    /*!< CFMC CTRL: ILOCK (Bit 30)                             */
#define CFMC_CTRL_ILOCK_Msk               (0x40000000UL)            /*!< CFMC CTRL: ILOCK (Bitfield-Mask: 0x01)                */
#define CFMC_CTRL_DCRST_Pos               (25UL)                    /*!< CFMC CTRL: DCRST (Bit 25)                             */
#define CFMC_CTRL_DCRST_Msk               (0x2000000UL)             /*!< CFMC CTRL: DCRST (Bitfield-Mask: 0x01)                */
#define CFMC_CTRL_ICRST_Pos               (24UL)                    /*!< CFMC CTRL: ICRST (Bit 24)                             */
#define CFMC_CTRL_ICRST_Msk               (0x1000000UL)             /*!< CFMC CTRL: ICRST (Bitfield-Mask: 0x01)                */
#define CFMC_CTRL_ECCSI_Pos               (11UL)                    /*!< CFMC CTRL: ECCSI (Bit 11)                             */
#define CFMC_CTRL_ECCSI_Msk               (0x800UL)                 /*!< CFMC CTRL: ECCSI (Bitfield-Mask: 0x01)                */
#define CFMC_CTRL_ECCDN_Pos               (10UL)                    /*!< CFMC CTRL: ECCDN (Bit 10)                             */
#define CFMC_CTRL_ECCDN_Msk               (0x400UL)                 /*!< CFMC CTRL: ECCDN (Bitfield-Mask: 0x01)                */
#define CFMC_CTRL_WDIEN_Pos               (8UL)                     /*!< CFMC CTRL: WDIEN (Bit 8)                              */
#define CFMC_CTRL_WDIEN_Msk               (0x100UL)                 /*!< CFMC CTRL: WDIEN (Bitfield-Mask: 0x01)                */
#define CFMC_CTRL_WABORT_Pos              (7UL)                     /*!< CFMC CTRL: WABORT (Bit 7)                             */
#define CFMC_CTRL_WABORT_Msk              (0x80UL)                  /*!< CFMC CTRL: WABORT (Bitfield-Mask: 0x01)               */
#define CFMC_CTRL_CERS_Pos                (3UL)                     /*!< CFMC CTRL: CERS (Bit 3)                               */
#define CFMC_CTRL_CERS_Msk                (0x8UL)                   /*!< CFMC CTRL: CERS (Bitfield-Mask: 0x01)                 */
#define CFMC_CTRL_SERS_Pos                (2UL)                     /*!< CFMC CTRL: SERS (Bit 2)                               */
#define CFMC_CTRL_SERS_Msk                (0x4UL)                   /*!< CFMC CTRL: SERS (Bitfield-Mask: 0x01)                 */
#define CFMC_CTRL_PERS_Pos                (1UL)                     /*!< CFMC CTRL: PERS (Bit 1)                               */
#define CFMC_CTRL_PERS_Msk                (0x2UL)                   /*!< CFMC CTRL: PERS (Bitfield-Mask: 0x01)                 */
#define CFMC_CTRL_PGM_Pos                 (0UL)                     /*!< CFMC CTRL: PGM (Bit 0)                                */
#define CFMC_CTRL_PGM_Msk                 (0x1UL)                   /*!< CFMC CTRL: PGM (Bitfield-Mask: 0x01)                  */
/* =========================================================  STAT  ========================================================== */
#define CFMC_STAT_WTERR_Pos               (22UL)                    /*!< CFMC STAT: WTERR (Bit 22)                             */
#define CFMC_STAT_WTERR_Msk               (0x400000UL)              /*!< CFMC STAT: WTERR (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_RPERR_Pos               (21UL)                    /*!< CFMC STAT: RPERR (Bit 21)                             */
#define CFMC_STAT_RPERR_Msk               (0x200000UL)              /*!< CFMC STAT: RPERR (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_WSERR_Pos               (20UL)                    /*!< CFMC STAT: WSERR (Bit 20)                             */
#define CFMC_STAT_WSERR_Msk               (0x100000UL)              /*!< CFMC STAT: WSERR (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_IPERR_Pos               (19UL)                    /*!< CFMC STAT: IPERR (Bit 19)                             */
#define CFMC_STAT_IPERR_Msk               (0x80000UL)               /*!< CFMC STAT: IPERR (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_FPERR_Pos               (18UL)                    /*!< CFMC STAT: FPERR (Bit 18)                             */
#define CFMC_STAT_FPERR_Msk               (0x40000UL)               /*!< CFMC STAT: FPERR (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_ILERR_Pos               (17UL)                    /*!< CFMC STAT: ILERR (Bit 17)                             */
#define CFMC_STAT_ILERR_Msk               (0x20000UL)               /*!< CFMC STAT: ILERR (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_FLERR_Pos               (16UL)                    /*!< CFMC STAT: FLERR (Bit 16)                             */
#define CFMC_STAT_FLERR_Msk               (0x10000UL)               /*!< CFMC STAT: FLERR (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_ECCSE_Pos               (11UL)                    /*!< CFMC STAT: ECCSE (Bit 11)                             */
#define CFMC_STAT_ECCSE_Msk               (0x800UL)                 /*!< CFMC STAT: ECCSE (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_ECCDE_Pos               (10UL)                    /*!< CFMC STAT: ECCDE (Bit 10)                             */
#define CFMC_STAT_ECCDE_Msk               (0x400UL)                 /*!< CFMC STAT: ECCDE (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_CDONE_Pos               (9UL)                     /*!< CFMC STAT: CDONE (Bit 9)                              */
#define CFMC_STAT_CDONE_Msk               (0x200UL)                 /*!< CFMC STAT: CDONE (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_WDONE_Pos               (8UL)                     /*!< CFMC STAT: WDONE (Bit 8)                              */
#define CFMC_STAT_WDONE_Msk               (0x100UL)                 /*!< CFMC STAT: WDONE (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_CBUSY_Pos               (1UL)                     /*!< CFMC STAT: CBUSY (Bit 1)                              */
#define CFMC_STAT_CBUSY_Msk               (0x2UL)                   /*!< CFMC STAT: CBUSY (Bitfield-Mask: 0x01)                */
#define CFMC_STAT_WBUSY_Pos               (0UL)                     /*!< CFMC STAT: WBUSY (Bit 0)                              */
#define CFMC_STAT_WBUSY_Msk               (0x1UL)                   /*!< CFMC STAT: WBUSY (Bitfield-Mask: 0x01)                */
/* =======================================================  READPROT  ======================================================== */
#define CFMC_READPROT_DBGMOD_Pos          (31UL)                    /*!< CFMC READPROT: DBGMOD (Bit 31)                        */
#define CFMC_READPROT_DBGMOD_Msk          (0x80000000UL)            /*!< CFMC READPROT: DBGMOD (Bitfield-Mask: 0x01)           */
#define CFMC_READPROT_SRBOOT_Pos          (30UL)                    /*!< CFMC READPROT: SRBOOT (Bit 30)                        */
#define CFMC_READPROT_SRBOOT_Msk          (0x40000000UL)            /*!< CFMC READPROT: SRBOOT (Bitfield-Mask: 0x01)           */
#define CFMC_READPROT_PWMATCH_Pos         (26UL)                    /*!< CFMC READPROT: PWMATCH (Bit 26)                       */
#define CFMC_READPROT_PWMATCH_Msk         (0x4000000UL)             /*!< CFMC READPROT: PWMATCH (Bitfield-Mask: 0x01)          */
#define CFMC_READPROT_INFO0ERSD_Pos       (25UL)                    /*!< CFMC READPROT: INFO0ERSD (Bit 25)                     */
#define CFMC_READPROT_INFO0ERSD_Msk       (0x2000000UL)             /*!< CFMC READPROT: INFO0ERSD (Bitfield-Mask: 0x01)        */
#define CFMC_READPROT_CERSD_Pos           (24UL)                    /*!< CFMC READPROT: CERSD (Bit 24)                         */
#define CFMC_READPROT_CERSD_Msk           (0x1000000UL)             /*!< CFMC READPROT: CERSD (Bitfield-Mask: 0x01)            */
#define CFMC_READPROT_LVL2_STS_Pos        (17UL)                    /*!< CFMC READPROT: LVL2_STS (Bit 17)                      */
#define CFMC_READPROT_LVL2_STS_Msk        (0x20000UL)               /*!< CFMC READPROT: LVL2_STS (Bitfield-Mask: 0x01)         */
#define CFMC_READPROT_LVL1_STS_Pos        (16UL)                    /*!< CFMC READPROT: LVL1_STS (Bit 16)                      */
#define CFMC_READPROT_LVL1_STS_Msk        (0x10000UL)               /*!< CFMC READPROT: LVL1_STS (Bitfield-Mask: 0x01)         */
#define CFMC_READPROT_LVL2_EN_Pos         (9UL)                     /*!< CFMC READPROT: LVL2_EN (Bit 9)                        */
#define CFMC_READPROT_LVL2_EN_Msk         (0x200UL)                 /*!< CFMC READPROT: LVL2_EN (Bitfield-Mask: 0x01)          */
#define CFMC_READPROT_LVL1_EN_Pos         (8UL)                     /*!< CFMC READPROT: LVL1_EN (Bit 8)                        */
#define CFMC_READPROT_LVL1_EN_Msk         (0x100UL)                 /*!< CFMC READPROT: LVL1_EN (Bitfield-Mask: 0x01)          */
#define CFMC_READPROT_RPROT_Pos           (0UL)                     /*!< CFMC READPROT: RPROT (Bit 0)                          */
#define CFMC_READPROT_RPROT_Msk           (0xffUL)                  /*!< CFMC READPROT: RPROT (Bitfield-Mask: 0xff)            */
/* =========================================================  PWIN  ========================================================== */
#define CFMC_PWIN_PWIN_Pos                (0UL)                     /*!< CFMC PWIN: PWIN (Bit 0)                               */
#define CFMC_PWIN_PWIN_Msk                (0xffffffffUL)            /*!< CFMC PWIN: PWIN (Bitfield-Mask: 0xffffffff)           */
/* ========================================================  CHKCTRL  ======================================================== */
#define CFMC_CHKCTRL_CDRST_Pos            (16UL)                    /*!< CFMC CHKCTRL: CDRST (Bit 16)                          */
#define CFMC_CHKCTRL_CDRST_Msk            (0x10000UL)               /*!< CFMC CHKCTRL: CDRST (Bitfield-Mask: 0x01)             */
#define CFMC_CHKCTRL_CDIEN_Pos            (8UL)                     /*!< CFMC CHKCTRL: CDIEN (Bit 8)                           */
#define CFMC_CHKCTRL_CDIEN_Msk            (0x100UL)                 /*!< CFMC CHKCTRL: CDIEN (Bitfield-Mask: 0x01)             */
#define CFMC_CHKCTRL_BSTEN_Pos            (1UL)                     /*!< CFMC CHKCTRL: BSTEN (Bit 1)                           */
#define CFMC_CHKCTRL_BSTEN_Msk            (0x2UL)                   /*!< CFMC CHKCTRL: BSTEN (Bitfield-Mask: 0x01)             */
#define CFMC_CHKCTRL_BGEN_Pos             (0UL)                     /*!< CFMC CHKCTRL: BGEN (Bit 0)                            */
#define CFMC_CHKCTRL_BGEN_Msk             (0x1UL)                   /*!< CFMC CHKCTRL: BGEN (Bitfield-Mask: 0x01)              */
/* ========================================================  CHKDOUT  ======================================================== */
#define CFMC_CHKDOUT_CDOUT_Pos            (0UL)                     /*!< CFMC CHKDOUT: CDOUT (Bit 0)                           */
#define CFMC_CHKDOUT_CDOUT_Msk            (0xffffUL)                /*!< CFMC CHKDOUT: CDOUT (Bitfield-Mask: 0xffff)           */
/* =======================================================  CHKSADDR  ======================================================== */
#define CFMC_CHKSADDR_SADDR_Pos           (8UL)                     /*!< CFMC CHKSADDR: SADDR (Bit 8)                          */
#define CFMC_CHKSADDR_SADDR_Msk           (0xffffff00UL)            /*!< CFMC CHKSADDR: SADDR (Bitfield-Mask: 0xffffff)        */
#define CFMC_CHKSADDR_FIXED_VALUE_Pos     (0UL)                     /*!< CFMC CHKSADDR: FIXED_VALUE (Bit 0)                    */
#define CFMC_CHKSADDR_FIXED_VALUE_Msk     (0xffUL)                  /*!< CFMC CHKSADDR: FIXED_VALUE (Bitfield-Mask: 0xff)      */
/* =======================================================  CHKEADDR  ======================================================== */
#define CFMC_CHKEADDR_EADDR_Pos           (8UL)                     /*!< CFMC CHKEADDR: EADDR (Bit 8)                          */
#define CFMC_CHKEADDR_EADDR_Msk           (0xffffff00UL)            /*!< CFMC CHKEADDR: EADDR (Bitfield-Mask: 0xffffff)        */
#define CFMC_CHKEADDR_FIXED_VALUE_Pos     (0UL)                     /*!< CFMC CHKEADDR: FIXED_VALUE (Bit 0)                    */
#define CFMC_CHKEADDR_FIXED_VALUE_Msk     (0xffUL)                  /*!< CFMC CHKEADDR: FIXED_VALUE (Bitfield-Mask: 0xff)      */
/* =========================================================  WTOUT  ========================================================= */
#define CFMC_WTOUT_WTOUT_Pos              (0UL)                     /*!< CFMC WTOUT: WTOUT (Bit 0)                             */
#define CFMC_WTOUT_WTOUT_Msk              (0xffUL)                  /*!< CFMC WTOUT: WTOUT (Bitfield-Mask: 0xff)               */
/* ========================================================  PWPRST  ========================================================= */
#define CFMC_PWPRST_PWPRST_Pos            (0UL)                     /*!< CFMC PWPRST: PWPRST (Bit 0)                           */
#define CFMC_PWPRST_PWPRST_Msk            (0xffffffffUL)            /*!< CFMC PWPRST: PWPRST (Bitfield-Mask: 0xffffffff)       */


/* =========================================================================================================================== */
/* ================                                           DFMC                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CONF  ========================================================== */
#define DFMC_CONF_WTEN_Pos                (25UL)                    /*!< DFMC CONF: WTEN (Bit 25)                              */
#define DFMC_CONF_WTEN_Msk                (0x2000000UL)             /*!< DFMC CONF: WTEN (Bitfield-Mask: 0x01)                 */
#define DFMC_CONF_LATENCY_Pos             (0UL)                     /*!< DFMC CONF: LATENCY (Bit 0)                            */
#define DFMC_CONF_LATENCY_Msk             (0xfUL)                   /*!< DFMC CONF: LATENCY (Bitfield-Mask: 0x0f)              */
/* ========================================================  FLSKEY  ========================================================= */
#define DFMC_FLSKEY_FKEY_Pos              (0UL)                     /*!< DFMC FLSKEY: FKEY (Bit 0)                             */
#define DFMC_FLSKEY_FKEY_Msk              (0xffffffffUL)            /*!< DFMC FLSKEY: FKEY (Bitfield-Mask: 0xffffffff)         */
/* ========================================================  FLSPROT  ======================================================== */
#define DFMC_FLSPROT_FUP512B_7_Pos        (31UL)                    /*!< DFMC FLSPROT: FUP512B_7 (Bit 31)                      */
#define DFMC_FLSPROT_FUP512B_7_Msk        (0x80000000UL)            /*!< DFMC FLSPROT: FUP512B_7 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FUP512B_6_Pos        (30UL)                    /*!< DFMC FLSPROT: FUP512B_6 (Bit 30)                      */
#define DFMC_FLSPROT_FUP512B_6_Msk        (0x40000000UL)            /*!< DFMC FLSPROT: FUP512B_6 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FUP512B_5_Pos        (29UL)                    /*!< DFMC FLSPROT: FUP512B_5 (Bit 29)                      */
#define DFMC_FLSPROT_FUP512B_5_Msk        (0x20000000UL)            /*!< DFMC FLSPROT: FUP512B_5 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FUP512B_4_Pos        (28UL)                    /*!< DFMC FLSPROT: FUP512B_4 (Bit 28)                      */
#define DFMC_FLSPROT_FUP512B_4_Msk        (0x10000000UL)            /*!< DFMC FLSPROT: FUP512B_4 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FUP512B_3_Pos        (27UL)                    /*!< DFMC FLSPROT: FUP512B_3 (Bit 27)                      */
#define DFMC_FLSPROT_FUP512B_3_Msk        (0x8000000UL)             /*!< DFMC FLSPROT: FUP512B_3 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FUP512B_2_Pos        (26UL)                    /*!< DFMC FLSPROT: FUP512B_2 (Bit 26)                      */
#define DFMC_FLSPROT_FUP512B_2_Msk        (0x4000000UL)             /*!< DFMC FLSPROT: FUP512B_2 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FUP512B_1_Pos        (25UL)                    /*!< DFMC FLSPROT: FUP512B_1 (Bit 25)                      */
#define DFMC_FLSPROT_FUP512B_1_Msk        (0x2000000UL)             /*!< DFMC FLSPROT: FUP512B_1 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FUP512B_0_Pos        (24UL)                    /*!< DFMC FLSPROT: FUP512B_0 (Bit 24)                      */
#define DFMC_FLSPROT_FUP512B_0_Msk        (0x1000000UL)             /*!< DFMC FLSPROT: FUP512B_0 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FPBY16_15_Pos        (15UL)                    /*!< DFMC FLSPROT: FPBY16_15 (Bit 15)                      */
#define DFMC_FLSPROT_FPBY16_15_Msk        (0x8000UL)                /*!< DFMC FLSPROT: FPBY16_15 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FPBY16_14_Pos        (14UL)                    /*!< DFMC FLSPROT: FPBY16_14 (Bit 14)                      */
#define DFMC_FLSPROT_FPBY16_14_Msk        (0x4000UL)                /*!< DFMC FLSPROT: FPBY16_14 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FPBY16_13_Pos        (13UL)                    /*!< DFMC FLSPROT: FPBY16_13 (Bit 13)                      */
#define DFMC_FLSPROT_FPBY16_13_Msk        (0x2000UL)                /*!< DFMC FLSPROT: FPBY16_13 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FPBY16_12_Pos        (12UL)                    /*!< DFMC FLSPROT: FPBY16_12 (Bit 12)                      */
#define DFMC_FLSPROT_FPBY16_12_Msk        (0x1000UL)                /*!< DFMC FLSPROT: FPBY16_12 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FPBY16_11_Pos        (11UL)                    /*!< DFMC FLSPROT: FPBY16_11 (Bit 11)                      */
#define DFMC_FLSPROT_FPBY16_11_Msk        (0x800UL)                 /*!< DFMC FLSPROT: FPBY16_11 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FPBY16_10_Pos        (10UL)                    /*!< DFMC FLSPROT: FPBY16_10 (Bit 10)                      */
#define DFMC_FLSPROT_FPBY16_10_Msk        (0x400UL)                 /*!< DFMC FLSPROT: FPBY16_10 (Bitfield-Mask: 0x01)         */
#define DFMC_FLSPROT_FPBY16_9_Pos         (9UL)                     /*!< DFMC FLSPROT: FPBY16_9 (Bit 9)                        */
#define DFMC_FLSPROT_FPBY16_9_Msk         (0x200UL)                 /*!< DFMC FLSPROT: FPBY16_9 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_8_Pos         (8UL)                     /*!< DFMC FLSPROT: FPBY16_8 (Bit 8)                        */
#define DFMC_FLSPROT_FPBY16_8_Msk         (0x100UL)                 /*!< DFMC FLSPROT: FPBY16_8 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_7_Pos         (7UL)                     /*!< DFMC FLSPROT: FPBY16_7 (Bit 7)                        */
#define DFMC_FLSPROT_FPBY16_7_Msk         (0x80UL)                  /*!< DFMC FLSPROT: FPBY16_7 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_6_Pos         (6UL)                     /*!< DFMC FLSPROT: FPBY16_6 (Bit 6)                        */
#define DFMC_FLSPROT_FPBY16_6_Msk         (0x40UL)                  /*!< DFMC FLSPROT: FPBY16_6 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_5_Pos         (5UL)                     /*!< DFMC FLSPROT: FPBY16_5 (Bit 5)                        */
#define DFMC_FLSPROT_FPBY16_5_Msk         (0x20UL)                  /*!< DFMC FLSPROT: FPBY16_5 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_4_Pos         (4UL)                     /*!< DFMC FLSPROT: FPBY16_4 (Bit 4)                        */
#define DFMC_FLSPROT_FPBY16_4_Msk         (0x10UL)                  /*!< DFMC FLSPROT: FPBY16_4 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_3_Pos         (3UL)                     /*!< DFMC FLSPROT: FPBY16_3 (Bit 3)                        */
#define DFMC_FLSPROT_FPBY16_3_Msk         (0x8UL)                   /*!< DFMC FLSPROT: FPBY16_3 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_2_Pos         (2UL)                     /*!< DFMC FLSPROT: FPBY16_2 (Bit 2)                        */
#define DFMC_FLSPROT_FPBY16_2_Msk         (0x4UL)                   /*!< DFMC FLSPROT: FPBY16_2 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_1_Pos         (1UL)                     /*!< DFMC FLSPROT: FPBY16_1 (Bit 1)                        */
#define DFMC_FLSPROT_FPBY16_1_Msk         (0x2UL)                   /*!< DFMC FLSPROT: FPBY16_1 (Bitfield-Mask: 0x01)          */
#define DFMC_FLSPROT_FPBY16_0_Pos         (0UL)                     /*!< DFMC FLSPROT: FPBY16_0 (Bit 0)                        */
#define DFMC_FLSPROT_FPBY16_0_Msk         (0x1UL)                   /*!< DFMC FLSPROT: FPBY16_0 (Bitfield-Mask: 0x01)          */
/* =========================================================  CTRL  ========================================================== */
#define DFMC_CTRL_FLOCK_Pos               (31UL)                    /*!< DFMC CTRL: FLOCK (Bit 31)                             */
#define DFMC_CTRL_FLOCK_Msk               (0x80000000UL)            /*!< DFMC CTRL: FLOCK (Bitfield-Mask: 0x01)                */
#define DFMC_CTRL_ECCSI_Pos               (11UL)                    /*!< DFMC CTRL: ECCSI (Bit 11)                             */
#define DFMC_CTRL_ECCSI_Msk               (0x800UL)                 /*!< DFMC CTRL: ECCSI (Bitfield-Mask: 0x01)                */
#define DFMC_CTRL_ECCDN_Pos               (10UL)                    /*!< DFMC CTRL: ECCDN (Bit 10)                             */
#define DFMC_CTRL_ECCDN_Msk               (0x400UL)                 /*!< DFMC CTRL: ECCDN (Bitfield-Mask: 0x01)                */
#define DFMC_CTRL_WDIEN_Pos               (8UL)                     /*!< DFMC CTRL: WDIEN (Bit 8)                              */
#define DFMC_CTRL_WDIEN_Msk               (0x100UL)                 /*!< DFMC CTRL: WDIEN (Bitfield-Mask: 0x01)                */
#define DFMC_CTRL_WABORT_Pos              (7UL)                     /*!< DFMC CTRL: WABORT (Bit 7)                             */
#define DFMC_CTRL_WABORT_Msk              (0x80UL)                  /*!< DFMC CTRL: WABORT (Bitfield-Mask: 0x01)               */
#define DFMC_CTRL_CERS_Pos                (3UL)                     /*!< DFMC CTRL: CERS (Bit 3)                               */
#define DFMC_CTRL_CERS_Msk                (0x8UL)                   /*!< DFMC CTRL: CERS (Bitfield-Mask: 0x01)                 */
#define DFMC_CTRL_SERS_Pos                (2UL)                     /*!< DFMC CTRL: SERS (Bit 2)                               */
#define DFMC_CTRL_SERS_Msk                (0x4UL)                   /*!< DFMC CTRL: SERS (Bitfield-Mask: 0x01)                 */
#define DFMC_CTRL_PERS_Pos                (1UL)                     /*!< DFMC CTRL: PERS (Bit 1)                               */
#define DFMC_CTRL_PERS_Msk                (0x2UL)                   /*!< DFMC CTRL: PERS (Bitfield-Mask: 0x01)                 */
#define DFMC_CTRL_PGM_Pos                 (0UL)                     /*!< DFMC CTRL: PGM (Bit 0)                                */
#define DFMC_CTRL_PGM_Msk                 (0x1UL)                   /*!< DFMC CTRL: PGM (Bitfield-Mask: 0x01)                  */
/* =========================================================  STAT  ========================================================== */
#define DFMC_STAT_WTERR_Pos               (22UL)                    /*!< DFMC STAT: WTERR (Bit 22)                             */
#define DFMC_STAT_WTERR_Msk               (0x400000UL)              /*!< DFMC STAT: WTERR (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_RPERR_Pos               (21UL)                    /*!< DFMC STAT: RPERR (Bit 21)                             */
#define DFMC_STAT_RPERR_Msk               (0x200000UL)              /*!< DFMC STAT: RPERR (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_WSERR_Pos               (20UL)                    /*!< DFMC STAT: WSERR (Bit 20)                             */
#define DFMC_STAT_WSERR_Msk               (0x100000UL)              /*!< DFMC STAT: WSERR (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_FPERR_Pos               (18UL)                    /*!< DFMC STAT: FPERR (Bit 18)                             */
#define DFMC_STAT_FPERR_Msk               (0x40000UL)               /*!< DFMC STAT: FPERR (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_FLERR_Pos               (16UL)                    /*!< DFMC STAT: FLERR (Bit 16)                             */
#define DFMC_STAT_FLERR_Msk               (0x10000UL)               /*!< DFMC STAT: FLERR (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_ECCSE_Pos               (11UL)                    /*!< DFMC STAT: ECCSE (Bit 11)                             */
#define DFMC_STAT_ECCSE_Msk               (0x800UL)                 /*!< DFMC STAT: ECCSE (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_ECCDE_Pos               (10UL)                    /*!< DFMC STAT: ECCDE (Bit 10)                             */
#define DFMC_STAT_ECCDE_Msk               (0x400UL)                 /*!< DFMC STAT: ECCDE (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_CDONE_Pos               (9UL)                     /*!< DFMC STAT: CDONE (Bit 9)                              */
#define DFMC_STAT_CDONE_Msk               (0x200UL)                 /*!< DFMC STAT: CDONE (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_WDONE_Pos               (8UL)                     /*!< DFMC STAT: WDONE (Bit 8)                              */
#define DFMC_STAT_WDONE_Msk               (0x100UL)                 /*!< DFMC STAT: WDONE (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_CBUSY_Pos               (1UL)                     /*!< DFMC STAT: CBUSY (Bit 1)                              */
#define DFMC_STAT_CBUSY_Msk               (0x2UL)                   /*!< DFMC STAT: CBUSY (Bitfield-Mask: 0x01)                */
#define DFMC_STAT_WBUSY_Pos               (0UL)                     /*!< DFMC STAT: WBUSY (Bit 0)                              */
#define DFMC_STAT_WBUSY_Msk               (0x1UL)                   /*!< DFMC STAT: WBUSY (Bitfield-Mask: 0x01)                */
/* ========================================================  CHKCTRL  ======================================================== */
#define DFMC_CHKCTRL_CDRST_Pos            (16UL)                    /*!< DFMC CHKCTRL: CDRST (Bit 16)                          */
#define DFMC_CHKCTRL_CDRST_Msk            (0x10000UL)               /*!< DFMC CHKCTRL: CDRST (Bitfield-Mask: 0x01)             */
#define DFMC_CHKCTRL_CDIEN_Pos            (8UL)                     /*!< DFMC CHKCTRL: CDIEN (Bit 8)                           */
#define DFMC_CHKCTRL_CDIEN_Msk            (0x100UL)                 /*!< DFMC CHKCTRL: CDIEN (Bitfield-Mask: 0x01)             */
#define DFMC_CHKCTRL_BSTEN_Pos            (1UL)                     /*!< DFMC CHKCTRL: BSTEN (Bit 1)                           */
#define DFMC_CHKCTRL_BSTEN_Msk            (0x2UL)                   /*!< DFMC CHKCTRL: BSTEN (Bitfield-Mask: 0x01)             */
#define DFMC_CHKCTRL_BGEN_Pos             (0UL)                     /*!< DFMC CHKCTRL: BGEN (Bit 0)                            */
#define DFMC_CHKCTRL_BGEN_Msk             (0x1UL)                   /*!< DFMC CHKCTRL: BGEN (Bitfield-Mask: 0x01)              */
/* ========================================================  CHKDOUT  ======================================================== */
#define DFMC_CHKDOUT_CDOUT_Pos            (0UL)                     /*!< DFMC CHKDOUT: CDOUT (Bit 0)                           */
#define DFMC_CHKDOUT_CDOUT_Msk            (0xffffUL)                /*!< DFMC CHKDOUT: CDOUT (Bitfield-Mask: 0xffff)           */
/* =======================================================  CHKSADDR  ======================================================== */
#define DFMC_CHKSADDR_SADDR_Pos           (6UL)                     /*!< DFMC CHKSADDR: SADDR (Bit 6)                          */
#define DFMC_CHKSADDR_SADDR_Msk           (0xffffffc0UL)            /*!< DFMC CHKSADDR: SADDR (Bitfield-Mask: 0x3ffffff)       */
#define DFMC_CHKSADDR_FIXED_VALUE_Pos     (0UL)                     /*!< DFMC CHKSADDR: FIXED_VALUE (Bit 0)                    */
#define DFMC_CHKSADDR_FIXED_VALUE_Msk     (0x3fUL)                  /*!< DFMC CHKSADDR: FIXED_VALUE (Bitfield-Mask: 0x3f)      */
/* =======================================================  CHKEADDR  ======================================================== */
#define DFMC_CHKEADDR_EADDR_Pos           (6UL)                     /*!< DFMC CHKEADDR: EADDR (Bit 6)                          */
#define DFMC_CHKEADDR_EADDR_Msk           (0xffffffc0UL)            /*!< DFMC CHKEADDR: EADDR (Bitfield-Mask: 0x3ffffff)       */
#define DFMC_CHKEADDR_FIXED_VALUE_Pos     (0UL)                     /*!< DFMC CHKEADDR: FIXED_VALUE (Bit 0)                    */
#define DFMC_CHKEADDR_FIXED_VALUE_Msk     (0x3fUL)                  /*!< DFMC CHKEADDR: FIXED_VALUE (Bitfield-Mask: 0x3f)      */
/* =========================================================  WTOUT  ========================================================= */
#define DFMC_WTOUT_WTOUT_Pos              (0UL)                     /*!< DFMC WTOUT: WTOUT (Bit 0)                             */
#define DFMC_WTOUT_WTOUT_Msk              (0xffffffffUL)            /*!< DFMC WTOUT: WTOUT (Bitfield-Mask: 0xffffffff)         */


/* =========================================================================================================================== */
/* ================                                            DMA                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define DMA_CR_TRANSCNT_Pos               (16UL)                    /*!< DMA CR: TRANSCNT (Bit 16)                             */
#define DMA_CR_TRANSCNT_Msk               (0xfff0000UL)             /*!< DMA CR: TRANSCNT (Bitfield-Mask: 0xfff)               */
#define DMA_CR_PERISEL_Pos                (8UL)                     /*!< DMA CR: PERISEL (Bit 8)                               */
#define DMA_CR_PERISEL_Msk                (0x1f00UL)                /*!< DMA CR: PERISEL (Bitfield-Mask: 0x1f)                 */
#define DMA_CR_SIZE_Pos                   (2UL)                     /*!< DMA CR: SIZE (Bit 2)                                  */
#define DMA_CR_SIZE_Msk                   (0xcUL)                   /*!< DMA CR: SIZE (Bitfield-Mask: 0x03)                    */
#define DMA_CR_DIR_Pos                    (1UL)                     /*!< DMA CR: DIR (Bit 1)                                   */
#define DMA_CR_DIR_Msk                    (0x2UL)                   /*!< DMA CR: DIR (Bitfield-Mask: 0x01)                     */
/* ==========================================================  SR  =========================================================== */
#define DMA_SR_EOT_Pos                    (7UL)                     /*!< DMA SR: EOT (Bit 7)                                   */
#define DMA_SR_EOT_Msk                    (0x80UL)                  /*!< DMA SR: EOT (Bitfield-Mask: 0x01)                     */
#define DMA_SR_DMAEN_Pos                  (0UL)                     /*!< DMA SR: DMAEN (Bit 0)                                 */
#define DMA_SR_DMAEN_Msk                  (0x1UL)                   /*!< DMA SR: DMAEN (Bitfield-Mask: 0x01)                   */
/* ==========================================================  PAR  ========================================================== */
#define DMA_PAR_PARBASEOFFSET_Pos         (16UL)                    /*!< DMA PAR: PARBASEOFFSET (Bit 16)                       */
#define DMA_PAR_PARBASEOFFSET_Msk         (0xffff0000UL)            /*!< DMA PAR: PARBASEOFFSET (Bitfield-Mask: 0xffff)        */
#define DMA_PAR_PAR_Pos                   (0UL)                     /*!< DMA PAR: PAR (Bit 0)                                  */
#define DMA_PAR_PAR_Msk                   (0xffffUL)                /*!< DMA PAR: PAR (Bitfield-Mask: 0xffff)                  */
/* ==========================================================  MAR  ========================================================== */
#define DMA_MAR_MEMBASEADDRESS_Pos        (16UL)                    /*!< DMA MAR: MEMBASEADDRESS (Bit 16)                      */
#define DMA_MAR_MEMBASEADDRESS_Msk        (0xffff0000UL)            /*!< DMA MAR: MEMBASEADDRESS (Bitfield-Mask: 0xffff)       */
#define DMA_MAR_MAR_Pos                   (0UL)                     /*!< DMA MAR: MAR (Bit 0)                                  */
#define DMA_MAR_MAR_Msk                   (0xffffUL)                /*!< DMA MAR: MAR (Bitfield-Mask: 0xffff)                  */


/* =========================================================================================================================== */
/* ================                                            WDT                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  LR  =========================================================== */
#define WDT_LR_WDTLR_Pos                  (0UL)                     /*!< WDT LR: WDTLR (Bit 0)                                 */
#define WDT_LR_WDTLR_Msk                  (0xffffffffUL)            /*!< WDT LR: WDTLR (Bitfield-Mask: 0xffffffff)             */
/* ==========================================================  CNT  ========================================================== */
#define WDT_CNT_WDTCNT_Pos                (0UL)                     /*!< WDT CNT: WDTCNT (Bit 0)                               */
#define WDT_CNT_WDTCNT_Msk                (0xffffffffUL)            /*!< WDT CNT: WDTCNT (Bitfield-Mask: 0xffffffff)           */
/* ==========================================================  CON  ========================================================== */
#define WDT_CON_WDBG_Pos                  (15UL)                    /*!< WDT CON: WDBG (Bit 15)                                */
#define WDT_CON_WDBG_Msk                  (0x8000UL)                /*!< WDT CON: WDBG (Bitfield-Mask: 0x01)                   */
#define WDT_CON_WUF_Pos                   (8UL)                     /*!< WDT CON: WUF (Bit 8)                                  */
#define WDT_CON_WUF_Msk                   (0x100UL)                 /*!< WDT CON: WUF (Bitfield-Mask: 0x01)                    */
#define WDT_CON_WDTIE_Pos                 (7UL)                     /*!< WDT CON: WDTIE (Bit 7)                                */
#define WDT_CON_WDTIE_Msk                 (0x80UL)                  /*!< WDT CON: WDTIE (Bitfield-Mask: 0x01)                  */
#define WDT_CON_WDTRE_Pos                 (6UL)                     /*!< WDT CON: WDTRE (Bit 6)                                */
#define WDT_CON_WDTRE_Msk                 (0x40UL)                  /*!< WDT CON: WDTRE (Bitfield-Mask: 0x01)                  */
#define WDT_CON_WDTEN_Pos                 (4UL)                     /*!< WDT CON: WDTEN (Bit 4)                                */
#define WDT_CON_WDTEN_Msk                 (0x10UL)                  /*!< WDT CON: WDTEN (Bitfield-Mask: 0x01)                  */
#define WDT_CON_CKSEL_Pos                 (3UL)                     /*!< WDT CON: CKSEL (Bit 3)                                */
#define WDT_CON_CKSEL_Msk                 (0x8UL)                   /*!< WDT CON: CKSEL (Bitfield-Mask: 0x01)                  */
#define WDT_CON_WPRS_Pos                  (0UL)                     /*!< WDT CON: WPRS (Bit 0)                                 */
#define WDT_CON_WPRS_Msk                  (0x7UL)                   /*!< WDT CON: WPRS (Bitfield-Mask: 0x07)                   */
/* ==========================================================  AEN  ========================================================== */
#define WDT_AEN_ENS_Pos                   (16UL)                    /*!< WDT AEN: ENS (Bit 16)                                 */
#define WDT_AEN_ENS_Msk                   (0x10000UL)               /*!< WDT AEN: ENS (Bitfield-Mask: 0x01)                    */
#define WDT_AEN_AEN_Pos                   (0UL)                     /*!< WDT AEN: AEN (Bit 0)                                  */
#define WDT_AEN_AEN_Msk                   (0xffffUL)                /*!< WDT AEN: AEN (Bitfield-Mask: 0xffff)                  */


/* =========================================================================================================================== */
/* ================                                           TIMER                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define TIMER_CR1_TRGMOD_Pos              (14UL)                    /*!< TIMER CR1: TRGMOD (Bit 14)                            */
#define TIMER_CR1_TRGMOD_Msk              (0xc000UL)                /*!< TIMER CR1: TRGMOD (Bitfield-Mask: 0x03)               */
#define TIMER_CR1_UAO_Pos                 (13UL)                    /*!< TIMER CR1: UAO (Bit 13)                               */
#define TIMER_CR1_UAO_Msk                 (0x2000UL)                /*!< TIMER CR1: UAO (Bitfield-Mask: 0x01)                  */
#define TIMER_CR1_OUTPOL_Pos              (12UL)                    /*!< TIMER CR1: OUTPOL (Bit 12)                            */
#define TIMER_CR1_OUTPOL_Msk              (0x1000UL)                /*!< TIMER CR1: OUTPOL (Bitfield-Mask: 0x01)               */
#define TIMER_CR1_IOSEL_Pos               (11UL)                    /*!< TIMER CR1: IOSEL (Bit 11)                             */
#define TIMER_CR1_IOSEL_Msk               (0x800UL)                 /*!< TIMER CR1: IOSEL (Bitfield-Mask: 0x01)                */
#define TIMER_CR1_ADCTRGEN_Pos            (8UL)                     /*!< TIMER CR1: ADCTRGEN (Bit 8)                           */
#define TIMER_CR1_ADCTRGEN_Msk            (0x100UL)                 /*!< TIMER CR1: ADCTRGEN (Bitfield-Mask: 0x01)             */
#define TIMER_CR1_STARTLVL_Pos            (7UL)                     /*!< TIMER CR1: STARTLVL (Bit 7)                           */
#define TIMER_CR1_STARTLVL_Msk            (0x80UL)                  /*!< TIMER CR1: STARTLVL (Bitfield-Mask: 0x01)             */
#define TIMER_CR1_CKSEL_Pos               (4UL)                     /*!< TIMER CR1: CKSEL (Bit 4)                              */
#define TIMER_CR1_CKSEL_Msk               (0x70UL)                  /*!< TIMER CR1: CKSEL (Bitfield-Mask: 0x07)                */
#define TIMER_CR1_CLRMOD_Pos              (2UL)                     /*!< TIMER CR1: CLRMOD (Bit 2)                             */
#define TIMER_CR1_CLRMOD_Msk              (0xcUL)                   /*!< TIMER CR1: CLRMOD (Bitfield-Mask: 0x03)               */
#define TIMER_CR1_MODE_Pos                (0UL)                     /*!< TIMER CR1: MODE (Bit 0)                               */
#define TIMER_CR1_MODE_Msk                (0x3UL)                   /*!< TIMER CR1: MODE (Bitfield-Mask: 0x03)                 */
/* ==========================================================  CR2  ========================================================== */
#define TIMER_CR2_TCLR_Pos                (1UL)                     /*!< TIMER CR2: TCLR (Bit 1)                               */
#define TIMER_CR2_TCLR_Msk                (0x2UL)                   /*!< TIMER CR2: TCLR (Bitfield-Mask: 0x01)                 */
#define TIMER_CR2_TEN_Pos                 (0UL)                     /*!< TIMER CR2: TEN (Bit 0)                                */
#define TIMER_CR2_TEN_Msk                 (0x1UL)                   /*!< TIMER CR2: TEN (Bitfield-Mask: 0x01)                  */
/* ==========================================================  PRS  ========================================================== */
#define TIMER_PRS_PRS_Pos                 (0UL)                     /*!< TIMER PRS: PRS (Bit 0)                                */
#define TIMER_PRS_PRS_Msk                 (0x3ffUL)                 /*!< TIMER PRS: PRS (Bitfield-Mask: 0x3ff)                 */
/* ==========================================================  GRA  ========================================================== */
#define TIMER_GRA_GRA_Pos                 (0UL)                     /*!< TIMER GRA: GRA (Bit 0)                                */
#define TIMER_GRA_GRA_Msk                 (0xffffUL)                /*!< TIMER GRA: GRA (Bitfield-Mask: 0xffff)                */
/* ==========================================================  GRB  ========================================================== */
#define TIMER_GRB_GRB_Pos                 (0UL)                     /*!< TIMER GRB: GRB (Bit 0)                                */
#define TIMER_GRB_GRB_Msk                 (0xffffUL)                /*!< TIMER GRB: GRB (Bitfield-Mask: 0xffff)                */
/* ==========================================================  CNT  ========================================================== */
#define TIMER_CNT_CNT_Pos                 (0UL)                     /*!< TIMER CNT: CNT (Bit 0)                                */
#define TIMER_CNT_CNT_Msk                 (0xffffUL)                /*!< TIMER CNT: CNT (Bitfield-Mask: 0xffff)                */
/* ==========================================================  SR  =========================================================== */
#define TIMER_SR_MFA_Pos                  (2UL)                     /*!< TIMER SR: MFA (Bit 2)                                 */
#define TIMER_SR_MFA_Msk                  (0x4UL)                   /*!< TIMER SR: MFA (Bitfield-Mask: 0x01)                   */
#define TIMER_SR_MFB_Pos                  (1UL)                     /*!< TIMER SR: MFB (Bit 1)                                 */
#define TIMER_SR_MFB_Msk                  (0x2UL)                   /*!< TIMER SR: MFB (Bitfield-Mask: 0x01)                   */
#define TIMER_SR_OVF_Pos                  (0UL)                     /*!< TIMER SR: OVF (Bit 0)                                 */
#define TIMER_SR_OVF_Msk                  (0x1UL)                   /*!< TIMER SR: OVF (Bitfield-Mask: 0x01)                   */
/* ==========================================================  IER  ========================================================== */
#define TIMER_IER_MAIE_Pos                (2UL)                     /*!< TIMER IER: MAIE (Bit 2)                               */
#define TIMER_IER_MAIE_Msk                (0x4UL)                   /*!< TIMER IER: MAIE (Bitfield-Mask: 0x01)                 */
#define TIMER_IER_MBIE_Pos                (1UL)                     /*!< TIMER IER: MBIE (Bit 1)                               */
#define TIMER_IER_MBIE_Msk                (0x2UL)                   /*!< TIMER IER: MBIE (Bitfield-Mask: 0x01)                 */
#define TIMER_IER_OVIE_Pos                (0UL)                     /*!< TIMER IER: OVIE (Bit 0)                               */
#define TIMER_IER_OVIE_Msk                (0x1UL)                   /*!< TIMER IER: OVIE (Bitfield-Mask: 0x01)                 */
/* ========================================================  TRGPNT  ========================================================= */
#define TIMER_TRGPNT_TRGPNT_Pos           (0UL)                     /*!< TIMER TRGPNT: TRGPNT (Bit 0)                          */
#define TIMER_TRGPNT_TRGPNT_Msk           (0xffffUL)                /*!< TIMER TRGPNT: TRGPNT (Bitfield-Mask: 0xffff)          */
/* =========================================================  SYNC  ========================================================== */
#define TIMER_SYNC_T9SYNCB_Pos            (29UL)                    /*!< TIMER SYNC: T9SYNCB (Bit 29)                          */
#define TIMER_SYNC_T9SYNCB_Msk            (0x20000000UL)            /*!< TIMER SYNC: T9SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T8SYNCB_Pos            (28UL)                    /*!< TIMER SYNC: T8SYNCB (Bit 28)                          */
#define TIMER_SYNC_T8SYNCB_Msk            (0x10000000UL)            /*!< TIMER SYNC: T8SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T7SYNCB_Pos            (27UL)                    /*!< TIMER SYNC: T7SYNCB (Bit 27)                          */
#define TIMER_SYNC_T7SYNCB_Msk            (0x8000000UL)             /*!< TIMER SYNC: T7SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T6SYNCB_Pos            (26UL)                    /*!< TIMER SYNC: T6SYNCB (Bit 26)                          */
#define TIMER_SYNC_T6SYNCB_Msk            (0x4000000UL)             /*!< TIMER SYNC: T6SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T5SYNCB_Pos            (25UL)                    /*!< TIMER SYNC: T5SYNCB (Bit 25)                          */
#define TIMER_SYNC_T5SYNCB_Msk            (0x2000000UL)             /*!< TIMER SYNC: T5SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T4SYNCB_Pos            (24UL)                    /*!< TIMER SYNC: T4SYNCB (Bit 24)                          */
#define TIMER_SYNC_T4SYNCB_Msk            (0x1000000UL)             /*!< TIMER SYNC: T4SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T3SYNCB_Pos            (23UL)                    /*!< TIMER SYNC: T3SYNCB (Bit 23)                          */
#define TIMER_SYNC_T3SYNCB_Msk            (0x800000UL)              /*!< TIMER SYNC: T3SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T2SYNCB_Pos            (22UL)                    /*!< TIMER SYNC: T2SYNCB (Bit 22)                          */
#define TIMER_SYNC_T2SYNCB_Msk            (0x400000UL)              /*!< TIMER SYNC: T2SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T1SYNCB_Pos            (21UL)                    /*!< TIMER SYNC: T1SYNCB (Bit 21)                          */
#define TIMER_SYNC_T1SYNCB_Msk            (0x200000UL)              /*!< TIMER SYNC: T1SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_T0SYNCB_Pos            (20UL)                    /*!< TIMER SYNC: T0SYNCB (Bit 20)                          */
#define TIMER_SYNC_T0SYNCB_Msk            (0x100000UL)              /*!< TIMER SYNC: T0SYNCB (Bitfield-Mask: 0x01)             */
#define TIMER_SYNC_SSYNC_Pos              (17UL)                    /*!< TIMER SYNC: SSYNC (Bit 17)                            */
#define TIMER_SYNC_SSYNC_Msk              (0x20000UL)               /*!< TIMER SYNC: SSYNC (Bitfield-Mask: 0x01)               */
#define TIMER_SYNC_CSYNC_Pos              (16UL)                    /*!< TIMER SYNC: CSYNC (Bit 16)                            */
#define TIMER_SYNC_CSYNC_Msk              (0x10000UL)               /*!< TIMER SYNC: CSYNC (Bitfield-Mask: 0x01)               */
#define TIMER_SYNC_SYNCDLY_Pos            (0UL)                     /*!< TIMER SYNC: SYNCDLY (Bit 0)                           */
#define TIMER_SYNC_SYNCDLY_Msk            (0xffffUL)                /*!< TIMER SYNC: SYNCDLY (Bitfield-Mask: 0xffff)           */


/* =========================================================================================================================== */
/* ================                                            FRT                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CTRL  ========================================================== */
#define FRT_CTRL_OVFIE_Pos                (9UL)                     /*!< FRT CTRL: OVFIE (Bit 9)                               */
#define FRT_CTRL_OVFIE_Msk                (0x200UL)                 /*!< FRT CTRL: OVFIE (Bitfield-Mask: 0x01)                 */
#define FRT_CTRL_MATCHIE_Pos              (8UL)                     /*!< FRT CTRL: MATCHIE (Bit 8)                             */
#define FRT_CTRL_MATCHIE_Msk              (0x100UL)                 /*!< FRT CTRL: MATCHIE (Bitfield-Mask: 0x01)               */
#define FRT_CTRL_MODE_Pos                 (1UL)                     /*!< FRT CTRL: MODE (Bit 1)                                */
#define FRT_CTRL_MODE_Msk                 (0x2UL)                   /*!< FRT CTRL: MODE (Bitfield-Mask: 0x01)                  */
#define FRT_CTRL_EN_Pos                   (0UL)                     /*!< FRT CTRL: EN (Bit 0)                                  */
#define FRT_CTRL_EN_Msk                   (0x1UL)                   /*!< FRT CTRL: EN (Bitfield-Mask: 0x01)                    */
/* =========================================================  MCNT  ========================================================== */
#define FRT_MCNT_MCNT_Pos                 (0UL)                     /*!< FRT MCNT: MCNT (Bit 0)                                */
#define FRT_MCNT_MCNT_Msk                 (0xffffffffUL)            /*!< FRT MCNT: MCNT (Bitfield-Mask: 0xffffffff)            */
/* ==========================================================  CNT  ========================================================== */
#define FRT_CNT_CNT_Pos                   (0UL)                     /*!< FRT CNT: CNT (Bit 0)                                  */
#define FRT_CNT_CNT_Msk                   (0xffffffffUL)            /*!< FRT CNT: CNT (Bitfield-Mask: 0xffffffff)              */
/* =========================================================  STAT  ========================================================== */
#define FRT_STAT_OVFIF_Pos                (9UL)                     /*!< FRT STAT: OVFIF (Bit 9)                               */
#define FRT_STAT_OVFIF_Msk                (0x200UL)                 /*!< FRT STAT: OVFIF (Bitfield-Mask: 0x01)                 */
#define FRT_STAT_MATCHIF_Pos              (8UL)                     /*!< FRT STAT: MATCHIF (Bit 8)                             */
#define FRT_STAT_MATCHIF_Msk              (0x100UL)                 /*!< FRT STAT: MATCHIF (Bitfield-Mask: 0x01)               */


/* =========================================================================================================================== */
/* ================                                           UART                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  RBR  ========================================================== */
#define UART_RBR_RBR_Pos                  (0UL)                     /*!< UART RBR: RBR (Bit 0)                                 */
#define UART_RBR_RBR_Msk                  (0xffUL)                  /*!< UART RBR: RBR (Bitfield-Mask: 0xff)                   */
/* ==========================================================  THR  ========================================================== */
#define UART_THR_THR_Pos                  (0UL)                     /*!< UART THR: THR (Bit 0)                                 */
#define UART_THR_THR_Msk                  (0xffUL)                  /*!< UART THR: THR (Bitfield-Mask: 0xff)                   */
/* ==========================================================  IER  ========================================================== */
#define UART_IER_DTXIEN_Pos               (5UL)                     /*!< UART IER: DTXIEN (Bit 5)                              */
#define UART_IER_DTXIEN_Msk               (0x20UL)                  /*!< UART IER: DTXIEN (Bitfield-Mask: 0x01)                */
#define UART_IER_DRXIEN_Pos               (4UL)                     /*!< UART IER: DRXIEN (Bit 4)                              */
#define UART_IER_DRXIEN_Msk               (0x10UL)                  /*!< UART IER: DRXIEN (Bitfield-Mask: 0x01)                */
#define UART_IER_TXEIE_Pos                (3UL)                     /*!< UART IER: TXEIE (Bit 3)                               */
#define UART_IER_TXEIE_Msk                (0x8UL)                   /*!< UART IER: TXEIE (Bitfield-Mask: 0x01)                 */
#define UART_IER_RLSIE_Pos                (2UL)                     /*!< UART IER: RLSIE (Bit 2)                               */
#define UART_IER_RLSIE_Msk                (0x4UL)                   /*!< UART IER: RLSIE (Bitfield-Mask: 0x01)                 */
#define UART_IER_THREIE_Pos               (1UL)                     /*!< UART IER: THREIE (Bit 1)                              */
#define UART_IER_THREIE_Msk               (0x2UL)                   /*!< UART IER: THREIE (Bitfield-Mask: 0x01)                */
#define UART_IER_DRIE_Pos                 (0UL)                     /*!< UART IER: DRIE (Bit 0)                                */
#define UART_IER_DRIE_Msk                 (0x1UL)                   /*!< UART IER: DRIE (Bitfield-Mask: 0x01)                  */
/* ==========================================================  IIR  ========================================================== */
#define UART_IIR_TXE_Pos                  (4UL)                     /*!< UART IIR: TXE (Bit 4)                                 */
#define UART_IIR_TXE_Msk                  (0x10UL)                  /*!< UART IIR: TXE (Bitfield-Mask: 0x01)                   */
#define UART_IIR_IID_Pos                  (1UL)                     /*!< UART IIR: IID (Bit 1)                                 */
#define UART_IIR_IID_Msk                  (0xeUL)                   /*!< UART IIR: IID (Bitfield-Mask: 0x07)                   */
#define UART_IIR_IPEN_Pos                 (0UL)                     /*!< UART IIR: IPEN (Bit 0)                                */
#define UART_IIR_IPEN_Msk                 (0x1UL)                   /*!< UART IIR: IPEN (Bitfield-Mask: 0x01)                  */
/* ==========================================================  LCR  ========================================================== */
#define UART_LCR_BREAK_Pos                (6UL)                     /*!< UART LCR: BREAK (Bit 6)                               */
#define UART_LCR_BREAK_Msk                (0x40UL)                  /*!< UART LCR: BREAK (Bitfield-Mask: 0x01)                 */
#define UART_LCR_STICKP_Pos               (5UL)                     /*!< UART LCR: STICKP (Bit 5)                              */
#define UART_LCR_STICKP_Msk               (0x20UL)                  /*!< UART LCR: STICKP (Bitfield-Mask: 0x01)                */
#define UART_LCR_PARITY_Pos               (4UL)                     /*!< UART LCR: PARITY (Bit 4)                              */
#define UART_LCR_PARITY_Msk               (0x10UL)                  /*!< UART LCR: PARITY (Bitfield-Mask: 0x01)                */
#define UART_LCR_PEN_Pos                  (3UL)                     /*!< UART LCR: PEN (Bit 3)                                 */
#define UART_LCR_PEN_Msk                  (0x8UL)                   /*!< UART LCR: PEN (Bitfield-Mask: 0x01)                   */
#define UART_LCR_STOPBIT_Pos              (2UL)                     /*!< UART LCR: STOPBIT (Bit 2)                             */
#define UART_LCR_STOPBIT_Msk              (0x4UL)                   /*!< UART LCR: STOPBIT (Bitfield-Mask: 0x01)               */
#define UART_LCR_DLEN_Pos                 (0UL)                     /*!< UART LCR: DLEN (Bit 0)                                */
#define UART_LCR_DLEN_Msk                 (0x3UL)                   /*!< UART LCR: DLEN (Bitfield-Mask: 0x03)                  */
/* ==========================================================  DCR  ========================================================== */
#define UART_DCR_RXINV_Pos                (3UL)                     /*!< UART DCR: RXINV (Bit 3)                               */
#define UART_DCR_RXINV_Msk                (0x8UL)                   /*!< UART DCR: RXINV (Bitfield-Mask: 0x01)                 */
#define UART_DCR_TXINV_Pos                (2UL)                     /*!< UART DCR: TXINV (Bit 2)                               */
#define UART_DCR_TXINV_Msk                (0x4UL)                   /*!< UART DCR: TXINV (Bitfield-Mask: 0x01)                 */
/* ==========================================================  LSR  ========================================================== */
#define UART_LSR_TEMT_Pos                 (6UL)                     /*!< UART LSR: TEMT (Bit 6)                                */
#define UART_LSR_TEMT_Msk                 (0x40UL)                  /*!< UART LSR: TEMT (Bitfield-Mask: 0x01)                  */
#define UART_LSR_THRE_Pos                 (5UL)                     /*!< UART LSR: THRE (Bit 5)                                */
#define UART_LSR_THRE_Msk                 (0x20UL)                  /*!< UART LSR: THRE (Bitfield-Mask: 0x01)                  */
#define UART_LSR_BI_Pos                   (4UL)                     /*!< UART LSR: BI (Bit 4)                                  */
#define UART_LSR_BI_Msk                   (0x10UL)                  /*!< UART LSR: BI (Bitfield-Mask: 0x01)                    */
#define UART_LSR_FE_Pos                   (3UL)                     /*!< UART LSR: FE (Bit 3)                                  */
#define UART_LSR_FE_Msk                   (0x8UL)                   /*!< UART LSR: FE (Bitfield-Mask: 0x01)                    */
#define UART_LSR_PE_Pos                   (2UL)                     /*!< UART LSR: PE (Bit 2)                                  */
#define UART_LSR_PE_Msk                   (0x4UL)                   /*!< UART LSR: PE (Bitfield-Mask: 0x01)                    */
#define UART_LSR_OE_Pos                   (1UL)                     /*!< UART LSR: OE (Bit 1)                                  */
#define UART_LSR_OE_Msk                   (0x2UL)                   /*!< UART LSR: OE (Bitfield-Mask: 0x01)                    */
#define UART_LSR_DR_Pos                   (0UL)                     /*!< UART LSR: DR (Bit 0)                                  */
#define UART_LSR_DR_Msk                   (0x1UL)                   /*!< UART LSR: DR (Bitfield-Mask: 0x01)                    */
/* ==========================================================  BDR  ========================================================== */
#define UART_BDR_BDR_Pos                  (0UL)                     /*!< UART BDR: BDR (Bit 0)                                 */
#define UART_BDR_BDR_Msk                  (0xffffUL)                /*!< UART BDR: BDR (Bitfield-Mask: 0xffff)                 */
/* ==========================================================  BFR  ========================================================== */
#define UART_BFR_BFR_Pos                  (0UL)                     /*!< UART BFR: BFR (Bit 0)                                 */
#define UART_BFR_BFR_Msk                  (0xffUL)                  /*!< UART BFR: BFR (Bitfield-Mask: 0xff)                   */
/* =========================================================  IDTR  ========================================================== */
#define UART_IDTR_SMS_Pos                 (7UL)                     /*!< UART IDTR: SMS (Bit 7)                                */
#define UART_IDTR_SMS_Msk                 (0x80UL)                  /*!< UART IDTR: SMS (Bitfield-Mask: 0x01)                  */
#define UART_IDTR_DMS_Pos                 (6UL)                     /*!< UART IDTR: DMS (Bit 6)                                */
#define UART_IDTR_DMS_Msk                 (0x40UL)                  /*!< UART IDTR: DMS (Bitfield-Mask: 0x01)                  */
#define UART_IDTR_WAITVAL_Pos             (0UL)                     /*!< UART IDTR: WAITVAL (Bit 0)                            */
#define UART_IDTR_WAITVAL_Msk             (0x7UL)                   /*!< UART IDTR: WAITVAL (Bitfield-Mask: 0x07)              */


/* =========================================================================================================================== */
/* ================                                            SPI                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  TDR  ========================================================== */
#define SPI_TDR_TDR_Pos                   (0UL)                     /*!< SPI TDR: TDR (Bit 0)                                  */
#define SPI_TDR_TDR_Msk                   (0x1ffffUL)               /*!< SPI TDR: TDR (Bitfield-Mask: 0x1ffff)                 */
/* ==========================================================  RDR  ========================================================== */
#define SPI_RDR_RDR_Pos                   (0UL)                     /*!< SPI RDR: RDR (Bit 0)                                  */
#define SPI_RDR_RDR_Msk                   (0x1ffffUL)               /*!< SPI RDR: RDR (Bitfield-Mask: 0x1ffff)                 */
/* ==========================================================  CR  =========================================================== */
#define SPI_CR_TXBC_Pos                   (20UL)                    /*!< SPI CR: TXBC (Bit 20)                                 */
#define SPI_CR_TXBC_Msk                   (0x100000UL)              /*!< SPI CR: TXBC (Bitfield-Mask: 0x01)                    */
#define SPI_CR_RXBC_Pos                   (19UL)                    /*!< SPI CR: RXBC (Bit 19)                                 */
#define SPI_CR_RXBC_Msk                   (0x80000UL)               /*!< SPI CR: RXBC (Bitfield-Mask: 0x01)                    */
#define SPI_CR_DTXIE_Pos                  (18UL)                    /*!< SPI CR: DTXIE (Bit 18)                                */
#define SPI_CR_DTXIE_Msk                  (0x40000UL)               /*!< SPI CR: DTXIE (Bitfield-Mask: 0x01)                   */
#define SPI_CR_DRXIE_Pos                  (17UL)                    /*!< SPI CR: DRXIE (Bit 17)                                */
#define SPI_CR_DRXIE_Msk                  (0x20000UL)               /*!< SPI CR: DRXIE (Bitfield-Mask: 0x01)                   */
#define SPI_CR_SSCIE_Pos                  (16UL)                    /*!< SPI CR: SSCIE (Bit 16)                                */
#define SPI_CR_SSCIE_Msk                  (0x10000UL)               /*!< SPI CR: SSCIE (Bitfield-Mask: 0x01)                   */
#define SPI_CR_TXIE_Pos                   (15UL)                    /*!< SPI CR: TXIE (Bit 15)                                 */
#define SPI_CR_TXIE_Msk                   (0x8000UL)                /*!< SPI CR: TXIE (Bitfield-Mask: 0x01)                    */
#define SPI_CR_RXIE_Pos                   (14UL)                    /*!< SPI CR: RXIE (Bit 14)                                 */
#define SPI_CR_RXIE_Msk                   (0x4000UL)                /*!< SPI CR: RXIE (Bitfield-Mask: 0x01)                    */
#define SPI_CR_SSMOD_Pos                  (13UL)                    /*!< SPI CR: SSMOD (Bit 13)                                */
#define SPI_CR_SSMOD_Msk                  (0x2000UL)                /*!< SPI CR: SSMOD (Bitfield-Mask: 0x01)                   */
#define SPI_CR_SSOUT_Pos                  (12UL)                    /*!< SPI CR: SSOUT (Bit 12)                                */
#define SPI_CR_SSOUT_Msk                  (0x1000UL)                /*!< SPI CR: SSOUT (Bitfield-Mask: 0x01)                   */
#define SPI_CR_LBE_Pos                    (11UL)                    /*!< SPI CR: LBE (Bit 11)                                  */
#define SPI_CR_LBE_Msk                    (0x800UL)                 /*!< SPI CR: LBE (Bitfield-Mask: 0x01)                     */
#define SPI_CR_SSMASK_Pos                 (10UL)                    /*!< SPI CR: SSMASK (Bit 10)                               */
#define SPI_CR_SSMASK_Msk                 (0x400UL)                 /*!< SPI CR: SSMASK (Bitfield-Mask: 0x01)                  */
#define SPI_CR_SSMO_Pos                   (9UL)                     /*!< SPI CR: SSMO (Bit 9)                                  */
#define SPI_CR_SSMO_Msk                   (0x200UL)                 /*!< SPI CR: SSMO (Bitfield-Mask: 0x01)                    */
#define SPI_CR_SSPOL_Pos                  (8UL)                     /*!< SPI CR: SSPOL (Bit 8)                                 */
#define SPI_CR_SSPOL_Msk                  (0x100UL)                 /*!< SPI CR: SSPOL (Bitfield-Mask: 0x01)                   */
#define SPI_CR_MS_Pos                     (5UL)                     /*!< SPI CR: MS (Bit 5)                                    */
#define SPI_CR_MS_Msk                     (0x20UL)                  /*!< SPI CR: MS (Bitfield-Mask: 0x01)                      */
#define SPI_CR_MSBF_Pos                   (4UL)                     /*!< SPI CR: MSBF (Bit 4)                                  */
#define SPI_CR_MSBF_Msk                   (0x10UL)                  /*!< SPI CR: MSBF (Bitfield-Mask: 0x01)                    */
#define SPI_CR_CPHA_Pos                   (3UL)                     /*!< SPI CR: CPHA (Bit 3)                                  */
#define SPI_CR_CPHA_Msk                   (0x8UL)                   /*!< SPI CR: CPHA (Bitfield-Mask: 0x01)                    */
#define SPI_CR_CPOL_Pos                   (2UL)                     /*!< SPI CR: CPOL (Bit 2)                                  */
#define SPI_CR_CPOL_Msk                   (0x4UL)                   /*!< SPI CR: CPOL (Bitfield-Mask: 0x01)                    */
#define SPI_CR_BITSZ_Pos                  (0UL)                     /*!< SPI CR: BITSZ (Bit 0)                                 */
#define SPI_CR_BITSZ_Msk                  (0x3UL)                   /*!< SPI CR: BITSZ (Bitfield-Mask: 0x03)                   */
/* ==========================================================  SR  =========================================================== */
#define SPI_SR_TXDMAF_Pos                 (9UL)                     /*!< SPI SR: TXDMAF (Bit 9)                                */
#define SPI_SR_TXDMAF_Msk                 (0x200UL)                 /*!< SPI SR: TXDMAF (Bitfield-Mask: 0x01)                  */
#define SPI_SR_RXDMAF_Pos                 (8UL)                     /*!< SPI SR: RXDMAF (Bit 8)                                */
#define SPI_SR_RXDMAF_Msk                 (0x100UL)                 /*!< SPI SR: RXDMAF (Bitfield-Mask: 0x01)                  */
#define SPI_SR_SBUSY_Pos                  (7UL)                     /*!< SPI SR: SBUSY (Bit 7)                                 */
#define SPI_SR_SBUSY_Msk                  (0x80UL)                  /*!< SPI SR: SBUSY (Bitfield-Mask: 0x01)                   */
#define SPI_SR_SSDET_Pos                  (6UL)                     /*!< SPI SR: SSDET (Bit 6)                                 */
#define SPI_SR_SSDET_Msk                  (0x40UL)                  /*!< SPI SR: SSDET (Bitfield-Mask: 0x01)                   */
#define SPI_SR_SSON_Pos                   (5UL)                     /*!< SPI SR: SSON (Bit 5)                                  */
#define SPI_SR_SSON_Msk                   (0x20UL)                  /*!< SPI SR: SSON (Bitfield-Mask: 0x01)                    */
#define SPI_SR_OVRF_Pos                   (4UL)                     /*!< SPI SR: OVRF (Bit 4)                                  */
#define SPI_SR_OVRF_Msk                   (0x10UL)                  /*!< SPI SR: OVRF (Bitfield-Mask: 0x01)                    */
#define SPI_SR_UDRF_Pos                   (3UL)                     /*!< SPI SR: UDRF (Bit 3)                                  */
#define SPI_SR_UDRF_Msk                   (0x8UL)                   /*!< SPI SR: UDRF (Bitfield-Mask: 0x01)                    */
#define SPI_SR_TXIDLE_Pos                 (2UL)                     /*!< SPI SR: TXIDLE (Bit 2)                                */
#define SPI_SR_TXIDLE_Msk                 (0x4UL)                   /*!< SPI SR: TXIDLE (Bitfield-Mask: 0x01)                  */
#define SPI_SR_TRDY_Pos                   (1UL)                     /*!< SPI SR: TRDY (Bit 1)                                  */
#define SPI_SR_TRDY_Msk                   (0x2UL)                   /*!< SPI SR: TRDY (Bitfield-Mask: 0x01)                    */
#define SPI_SR_RRDY_Pos                   (0UL)                     /*!< SPI SR: RRDY (Bit 0)                                  */
#define SPI_SR_RRDY_Msk                   (0x1UL)                   /*!< SPI SR: RRDY (Bitfield-Mask: 0x01)                    */
/* ==========================================================  BR  =========================================================== */
#define SPI_BR_BR_Pos                     (0UL)                     /*!< SPI BR: BR (Bit 0)                                    */
#define SPI_BR_BR_Msk                     (0xffffUL)                /*!< SPI BR: BR (Bitfield-Mask: 0xffff)                    */
/* ==========================================================  EN  =========================================================== */
#define SPI_EN_ENABLE_Pos                 (0UL)                     /*!< SPI EN: ENABLE (Bit 0)                                */
#define SPI_EN_ENABLE_Msk                 (0x1UL)                   /*!< SPI EN: ENABLE (Bitfield-Mask: 0x01)                  */
/* ==========================================================  LR  =========================================================== */
#define SPI_LR_SPL_Pos                    (16UL)                    /*!< SPI LR: SPL (Bit 16)                                  */
#define SPI_LR_SPL_Msk                    (0xff0000UL)              /*!< SPI LR: SPL (Bitfield-Mask: 0xff)                     */
#define SPI_LR_BTL_Pos                    (8UL)                     /*!< SPI LR: BTL (Bit 8)                                   */
#define SPI_LR_BTL_Msk                    (0xff00UL)                /*!< SPI LR: BTL (Bitfield-Mask: 0xff)                     */
#define SPI_LR_STL_Pos                    (0UL)                     /*!< SPI LR: STL (Bit 0)                                   */
#define SPI_LR_STL_Msk                    (0xffUL)                  /*!< SPI LR: STL (Bitfield-Mask: 0xff)                     */


/* =========================================================================================================================== */
/* ================                                            I2C                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  DR  =========================================================== */
#define I2C_DR_ICDR_Pos                   (0UL)                     /*!< I2C DR: ICDR (Bit 0)                                  */
#define I2C_DR_ICDR_Msk                   (0xffUL)                  /*!< I2C DR: ICDR (Bitfield-Mask: 0xff)                    */
/* ==========================================================  SR  =========================================================== */
#define I2C_SR_GCALL_Pos                  (7UL)                     /*!< I2C SR: GCALL (Bit 7)                                 */
#define I2C_SR_GCALL_Msk                  (0x80UL)                  /*!< I2C SR: GCALL (Bitfield-Mask: 0x01)                   */
#define I2C_SR_TEND_Pos                   (6UL)                     /*!< I2C SR: TEND (Bit 6)                                  */
#define I2C_SR_TEND_Msk                   (0x40UL)                  /*!< I2C SR: TEND (Bitfield-Mask: 0x01)                    */
#define I2C_SR_STOP_Pos                   (5UL)                     /*!< I2C SR: STOP (Bit 5)                                  */
#define I2C_SR_STOP_Msk                   (0x20UL)                  /*!< I2C SR: STOP (Bitfield-Mask: 0x01)                    */
#define I2C_SR_SSEL_Pos                   (4UL)                     /*!< I2C SR: SSEL (Bit 4)                                  */
#define I2C_SR_SSEL_Msk                   (0x10UL)                  /*!< I2C SR: SSEL (Bitfield-Mask: 0x01)                    */
#define I2C_SR_MLOST_Pos                  (3UL)                     /*!< I2C SR: MLOST (Bit 3)                                 */
#define I2C_SR_MLOST_Msk                  (0x8UL)                   /*!< I2C SR: MLOST (Bitfield-Mask: 0x01)                   */
#define I2C_SR_BUSY_Pos                   (2UL)                     /*!< I2C SR: BUSY (Bit 2)                                  */
#define I2C_SR_BUSY_Msk                   (0x4UL)                   /*!< I2C SR: BUSY (Bitfield-Mask: 0x01)                    */
#define I2C_SR_TMOD_Pos                   (1UL)                     /*!< I2C SR: TMOD (Bit 1)                                  */
#define I2C_SR_TMOD_Msk                   (0x2UL)                   /*!< I2C SR: TMOD (Bitfield-Mask: 0x01)                    */
#define I2C_SR_RXACK_Pos                  (0UL)                     /*!< I2C SR: RXACK (Bit 0)                                 */
#define I2C_SR_RXACK_Msk                  (0x1UL)                   /*!< I2C SR: RXACK (Bitfield-Mask: 0x01)                   */
/* ==========================================================  SAR  ========================================================== */
#define I2C_SAR_SVAD_Pos                  (1UL)                     /*!< I2C SAR: SVAD (Bit 1)                                 */
#define I2C_SAR_SVAD_Msk                  (0xfeUL)                  /*!< I2C SAR: SVAD (Bitfield-Mask: 0x7f)                   */
#define I2C_SAR_GCEN_Pos                  (0UL)                     /*!< I2C SAR: GCEN (Bit 0)                                 */
#define I2C_SAR_GCEN_Msk                  (0x1UL)                   /*!< I2C SAR: GCEN (Bitfield-Mask: 0x01)                   */
/* ==========================================================  CR  =========================================================== */
#define I2C_CR_INTDEL_Pos                 (8UL)                     /*!< I2C CR: INTDEL (Bit 8)                                */
#define I2C_CR_INTDEL_Msk                 (0x300UL)                 /*!< I2C CR: INTDEL (Bitfield-Mask: 0x03)                  */
#define I2C_CR_IIF_Pos                    (7UL)                     /*!< I2C CR: IIF (Bit 7)                                   */
#define I2C_CR_IIF_Msk                    (0x80UL)                  /*!< I2C CR: IIF (Bitfield-Mask: 0x01)                     */
#define I2C_CR_SOFTRST_Pos                (5UL)                     /*!< I2C CR: SOFTRST (Bit 5)                               */
#define I2C_CR_SOFTRST_Msk                (0x20UL)                  /*!< I2C CR: SOFTRST (Bitfield-Mask: 0x01)                 */
#define I2C_CR_INTEN_Pos                  (4UL)                     /*!< I2C CR: INTEN (Bit 4)                                 */
#define I2C_CR_INTEN_Msk                  (0x10UL)                  /*!< I2C CR: INTEN (Bitfield-Mask: 0x01)                   */
#define I2C_CR_ACKEN_Pos                  (3UL)                     /*!< I2C CR: ACKEN (Bit 3)                                 */
#define I2C_CR_ACKEN_Msk                  (0x8UL)                   /*!< I2C CR: ACKEN (Bitfield-Mask: 0x01)                   */
#define I2C_CR_STOP_Pos                   (1UL)                     /*!< I2C CR: STOP (Bit 1)                                  */
#define I2C_CR_STOP_Msk                   (0x2UL)                   /*!< I2C CR: STOP (Bitfield-Mask: 0x01)                    */
#define I2C_CR_START_Pos                  (0UL)                     /*!< I2C CR: START (Bit 0)                                 */
#define I2C_CR_START_Msk                  (0x1UL)                   /*!< I2C CR: START (Bitfield-Mask: 0x01)                   */
/* =========================================================  SCLL  ========================================================== */
#define I2C_SCLL_SCLL_Pos                 (0UL)                     /*!< I2C SCLL: SCLL (Bit 0)                                */
#define I2C_SCLL_SCLL_Msk                 (0xffffUL)                /*!< I2C SCLL: SCLL (Bitfield-Mask: 0xffff)                */
/* =========================================================  SCLH  ========================================================== */
#define I2C_SCLH_SCLH_Pos                 (0UL)                     /*!< I2C SCLH: SCLH (Bit 0)                                */
#define I2C_SCLH_SCLH_Msk                 (0xffffUL)                /*!< I2C SCLH: SCLH (Bitfield-Mask: 0xffff)                */
/* ==========================================================  SDH  ========================================================== */
#define I2C_SDH_SDH_Pos                   (0UL)                     /*!< I2C SDH: SDH (Bit 0)                                  */
#define I2C_SDH_SDH_Msk                   (0x7fffUL)                /*!< I2C SDH: SDH (Bitfield-Mask: 0x7fff)                  */


/* =========================================================================================================================== */
/* ================                                           MPWM                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  MR  =========================================================== */
#define MPWM_MR_CLKDIV_Pos                (16UL)                    /*!< MPWM MR: CLKDIV (Bit 16)                              */
#define MPWM_MR_CLKDIV_Msk                (0xf0000UL)               /*!< MPWM MR: CLKDIV (Bitfield-Mask: 0x0f)                 */
#define MPWM_MR_MOTORB_Pos                (14UL)                    /*!< MPWM MR: MOTORB (Bit 14)                              */
#define MPWM_MR_MOTORB_Msk                (0xc000UL)                /*!< MPWM MR: MOTORB (Bitfield-Mask: 0x03)                 */
#define MPWM_MR_UOL_Pos                   (11UL)                    /*!< MPWM MR: UOL (Bit 11)                                 */
#define MPWM_MR_UOL_Msk                   (0x800UL)                 /*!< MPWM MR: UOL (Bitfield-Mask: 0x01)                    */
#define MPWM_MR_TUOL_Pos                  (9UL)                     /*!< MPWM MR: TUOL (Bit 9)                                 */
#define MPWM_MR_TUOL_Msk                  (0x200UL)                 /*!< MPWM MR: TUOL (Bitfield-Mask: 0x01)                   */
#define MPWM_MR_BUOL_Pos                  (8UL)                     /*!< MPWM MR: BUOL (Bit 8)                                 */
#define MPWM_MR_BUOL_Msk                  (0x100UL)                 /*!< MPWM MR: BUOL (Bitfield-Mask: 0x01)                   */
#define MPWM_MR_UAO_Pos                   (7UL)                     /*!< MPWM MR: UAO (Bit 7)                                  */
#define MPWM_MR_UAO_Msk                   (0x80UL)                  /*!< MPWM MR: UAO (Bitfield-Mask: 0x01)                    */
#define MPWM_MR_TUP_Pos                   (5UL)                     /*!< MPWM MR: TUP (Bit 5)                                  */
#define MPWM_MR_TUP_Msk                   (0x20UL)                  /*!< MPWM MR: TUP (Bitfield-Mask: 0x01)                    */
#define MPWM_MR_BUP_Pos                   (4UL)                     /*!< MPWM MR: BUP (Bit 4)                                  */
#define MPWM_MR_BUP_Msk                   (0x10UL)                  /*!< MPWM MR: BUP (Bitfield-Mask: 0x01)                    */
#define MPWM_MR_MCHMOD_Pos                (1UL)                     /*!< MPWM MR: MCHMOD (Bit 1)                               */
#define MPWM_MR_MCHMOD_Msk                (0x6UL)                   /*!< MPWM MR: MCHMOD (Bitfield-Mask: 0x03)                 */
/* ==========================================================  OLR  ========================================================== */
#define MPWM_OLR_FORCEU_Pos               (24UL)                    /*!< MPWM OLR: FORCEU (Bit 24)                             */
#define MPWM_OLR_FORCEU_Msk               (0x1000000UL)             /*!< MPWM OLR: FORCEU (Bitfield-Mask: 0x01)                */
#define MPWM_OLR_POCWH_Pos                (21UL)                    /*!< MPWM OLR: POCWH (Bit 21)                              */
#define MPWM_OLR_POCWH_Msk                (0x200000UL)              /*!< MPWM OLR: POCWH (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_POCVH_Pos                (20UL)                    /*!< MPWM OLR: POCVH (Bit 20)                              */
#define MPWM_OLR_POCVH_Msk                (0x100000UL)              /*!< MPWM OLR: POCVH (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_POCUH_Pos                (19UL)                    /*!< MPWM OLR: POCUH (Bit 19)                              */
#define MPWM_OLR_POCUH_Msk                (0x80000UL)               /*!< MPWM OLR: POCUH (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_POCWL_Pos                (18UL)                    /*!< MPWM OLR: POCWL (Bit 18)                              */
#define MPWM_OLR_POCWL_Msk                (0x40000UL)               /*!< MPWM OLR: POCWL (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_POCVL_Pos                (17UL)                    /*!< MPWM OLR: POCVL (Bit 17)                              */
#define MPWM_OLR_POCVL_Msk                (0x20000UL)               /*!< MPWM OLR: POCVL (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_POCUL_Pos                (16UL)                    /*!< MPWM OLR: POCUL (Bit 16)                              */
#define MPWM_OLR_POCUL_Msk                (0x10000UL)               /*!< MPWM OLR: POCUL (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_DOLWH_Pos                (13UL)                    /*!< MPWM OLR: DOLWH (Bit 13)                              */
#define MPWM_OLR_DOLWH_Msk                (0x2000UL)                /*!< MPWM OLR: DOLWH (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_DOLVH_Pos                (12UL)                    /*!< MPWM OLR: DOLVH (Bit 12)                              */
#define MPWM_OLR_DOLVH_Msk                (0x1000UL)                /*!< MPWM OLR: DOLVH (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_DOLUH_Pos                (11UL)                    /*!< MPWM OLR: DOLUH (Bit 11)                              */
#define MPWM_OLR_DOLUH_Msk                (0x800UL)                 /*!< MPWM OLR: DOLUH (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_DOLWL_Pos                (10UL)                    /*!< MPWM OLR: DOLWL (Bit 10)                              */
#define MPWM_OLR_DOLWL_Msk                (0x400UL)                 /*!< MPWM OLR: DOLWL (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_DOLVL_Pos                (9UL)                     /*!< MPWM OLR: DOLVL (Bit 9)                               */
#define MPWM_OLR_DOLVL_Msk                (0x200UL)                 /*!< MPWM OLR: DOLVL (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_DOLUL_Pos                (8UL)                     /*!< MPWM OLR: DOLUL (Bit 8)                               */
#define MPWM_OLR_DOLUL_Msk                (0x100UL)                 /*!< MPWM OLR: DOLUL (Bitfield-Mask: 0x01)                 */
#define MPWM_OLR_SLWH_Pos                 (5UL)                     /*!< MPWM OLR: SLWH (Bit 5)                                */
#define MPWM_OLR_SLWH_Msk                 (0x20UL)                  /*!< MPWM OLR: SLWH (Bitfield-Mask: 0x01)                  */
#define MPWM_OLR_SLVH_Pos                 (4UL)                     /*!< MPWM OLR: SLVH (Bit 4)                                */
#define MPWM_OLR_SLVH_Msk                 (0x10UL)                  /*!< MPWM OLR: SLVH (Bitfield-Mask: 0x01)                  */
#define MPWM_OLR_SLUH_Pos                 (3UL)                     /*!< MPWM OLR: SLUH (Bit 3)                                */
#define MPWM_OLR_SLUH_Msk                 (0x8UL)                   /*!< MPWM OLR: SLUH (Bitfield-Mask: 0x01)                  */
#define MPWM_OLR_SLWL_Pos                 (2UL)                     /*!< MPWM OLR: SLWL (Bit 2)                                */
#define MPWM_OLR_SLWL_Msk                 (0x4UL)                   /*!< MPWM OLR: SLWL (Bitfield-Mask: 0x01)                  */
#define MPWM_OLR_SLVL_Pos                 (1UL)                     /*!< MPWM OLR: SLVL (Bit 1)                                */
#define MPWM_OLR_SLVL_Msk                 (0x2UL)                   /*!< MPWM OLR: SLVL (Bitfield-Mask: 0x01)                  */
#define MPWM_OLR_SLUL_Pos                 (0UL)                     /*!< MPWM OLR: SLUL (Bit 0)                                */
#define MPWM_OLR_SLUL_Msk                 (0x1UL)                   /*!< MPWM OLR: SLUL (Bitfield-Mask: 0x01)                  */
/* =========================================================  FOLR  ========================================================== */
#define MPWM_FOLR_FOLKEY_Pos              (16UL)                    /*!< MPWM FOLR: FOLKEY (Bit 16)                            */
#define MPWM_FOLR_FOLKEY_Msk              (0xff0000UL)              /*!< MPWM FOLR: FOLKEY (Bitfield-Mask: 0xff)               */
#define MPWM_FOLR_SWFO_Pos                (10UL)                    /*!< MPWM FOLR: SWFO (Bit 10)                              */
#define MPWM_FOLR_SWFO_Msk                (0x400UL)                 /*!< MPWM FOLR: SWFO (Bitfield-Mask: 0x01)                 */
#define MPWM_FOLR_PRTFO_Pos               (9UL)                     /*!< MPWM FOLR: PRTFO (Bit 9)                              */
#define MPWM_FOLR_PRTFO_Msk               (0x200UL)                 /*!< MPWM FOLR: PRTFO (Bitfield-Mask: 0x01)                */
#define MPWM_FOLR_OCFO_Pos                (8UL)                     /*!< MPWM FOLR: OCFO (Bit 8)                               */
#define MPWM_FOLR_OCFO_Msk                (0x100UL)                 /*!< MPWM FOLR: OCFO (Bitfield-Mask: 0x01)                 */
#define MPWM_FOLR_FLWH_Pos                (5UL)                     /*!< MPWM FOLR: FLWH (Bit 5)                               */
#define MPWM_FOLR_FLWH_Msk                (0x20UL)                  /*!< MPWM FOLR: FLWH (Bitfield-Mask: 0x01)                 */
#define MPWM_FOLR_FLVH_Pos                (4UL)                     /*!< MPWM FOLR: FLVH (Bit 4)                               */
#define MPWM_FOLR_FLVH_Msk                (0x10UL)                  /*!< MPWM FOLR: FLVH (Bitfield-Mask: 0x01)                 */
#define MPWM_FOLR_FLUH_Pos                (3UL)                     /*!< MPWM FOLR: FLUH (Bit 3)                               */
#define MPWM_FOLR_FLUH_Msk                (0x8UL)                   /*!< MPWM FOLR: FLUH (Bitfield-Mask: 0x01)                 */
#define MPWM_FOLR_FLWL_Pos                (2UL)                     /*!< MPWM FOLR: FLWL (Bit 2)                               */
#define MPWM_FOLR_FLWL_Msk                (0x4UL)                   /*!< MPWM FOLR: FLWL (Bitfield-Mask: 0x01)                 */
#define MPWM_FOLR_FLVL_Pos                (1UL)                     /*!< MPWM FOLR: FLVL (Bit 1)                               */
#define MPWM_FOLR_FLVL_Msk                (0x2UL)                   /*!< MPWM FOLR: FLVL (Bitfield-Mask: 0x01)                 */
#define MPWM_FOLR_FLUL_Pos                (0UL)                     /*!< MPWM FOLR: FLUL (Bit 0)                               */
#define MPWM_FOLR_FLUL_Msk                (0x1UL)                   /*!< MPWM FOLR: FLUL (Bitfield-Mask: 0x01)                 */
/* ==========================================================  PRD  ========================================================== */
#define MPWM_PRD_PERIOD_Pos               (0UL)                     /*!< MPWM PRD: PERIOD (Bit 0)                              */
#define MPWM_PRD_PERIOD_Msk               (0xffffUL)                /*!< MPWM PRD: PERIOD (Bitfield-Mask: 0xffff)              */
/* ==========================================================  DUH  ========================================================== */
#define MPWM_DUH_DUTY_UH_Pos              (0UL)                     /*!< MPWM DUH: DUTY_UH (Bit 0)                             */
#define MPWM_DUH_DUTY_UH_Msk              (0xffffUL)                /*!< MPWM DUH: DUTY_UH (Bitfield-Mask: 0xffff)             */
/* ==========================================================  DVH  ========================================================== */
#define MPWM_DVH_DUTY_VH_Pos              (0UL)                     /*!< MPWM DVH: DUTY_VH (Bit 0)                             */
#define MPWM_DVH_DUTY_VH_Msk              (0xffffUL)                /*!< MPWM DVH: DUTY_VH (Bitfield-Mask: 0xffff)             */
/* ==========================================================  DWH  ========================================================== */
#define MPWM_DWH_DUTY_WH_Pos              (0UL)                     /*!< MPWM DWH: DUTY_WH (Bit 0)                             */
#define MPWM_DWH_DUTY_WH_Msk              (0xffffUL)                /*!< MPWM DWH: DUTY_WH (Bitfield-Mask: 0xffff)             */
/* ==========================================================  DUL  ========================================================== */
#define MPWM_DUL_DUTY_UL_Pos              (0UL)                     /*!< MPWM DUL: DUTY_UL (Bit 0)                             */
#define MPWM_DUL_DUTY_UL_Msk              (0xffffUL)                /*!< MPWM DUL: DUTY_UL (Bitfield-Mask: 0xffff)             */
/* ==========================================================  DVL  ========================================================== */
#define MPWM_DVL_DUTY_VL_Pos              (0UL)                     /*!< MPWM DVL: DUTY_VL (Bit 0)                             */
#define MPWM_DVL_DUTY_VL_Msk              (0xffffUL)                /*!< MPWM DVL: DUTY_VL (Bitfield-Mask: 0xffff)             */
/* ==========================================================  DWL  ========================================================== */
#define MPWM_DWL_DUTY_WL_Pos              (0UL)                     /*!< MPWM DWL: DUTY_WL (Bit 0)                             */
#define MPWM_DWL_DUTY_WL_Msk              (0xffffUL)                /*!< MPWM DWL: DUTY_WL (Bitfield-Mask: 0xffff)             */
/* ==========================================================  CR1  ========================================================== */
#define MPWM_CR1_IRQN_Pos                 (8UL)                     /*!< MPWM CR1: IRQN (Bit 8)                                */
#define MPWM_CR1_IRQN_Msk                 (0x700UL)                 /*!< MPWM CR1: IRQN (Bitfield-Mask: 0x07)                  */
#define MPWM_CR1_PWMEN_Pos                (0UL)                     /*!< MPWM CR1: PWMEN (Bit 0)                               */
#define MPWM_CR1_PWMEN_Msk                (0x1UL)                   /*!< MPWM CR1: PWMEN (Bitfield-Mask: 0x01)                 */
/* ==========================================================  CR2  ========================================================== */
#define MPWM_CR2_HALT_Pos                 (7UL)                     /*!< MPWM CR2: HALT (Bit 7)                                */
#define MPWM_CR2_HALT_Msk                 (0x80UL)                  /*!< MPWM CR2: HALT (Bitfield-Mask: 0x01)                  */
#define MPWM_CR2_PSTART_Pos               (0UL)                     /*!< MPWM CR2: PSTART (Bit 0)                              */
#define MPWM_CR2_PSTART_Msk               (0x1UL)                   /*!< MPWM CR2: PSTART (Bitfield-Mask: 0x01)                */
/* ==========================================================  SR  =========================================================== */
#define MPWM_SR_DOWN_Pos                  (15UL)                    /*!< MPWM SR: DOWN (Bit 15)                                */
#define MPWM_SR_DOWN_Msk                  (0x8000UL)                /*!< MPWM SR: DOWN (Bitfield-Mask: 0x01)                   */
#define MPWM_SR_IRQUCNT_Pos               (12UL)                    /*!< MPWM SR: IRQUCNT (Bit 12)                             */
#define MPWM_SR_IRQUCNT_Msk               (0x7000UL)                /*!< MPWM SR: IRQUCNT (Bitfield-Mask: 0x07)                */
#define MPWM_SR_PRDIF_Pos                 (7UL)                     /*!< MPWM SR: PRDIF (Bit 7)                                */
#define MPWM_SR_PRDIF_Msk                 (0x80UL)                  /*!< MPWM SR: PRDIF (Bitfield-Mask: 0x01)                  */
#define MPWM_SR_BOTIF_Pos                 (6UL)                     /*!< MPWM SR: BOTIF (Bit 6)                                */
#define MPWM_SR_BOTIF_Msk                 (0x40UL)                  /*!< MPWM SR: BOTIF (Bitfield-Mask: 0x01)                  */
#define MPWM_SR_WHIF_ATR6IF_Pos           (5UL)                     /*!< MPWM SR: WHIF_ATR6IF (Bit 5)                          */
#define MPWM_SR_WHIF_ATR6IF_Msk           (0x20UL)                  /*!< MPWM SR: WHIF_ATR6IF (Bitfield-Mask: 0x01)            */
#define MPWM_SR_VHIF_ATR5IF_Pos           (4UL)                     /*!< MPWM SR: VHIF_ATR5IF (Bit 4)                          */
#define MPWM_SR_VHIF_ATR5IF_Msk           (0x10UL)                  /*!< MPWM SR: VHIF_ATR5IF (Bitfield-Mask: 0x01)            */
#define MPWM_SR_UHIF_ATR4IF_Pos           (3UL)                     /*!< MPWM SR: UHIF_ATR4IF (Bit 3)                          */
#define MPWM_SR_UHIF_ATR4IF_Msk           (0x8UL)                   /*!< MPWM SR: UHIF_ATR4IF (Bitfield-Mask: 0x01)            */
#define MPWM_SR_WLIF_ATR3IF_Pos           (2UL)                     /*!< MPWM SR: WLIF_ATR3IF (Bit 2)                          */
#define MPWM_SR_WLIF_ATR3IF_Msk           (0x4UL)                   /*!< MPWM SR: WLIF_ATR3IF (Bitfield-Mask: 0x01)            */
#define MPWM_SR_VLIF_ATR2IF_Pos           (1UL)                     /*!< MPWM SR: VLIF_ATR2IF (Bit 1)                          */
#define MPWM_SR_VLIF_ATR2IF_Msk           (0x2UL)                   /*!< MPWM SR: VLIF_ATR2IF (Bitfield-Mask: 0x01)            */
#define MPWM_SR_ULIF_ATR1IF_Pos           (0UL)                     /*!< MPWM SR: ULIF_ATR1IF (Bit 0)                          */
#define MPWM_SR_ULIF_ATR1IF_Msk           (0x1UL)                   /*!< MPWM SR: ULIF_ATR1IF (Bitfield-Mask: 0x01)            */
/* ==========================================================  IER  ========================================================== */
#define MPWM_IER_PRDIE_Pos                (7UL)                     /*!< MPWM IER: PRDIE (Bit 7)                               */
#define MPWM_IER_PRDIE_Msk                (0x80UL)                  /*!< MPWM IER: PRDIE (Bitfield-Mask: 0x01)                 */
#define MPWM_IER_BOTIE_Pos                (6UL)                     /*!< MPWM IER: BOTIE (Bit 6)                               */
#define MPWM_IER_BOTIE_Msk                (0x40UL)                  /*!< MPWM IER: BOTIE (Bitfield-Mask: 0x01)                 */
#define MPWM_IER_WHIE_ATR6IE_Pos          (5UL)                     /*!< MPWM IER: WHIE_ATR6IE (Bit 5)                         */
#define MPWM_IER_WHIE_ATR6IE_Msk          (0x20UL)                  /*!< MPWM IER: WHIE_ATR6IE (Bitfield-Mask: 0x01)           */
#define MPWM_IER_VHIE_ATR5IE_Pos          (4UL)                     /*!< MPWM IER: VHIE_ATR5IE (Bit 4)                         */
#define MPWM_IER_VHIE_ATR5IE_Msk          (0x10UL)                  /*!< MPWM IER: VHIE_ATR5IE (Bitfield-Mask: 0x01)           */
#define MPWM_IER_UHIE_ATR4IE_Pos          (3UL)                     /*!< MPWM IER: UHIE_ATR4IE (Bit 3)                         */
#define MPWM_IER_UHIE_ATR4IE_Msk          (0x8UL)                   /*!< MPWM IER: UHIE_ATR4IE (Bitfield-Mask: 0x01)           */
#define MPWM_IER_WLIE_ATR3IE_Pos          (2UL)                     /*!< MPWM IER: WLIE_ATR3IE (Bit 2)                         */
#define MPWM_IER_WLIE_ATR3IE_Msk          (0x4UL)                   /*!< MPWM IER: WLIE_ATR3IE (Bitfield-Mask: 0x01)           */
#define MPWM_IER_VLIE_ATR2IE_Pos          (1UL)                     /*!< MPWM IER: VLIE_ATR2IE (Bit 1)                         */
#define MPWM_IER_VLIE_ATR2IE_Msk          (0x2UL)                   /*!< MPWM IER: VLIE_ATR2IE (Bitfield-Mask: 0x01)           */
#define MPWM_IER_ULIE_ATR1IE_Pos          (0UL)                     /*!< MPWM IER: ULIE_ATR1IE (Bit 0)                         */
#define MPWM_IER_ULIE_ATR1IE_Msk          (0x1UL)                   /*!< MPWM IER: ULIE_ATR1IE (Bitfield-Mask: 0x01)           */
/* ==========================================================  CNT  ========================================================== */
#define MPWM_CNT_CNT_Pos                  (0UL)                     /*!< MPWM CNT: CNT (Bit 0)                                 */
#define MPWM_CNT_CNT_Msk                  (0xffffUL)                /*!< MPWM CNT: CNT (Bitfield-Mask: 0xffff)                 */
/* ==========================================================  DTR  ========================================================== */
#define MPWM_DTR_DTEN_Pos                 (25UL)                    /*!< MPWM DTR: DTEN (Bit 25)                               */
#define MPWM_DTR_DTEN_Msk                 (0x2000000UL)             /*!< MPWM DTR: DTEN (Bitfield-Mask: 0x01)                  */
#define MPWM_DTR_PSHRT_Pos                (24UL)                    /*!< MPWM DTR: PSHRT (Bit 24)                              */
#define MPWM_DTR_PSHRT_Msk                (0x1000000UL)             /*!< MPWM DTR: PSHRT (Bitfield-Mask: 0x01)                 */
#define MPWM_DTR_HDTOL_Pos                (21UL)                    /*!< MPWM DTR: HDTOL (Bit 21)                              */
#define MPWM_DTR_HDTOL_Msk                (0x200000UL)              /*!< MPWM DTR: HDTOL (Bitfield-Mask: 0x01)                 */
#define MPWM_DTR_LDTOL_Pos                (20UL)                    /*!< MPWM DTR: LDTOL (Bit 20)                              */
#define MPWM_DTR_LDTOL_Msk                (0x100000UL)              /*!< MPWM DTR: LDTOL (Bitfield-Mask: 0x01)                 */
#define MPWM_DTR_DTCLK_Pos                (16UL)                    /*!< MPWM DTR: DTCLK (Bit 16)                              */
#define MPWM_DTR_DTCLK_Msk                (0x30000UL)               /*!< MPWM DTR: DTCLK (Bitfield-Mask: 0x03)                 */
#define MPWM_DTR_HDT_Pos                  (8UL)                     /*!< MPWM DTR: HDT (Bit 8)                                 */
#define MPWM_DTR_HDT_Msk                  (0xff00UL)                /*!< MPWM DTR: HDT (Bitfield-Mask: 0xff)                   */
#define MPWM_DTR_LDT_Pos                  (0UL)                     /*!< MPWM DTR: LDT (Bit 0)                                 */
#define MPWM_DTR_LDT_Msk                  (0xffUL)                  /*!< MPWM DTR: LDT (Bitfield-Mask: 0xff)                   */
/* ==========================================================  PCR  ========================================================== */
#define MPWM_PCR_PROTPOL_Pos              (31UL)                    /*!< MPWM PCR: PROTPOL (Bit 31)                            */
#define MPWM_PCR_PROTPOL_Msk              (0x80000000UL)            /*!< MPWM PCR: PROTPOL (Bitfield-Mask: 0x01)               */
#define MPWM_PCR_PROTDIV_Pos              (24UL)                    /*!< MPWM PCR: PROTDIV (Bit 24)                            */
#define MPWM_PCR_PROTDIV_Msk              (0x7000000UL)             /*!< MPWM PCR: PROTDIV (Bitfield-Mask: 0x07)               */
#define MPWM_PCR_PROTD_Pos                (16UL)                    /*!< MPWM PCR: PROTD (Bit 16)                              */
#define MPWM_PCR_PROTD_Msk                (0xff0000UL)              /*!< MPWM PCR: PROTD (Bitfield-Mask: 0xff)                 */
#define MPWM_PCR_PROT7EN_Pos              (10UL)                    /*!< MPWM PCR: PROT7EN (Bit 10)                            */
#define MPWM_PCR_PROT7EN_Msk              (0x400UL)                 /*!< MPWM PCR: PROT7EN (Bitfield-Mask: 0x01)               */
#define MPWM_PCR_PROT6EN_Pos              (9UL)                     /*!< MPWM PCR: PROT6EN (Bit 9)                             */
#define MPWM_PCR_PROT6EN_Msk              (0x200UL)                 /*!< MPWM PCR: PROT6EN (Bitfield-Mask: 0x01)               */
#define MPWM_PCR_PROT5EN_Pos              (8UL)                     /*!< MPWM PCR: PROT5EN (Bit 8)                             */
#define MPWM_PCR_PROT5EN_Msk              (0x100UL)                 /*!< MPWM PCR: PROT5EN (Bitfield-Mask: 0x01)               */
#define MPWM_PCR_PROT4EN_Pos              (5UL)                     /*!< MPWM PCR: PROT4EN (Bit 5)                             */
#define MPWM_PCR_PROT4EN_Msk              (0x20UL)                  /*!< MPWM PCR: PROT4EN (Bitfield-Mask: 0x01)               */
#define MPWM_PCR_PROT3EN_Pos              (4UL)                     /*!< MPWM PCR: PROT3EN (Bit 4)                             */
#define MPWM_PCR_PROT3EN_Msk              (0x10UL)                  /*!< MPWM PCR: PROT3EN (Bitfield-Mask: 0x01)               */
#define MPWM_PCR_PROT2EN_Pos              (3UL)                     /*!< MPWM PCR: PROT2EN (Bit 3)                             */
#define MPWM_PCR_PROT2EN_Msk              (0x8UL)                   /*!< MPWM PCR: PROT2EN (Bitfield-Mask: 0x01)               */
#define MPWM_PCR_PROT1EN_Pos              (2UL)                     /*!< MPWM PCR: PROT1EN (Bit 2)                             */
#define MPWM_PCR_PROT1EN_Msk              (0x4UL)                   /*!< MPWM PCR: PROT1EN (Bitfield-Mask: 0x01)               */
#define MPWM_PCR_PROT0EN_Pos              (0UL)                     /*!< MPWM PCR: PROT0EN (Bit 0)                             */
#define MPWM_PCR_PROT0EN_Msk              (0x1UL)                   /*!< MPWM PCR: PROT0EN (Bitfield-Mask: 0x01)               */
/* ==========================================================  PSR  ========================================================== */
#define MPWM_PSR_PROT7IF_Pos              (10UL)                    /*!< MPWM PSR: PROT7IF (Bit 10)                            */
#define MPWM_PSR_PROT7IF_Msk              (0x400UL)                 /*!< MPWM PSR: PROT7IF (Bitfield-Mask: 0x01)               */
#define MPWM_PSR_PROT6IF_Pos              (9UL)                     /*!< MPWM PSR: PROT6IF (Bit 9)                             */
#define MPWM_PSR_PROT6IF_Msk              (0x200UL)                 /*!< MPWM PSR: PROT6IF (Bitfield-Mask: 0x01)               */
#define MPWM_PSR_PROT5IF_Pos              (8UL)                     /*!< MPWM PSR: PROT5IF (Bit 8)                             */
#define MPWM_PSR_PROT5IF_Msk              (0x100UL)                 /*!< MPWM PSR: PROT5IF (Bitfield-Mask: 0x01)               */
#define MPWM_PSR_PROT4IF_Pos              (5UL)                     /*!< MPWM PSR: PROT4IF (Bit 5)                             */
#define MPWM_PSR_PROT4IF_Msk              (0x20UL)                  /*!< MPWM PSR: PROT4IF (Bitfield-Mask: 0x01)               */
#define MPWM_PSR_PROT3IF_Pos              (4UL)                     /*!< MPWM PSR: PROT3IF (Bit 4)                             */
#define MPWM_PSR_PROT3IF_Msk              (0x10UL)                  /*!< MPWM PSR: PROT3IF (Bitfield-Mask: 0x01)               */
#define MPWM_PSR_PROT2IF_Pos              (3UL)                     /*!< MPWM PSR: PROT2IF (Bit 3)                             */
#define MPWM_PSR_PROT2IF_Msk              (0x8UL)                   /*!< MPWM PSR: PROT2IF (Bitfield-Mask: 0x01)               */
#define MPWM_PSR_PROT1IF_Pos              (2UL)                     /*!< MPWM PSR: PROT1IF (Bit 2)                             */
#define MPWM_PSR_PROT1IF_Msk              (0x4UL)                   /*!< MPWM PSR: PROT1IF (Bitfield-Mask: 0x01)               */
#define MPWM_PSR_PROT0IF_Pos              (0UL)                     /*!< MPWM PSR: PROT0IF (Bit 0)                             */
#define MPWM_PSR_PROT0IF_Msk              (0x1UL)                   /*!< MPWM PSR: PROT0IF (Bitfield-Mask: 0x01)               */
/* ==========================================================  OCR  ========================================================== */
#define MPWM_OCR_OCPOL_Pos                (31UL)                    /*!< MPWM OCR: OCPOL (Bit 31)                              */
#define MPWM_OCR_OCPOL_Msk                (0x80000000UL)            /*!< MPWM OCR: OCPOL (Bitfield-Mask: 0x01)                 */
#define MPWM_OCR_OCDIV_Pos                (24UL)                    /*!< MPWM OCR: OCDIV (Bit 24)                              */
#define MPWM_OCR_OCDIV_Msk                (0x7000000UL)             /*!< MPWM OCR: OCDIV (Bitfield-Mask: 0x07)                 */
#define MPWM_OCR_OCD_Pos                  (16UL)                    /*!< MPWM OCR: OCD (Bit 16)                                */
#define MPWM_OCR_OCD_Msk                  (0xff0000UL)              /*!< MPWM OCR: OCD (Bitfield-Mask: 0xff)                   */
#define MPWM_OCR_OC7EN_Pos                (10UL)                    /*!< MPWM OCR: OC7EN (Bit 10)                              */
#define MPWM_OCR_OC7EN_Msk                (0x400UL)                 /*!< MPWM OCR: OC7EN (Bitfield-Mask: 0x01)                 */
#define MPWM_OCR_OC6EN_Pos                (9UL)                     /*!< MPWM OCR: OC6EN (Bit 9)                               */
#define MPWM_OCR_OC6EN_Msk                (0x200UL)                 /*!< MPWM OCR: OC6EN (Bitfield-Mask: 0x01)                 */
#define MPWM_OCR_OC5EN_Pos                (8UL)                     /*!< MPWM OCR: OC5EN (Bit 8)                               */
#define MPWM_OCR_OC5EN_Msk                (0x100UL)                 /*!< MPWM OCR: OC5EN (Bitfield-Mask: 0x01)                 */
#define MPWM_OCR_OC4EN_Pos                (5UL)                     /*!< MPWM OCR: OC4EN (Bit 5)                               */
#define MPWM_OCR_OC4EN_Msk                (0x20UL)                  /*!< MPWM OCR: OC4EN (Bitfield-Mask: 0x01)                 */
#define MPWM_OCR_OC3EN_Pos                (4UL)                     /*!< MPWM OCR: OC3EN (Bit 4)                               */
#define MPWM_OCR_OC3EN_Msk                (0x10UL)                  /*!< MPWM OCR: OC3EN (Bitfield-Mask: 0x01)                 */
#define MPWM_OCR_OC2EN_Pos                (3UL)                     /*!< MPWM OCR: OC2EN (Bit 3)                               */
#define MPWM_OCR_OC2EN_Msk                (0x8UL)                   /*!< MPWM OCR: OC2EN (Bitfield-Mask: 0x01)                 */
#define MPWM_OCR_OC1EN_Pos                (2UL)                     /*!< MPWM OCR: OC1EN (Bit 2)                               */
#define MPWM_OCR_OC1EN_Msk                (0x4UL)                   /*!< MPWM OCR: OC1EN (Bitfield-Mask: 0x01)                 */
#define MPWM_OCR_OC0EN_Pos                (0UL)                     /*!< MPWM OCR: OC0EN (Bit 0)                               */
#define MPWM_OCR_OC0EN_Msk                (0x1UL)                   /*!< MPWM OCR: OC0EN (Bitfield-Mask: 0x01)                 */
/* ==========================================================  OSR  ========================================================== */
#define MPWM_OSR_OC7IF_Pos                (10UL)                    /*!< MPWM OSR: OC7IF (Bit 10)                              */
#define MPWM_OSR_OC7IF_Msk                (0x400UL)                 /*!< MPWM OSR: OC7IF (Bitfield-Mask: 0x01)                 */
#define MPWM_OSR_OC6IF_Pos                (9UL)                     /*!< MPWM OSR: OC6IF (Bit 9)                               */
#define MPWM_OSR_OC6IF_Msk                (0x200UL)                 /*!< MPWM OSR: OC6IF (Bitfield-Mask: 0x01)                 */
#define MPWM_OSR_OC5IF_Pos                (8UL)                     /*!< MPWM OSR: OC5IF (Bit 8)                               */
#define MPWM_OSR_OC5IF_Msk                (0x100UL)                 /*!< MPWM OSR: OC5IF (Bitfield-Mask: 0x01)                 */
#define MPWM_OSR_OC4IF_Pos                (5UL)                     /*!< MPWM OSR: OC4IF (Bit 5)                               */
#define MPWM_OSR_OC4IF_Msk                (0x20UL)                  /*!< MPWM OSR: OC4IF (Bitfield-Mask: 0x01)                 */
#define MPWM_OSR_OC3IF_Pos                (4UL)                     /*!< MPWM OSR: OC3IF (Bit 4)                               */
#define MPWM_OSR_OC3IF_Msk                (0x10UL)                  /*!< MPWM OSR: OC3IF (Bitfield-Mask: 0x01)                 */
#define MPWM_OSR_OC2IF_Pos                (3UL)                     /*!< MPWM OSR: OC2IF (Bit 3)                               */
#define MPWM_OSR_OC2IF_Msk                (0x8UL)                   /*!< MPWM OSR: OC2IF (Bitfield-Mask: 0x01)                 */
#define MPWM_OSR_OC1IF_Pos                (2UL)                     /*!< MPWM OSR: OC1IF (Bit 2)                               */
#define MPWM_OSR_OC1IF_Msk                (0x4UL)                   /*!< MPWM OSR: OC1IF (Bitfield-Mask: 0x01)                 */
#define MPWM_OSR_OC0IF_Pos                (0UL)                     /*!< MPWM OSR: OC0IF (Bit 0)                               */
#define MPWM_OSR_OC0IF_Msk                (0x1UL)                   /*!< MPWM OSR: OC0IF (Bitfield-Mask: 0x01)                 */
/* =========================================================  ATR1  ========================================================== */
#define MPWM_ATR1_ATUDT_Pos               (19UL)                    /*!< MPWM ATR1: ATUDT (Bit 19)                             */
#define MPWM_ATR1_ATUDT_Msk               (0x80000UL)               /*!< MPWM ATR1: ATUDT (Bitfield-Mask: 0x01)                */
#define MPWM_ATR1_ATMOD_Pos               (16UL)                    /*!< MPWM ATR1: ATMOD (Bit 16)                             */
#define MPWM_ATR1_ATMOD_Msk               (0x30000UL)               /*!< MPWM ATR1: ATMOD (Bitfield-Mask: 0x03)                */
#define MPWM_ATR1_ATCNT_Pos               (0UL)                     /*!< MPWM ATR1: ATCNT (Bit 0)                              */
#define MPWM_ATR1_ATCNT_Msk               (0xffffUL)                /*!< MPWM ATR1: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR2  ========================================================== */
#define MPWM_ATR2_ATUDT_Pos               (19UL)                    /*!< MPWM ATR2: ATUDT (Bit 19)                             */
#define MPWM_ATR2_ATUDT_Msk               (0x80000UL)               /*!< MPWM ATR2: ATUDT (Bitfield-Mask: 0x01)                */
#define MPWM_ATR2_ATMOD_Pos               (16UL)                    /*!< MPWM ATR2: ATMOD (Bit 16)                             */
#define MPWM_ATR2_ATMOD_Msk               (0x30000UL)               /*!< MPWM ATR2: ATMOD (Bitfield-Mask: 0x03)                */
#define MPWM_ATR2_ATCNT_Pos               (0UL)                     /*!< MPWM ATR2: ATCNT (Bit 0)                              */
#define MPWM_ATR2_ATCNT_Msk               (0xffffUL)                /*!< MPWM ATR2: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR3  ========================================================== */
#define MPWM_ATR3_ATUDT_Pos               (19UL)                    /*!< MPWM ATR3: ATUDT (Bit 19)                             */
#define MPWM_ATR3_ATUDT_Msk               (0x80000UL)               /*!< MPWM ATR3: ATUDT (Bitfield-Mask: 0x01)                */
#define MPWM_ATR3_ATMOD_Pos               (16UL)                    /*!< MPWM ATR3: ATMOD (Bit 16)                             */
#define MPWM_ATR3_ATMOD_Msk               (0x30000UL)               /*!< MPWM ATR3: ATMOD (Bitfield-Mask: 0x03)                */
#define MPWM_ATR3_ATCNT_Pos               (0UL)                     /*!< MPWM ATR3: ATCNT (Bit 0)                              */
#define MPWM_ATR3_ATCNT_Msk               (0xffffUL)                /*!< MPWM ATR3: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR4  ========================================================== */
#define MPWM_ATR4_ATUDT_Pos               (19UL)                    /*!< MPWM ATR4: ATUDT (Bit 19)                             */
#define MPWM_ATR4_ATUDT_Msk               (0x80000UL)               /*!< MPWM ATR4: ATUDT (Bitfield-Mask: 0x01)                */
#define MPWM_ATR4_ATMOD_Pos               (16UL)                    /*!< MPWM ATR4: ATMOD (Bit 16)                             */
#define MPWM_ATR4_ATMOD_Msk               (0x30000UL)               /*!< MPWM ATR4: ATMOD (Bitfield-Mask: 0x03)                */
#define MPWM_ATR4_ATCNT_Pos               (0UL)                     /*!< MPWM ATR4: ATCNT (Bit 0)                              */
#define MPWM_ATR4_ATCNT_Msk               (0xffffUL)                /*!< MPWM ATR4: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR5  ========================================================== */
#define MPWM_ATR5_ATUDT_Pos               (19UL)                    /*!< MPWM ATR5: ATUDT (Bit 19)                             */
#define MPWM_ATR5_ATUDT_Msk               (0x80000UL)               /*!< MPWM ATR5: ATUDT (Bitfield-Mask: 0x01)                */
#define MPWM_ATR5_ATMOD_Pos               (16UL)                    /*!< MPWM ATR5: ATMOD (Bit 16)                             */
#define MPWM_ATR5_ATMOD_Msk               (0x30000UL)               /*!< MPWM ATR5: ATMOD (Bitfield-Mask: 0x03)                */
#define MPWM_ATR5_ATCNT_Pos               (0UL)                     /*!< MPWM ATR5: ATCNT (Bit 0)                              */
#define MPWM_ATR5_ATCNT_Msk               (0xffffUL)                /*!< MPWM ATR5: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR6  ========================================================== */
#define MPWM_ATR6_ATUDT_Pos               (19UL)                    /*!< MPWM ATR6: ATUDT (Bit 19)                             */
#define MPWM_ATR6_ATUDT_Msk               (0x80000UL)               /*!< MPWM ATR6: ATUDT (Bitfield-Mask: 0x01)                */
#define MPWM_ATR6_ATMOD_Pos               (16UL)                    /*!< MPWM ATR6: ATMOD (Bit 16)                             */
#define MPWM_ATR6_ATMOD_Msk               (0x30000UL)               /*!< MPWM ATR6: ATMOD (Bitfield-Mask: 0x03)                */
#define MPWM_ATR6_ATCNT_Pos               (0UL)                     /*!< MPWM ATR6: ATCNT (Bit 0)                              */
#define MPWM_ATR6_ATCNT_Msk               (0xffffUL)                /*!< MPWM ATR6: ATCNT (Bitfield-Mask: 0xffff)              */


/* =========================================================================================================================== */
/* ================                                           PFCP                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  MR  =========================================================== */
#define PFCP_MR_CLKDIV_Pos                (26UL)                    /*!< PFCP MR: CLKDIV (Bit 26)                              */
#define PFCP_MR_CLKDIV_Msk                (0x3c000000UL)            /*!< PFCP MR: CLKDIV (Bitfield-Mask: 0x0f)                 */
#define PFCP_MR_PFCPMOD_Pos               (24UL)                    /*!< PFCP MR: PFCPMOD (Bit 24)                             */
#define PFCP_MR_PFCPMOD_Msk               (0x3000000UL)             /*!< PFCP MR: PFCPMOD (Bitfield-Mask: 0x03)                */
#define PFCP_MR_UABOL_Pos                 (23UL)                    /*!< PFCP MR: UABOL (Bit 23)                               */
#define PFCP_MR_UABOL_Msk                 (0x800000UL)              /*!< PFCP MR: UABOL (Bitfield-Mask: 0x01)                  */
#define PFCP_MR_TUOL_B_Pos                (19UL)                    /*!< PFCP MR: TUOL_B (Bit 19)                              */
#define PFCP_MR_TUOL_B_Msk                (0x80000UL)               /*!< PFCP MR: TUOL_B (Bitfield-Mask: 0x01)                 */
#define PFCP_MR_BUOL_B_Pos                (18UL)                    /*!< PFCP MR: BUOL_B (Bit 18)                              */
#define PFCP_MR_BUOL_B_Msk                (0x40000UL)               /*!< PFCP MR: BUOL_B (Bitfield-Mask: 0x01)                 */
#define PFCP_MR_TUOL_A_Pos                (17UL)                    /*!< PFCP MR: TUOL_A (Bit 17)                              */
#define PFCP_MR_TUOL_A_Msk                (0x20000UL)               /*!< PFCP MR: TUOL_A (Bitfield-Mask: 0x01)                 */
#define PFCP_MR_BUOL_A_Pos                (16UL)                    /*!< PFCP MR: BUOL_A (Bit 16)                              */
#define PFCP_MR_BUOL_A_Msk                (0x10000UL)               /*!< PFCP MR: BUOL_A (Bitfield-Mask: 0x01)                 */
#define PFCP_MR_UAB_Pos                   (15UL)                    /*!< PFCP MR: UAB (Bit 15)                                 */
#define PFCP_MR_UAB_Msk                   (0x8000UL)                /*!< PFCP MR: UAB (Bitfield-Mask: 0x01)                    */
#define PFCP_MR_TUP_B_Pos                 (11UL)                    /*!< PFCP MR: TUP_B (Bit 11)                               */
#define PFCP_MR_TUP_B_Msk                 (0x800UL)                 /*!< PFCP MR: TUP_B (Bitfield-Mask: 0x01)                  */
#define PFCP_MR_BUP_B_Pos                 (10UL)                    /*!< PFCP MR: BUP_B (Bit 10)                               */
#define PFCP_MR_BUP_B_Msk                 (0x400UL)                 /*!< PFCP MR: BUP_B (Bitfield-Mask: 0x01)                  */
#define PFCP_MR_TUP_A_Pos                 (9UL)                     /*!< PFCP MR: TUP_A (Bit 9)                                */
#define PFCP_MR_TUP_A_Msk                 (0x200UL)                 /*!< PFCP MR: TUP_A (Bitfield-Mask: 0x01)                  */
#define PFCP_MR_BUP_A_Pos                 (8UL)                     /*!< PFCP MR: BUP_A (Bit 8)                                */
#define PFCP_MR_BUP_A_Msk                 (0x100UL)                 /*!< PFCP MR: BUP_A (Bitfield-Mask: 0x01)                  */
#define PFCP_MR_PTUP_Pos                  (7UL)                     /*!< PFCP MR: PTUP (Bit 7)                                 */
#define PFCP_MR_PTUP_Msk                  (0x80UL)                  /*!< PFCP MR: PTUP (Bitfield-Mask: 0x01)                   */
#define PFCP_MR_PBUP_Pos                  (6UL)                     /*!< PFCP MR: PBUP (Bit 6)                                 */
#define PFCP_MR_PBUP_Msk                  (0x40UL)                  /*!< PFCP MR: PBUP (Bitfield-Mask: 0x01)                   */
#define PFCP_MR_ASYM_Pos                  (1UL)                     /*!< PFCP MR: ASYM (Bit 1)                                 */
#define PFCP_MR_ASYM_Msk                  (0x2UL)                   /*!< PFCP MR: ASYM (Bitfield-Mask: 0x01)                   */
#define PFCP_MR_UPDOWN_Pos                (0UL)                     /*!< PFCP MR: UPDOWN (Bit 0)                               */
#define PFCP_MR_UPDOWN_Msk                (0x1UL)                   /*!< PFCP MR: UPDOWN (Bitfield-Mask: 0x01)                 */
/* ==========================================================  OLR  ========================================================== */
#define PFCP_OLR_BOC_Pos                  (17UL)                    /*!< PFCP OLR: BOC (Bit 17)                                */
#define PFCP_OLR_BOC_Msk                  (0x20000UL)               /*!< PFCP OLR: BOC (Bitfield-Mask: 0x01)                   */
#define PFCP_OLR_AOC_Pos                  (16UL)                    /*!< PFCP OLR: AOC (Bit 16)                                */
#define PFCP_OLR_AOC_Msk                  (0x10000UL)               /*!< PFCP OLR: AOC (Bitfield-Mask: 0x01)                   */
#define PFCP_OLR_BDOL_Pos                 (9UL)                     /*!< PFCP OLR: BDOL (Bit 9)                                */
#define PFCP_OLR_BDOL_Msk                 (0x200UL)                 /*!< PFCP OLR: BDOL (Bitfield-Mask: 0x01)                  */
#define PFCP_OLR_ADOL_Pos                 (8UL)                     /*!< PFCP OLR: ADOL (Bit 8)                                */
#define PFCP_OLR_ADOL_Msk                 (0x100UL)                 /*!< PFCP OLR: ADOL (Bitfield-Mask: 0x01)                  */
#define PFCP_OLR_BSL_Pos                  (1UL)                     /*!< PFCP OLR: BSL (Bit 1)                                 */
#define PFCP_OLR_BSL_Msk                  (0x2UL)                   /*!< PFCP OLR: BSL (Bitfield-Mask: 0x01)                   */
#define PFCP_OLR_ASL_Pos                  (0UL)                     /*!< PFCP OLR: ASL (Bit 0)                                 */
#define PFCP_OLR_ASL_Msk                  (0x1UL)                   /*!< PFCP OLR: ASL (Bitfield-Mask: 0x01)                   */
/* =========================================================  FOLR  ========================================================== */
#define PFCP_FOLR_FOLKEY_Pos              (16UL)                    /*!< PFCP FOLR: FOLKEY (Bit 16)                            */
#define PFCP_FOLR_FOLKEY_Msk              (0xff0000UL)              /*!< PFCP FOLR: FOLKEY (Bitfield-Mask: 0xff)               */
#define PFCP_FOLR_SWFO_Pos                (10UL)                    /*!< PFCP FOLR: SWFO (Bit 10)                              */
#define PFCP_FOLR_SWFO_Msk                (0x400UL)                 /*!< PFCP FOLR: SWFO (Bitfield-Mask: 0x01)                 */
#define PFCP_FOLR_PRT1FO_Pos              (9UL)                     /*!< PFCP FOLR: PRT1FO (Bit 9)                             */
#define PFCP_FOLR_PRT1FO_Msk              (0x200UL)                 /*!< PFCP FOLR: PRT1FO (Bitfield-Mask: 0x01)               */
#define PFCP_FOLR_PRT0FO_Pos              (8UL)                     /*!< PFCP FOLR: PRT0FO (Bit 8)                             */
#define PFCP_FOLR_PRT0FO_Msk              (0x100UL)                 /*!< PFCP FOLR: PRT0FO (Bitfield-Mask: 0x01)               */
#define PFCP_FOLR_BFL_Pos                 (1UL)                     /*!< PFCP FOLR: BFL (Bit 1)                                */
#define PFCP_FOLR_BFL_Msk                 (0x2UL)                   /*!< PFCP FOLR: BFL (Bitfield-Mask: 0x01)                  */
#define PFCP_FOLR_AFL_Pos                 (0UL)                     /*!< PFCP FOLR: AFL (Bit 0)                                */
#define PFCP_FOLR_AFL_Msk                 (0x1UL)                   /*!< PFCP FOLR: AFL (Bitfield-Mask: 0x01)                  */
/* ==========================================================  PRD  ========================================================== */
#define PFCP_PRD_PERIOD_Pos               (0UL)                     /*!< PFCP PRD: PERIOD (Bit 0)                              */
#define PFCP_PRD_PERIOD_Msk               (0xffffUL)                /*!< PFCP PRD: PERIOD (Bitfield-Mask: 0xffff)              */
/* ==========================================================  DAH  ========================================================== */
#define PFCP_DAH_DUTY_AH_Pos              (0UL)                     /*!< PFCP DAH: DUTY_AH (Bit 0)                             */
#define PFCP_DAH_DUTY_AH_Msk              (0xffffUL)                /*!< PFCP DAH: DUTY_AH (Bitfield-Mask: 0xffff)             */
/* ==========================================================  DAL  ========================================================== */
#define PFCP_DAL_DUTY_AL_Pos              (0UL)                     /*!< PFCP DAL: DUTY_AL (Bit 0)                             */
#define PFCP_DAL_DUTY_AL_Msk              (0xffffUL)                /*!< PFCP DAL: DUTY_AL (Bitfield-Mask: 0xffff)             */
/* ==========================================================  DBH  ========================================================== */
#define PFCP_DBH_DUTY_BH_Pos              (0UL)                     /*!< PFCP DBH: DUTY_BH (Bit 0)                             */
#define PFCP_DBH_DUTY_BH_Msk              (0xffffUL)                /*!< PFCP DBH: DUTY_BH (Bitfield-Mask: 0xffff)             */
/* ==========================================================  DBL  ========================================================== */
#define PFCP_DBL_DUTY_BL_Pos              (0UL)                     /*!< PFCP DBL: DUTY_BL (Bit 0)                             */
#define PFCP_DBL_DUTY_BL_Msk              (0xffffUL)                /*!< PFCP DBL: DUTY_BL (Bitfield-Mask: 0xffff)             */
/* ==========================================================  CR  =========================================================== */
#define PFCP_CR_PSTART_Pos                (16UL)                    /*!< PFCP CR: PSTART (Bit 16)                              */
#define PFCP_CR_PSTART_Msk                (0x10000UL)               /*!< PFCP CR: PSTART (Bitfield-Mask: 0x01)                 */
#define PFCP_CR_IRQN_Pos                  (8UL)                     /*!< PFCP CR: IRQN (Bit 8)                                 */
#define PFCP_CR_IRQN_Msk                  (0x700UL)                 /*!< PFCP CR: IRQN (Bitfield-Mask: 0x07)                   */
#define PFCP_CR_PWMEN_Pos                 (0UL)                     /*!< PFCP CR: PWMEN (Bit 0)                                */
#define PFCP_CR_PWMEN_Msk                 (0x1UL)                   /*!< PFCP CR: PWMEN (Bitfield-Mask: 0x01)                  */
/* ==========================================================  SR  =========================================================== */
#define PFCP_SR_IRQUCNT_Pos               (24UL)                    /*!< PFCP SR: IRQUCNT (Bit 24)                             */
#define PFCP_SR_IRQUCNT_Msk               (0x7000000UL)             /*!< PFCP SR: IRQUCNT (Bitfield-Mask: 0x07)                */
#define PFCP_SR_CNTP_B_Pos                (17UL)                    /*!< PFCP SR: CNTP_B (Bit 17)                              */
#define PFCP_SR_CNTP_B_Msk                (0x20000UL)               /*!< PFCP SR: CNTP_B (Bitfield-Mask: 0x01)                 */
#define PFCP_SR_CNTP_A_Pos                (16UL)                    /*!< PFCP SR: CNTP_A (Bit 16)                              */
#define PFCP_SR_CNTP_A_Msk                (0x10000UL)               /*!< PFCP SR: CNTP_A (Bitfield-Mask: 0x01)                 */
#define PFCP_SR_PRDIF_B_Pos               (11UL)                    /*!< PFCP SR: PRDIF_B (Bit 11)                             */
#define PFCP_SR_PRDIF_B_Msk               (0x800UL)                 /*!< PFCP SR: PRDIF_B (Bitfield-Mask: 0x01)                */
#define PFCP_SR_BOTIF_B_Pos               (10UL)                    /*!< PFCP SR: BOTIF_B (Bit 10)                             */
#define PFCP_SR_BOTIF_B_Msk               (0x400UL)                 /*!< PFCP SR: BOTIF_B (Bitfield-Mask: 0x01)                */
#define PFCP_SR_PRDIF_A_Pos               (9UL)                     /*!< PFCP SR: PRDIF_A (Bit 9)                              */
#define PFCP_SR_PRDIF_A_Msk               (0x200UL)                 /*!< PFCP SR: PRDIF_A (Bitfield-Mask: 0x01)                */
#define PFCP_SR_BOTIF_A_Pos               (8UL)                     /*!< PFCP SR: BOTIF_A (Bit 8)                              */
#define PFCP_SR_BOTIF_A_Msk               (0x100UL)                 /*!< PFCP SR: BOTIF_A (Bitfield-Mask: 0x01)                */
#define PFCP_SR_ATR6IF_Pos                (5UL)                     /*!< PFCP SR: ATR6IF (Bit 5)                               */
#define PFCP_SR_ATR6IF_Msk                (0x20UL)                  /*!< PFCP SR: ATR6IF (Bitfield-Mask: 0x01)                 */
#define PFCP_SR_ATR5IF_Pos                (4UL)                     /*!< PFCP SR: ATR5IF (Bit 4)                               */
#define PFCP_SR_ATR5IF_Msk                (0x10UL)                  /*!< PFCP SR: ATR5IF (Bitfield-Mask: 0x01)                 */
#define PFCP_SR_BHIF_ATR4IF_Pos           (3UL)                     /*!< PFCP SR: BHIF_ATR4IF (Bit 3)                          */
#define PFCP_SR_BHIF_ATR4IF_Msk           (0x8UL)                   /*!< PFCP SR: BHIF_ATR4IF (Bitfield-Mask: 0x01)            */
#define PFCP_SR_BLIF_ATR3IF_Pos           (2UL)                     /*!< PFCP SR: BLIF_ATR3IF (Bit 2)                          */
#define PFCP_SR_BLIF_ATR3IF_Msk           (0x4UL)                   /*!< PFCP SR: BLIF_ATR3IF (Bitfield-Mask: 0x01)            */
#define PFCP_SR_AHIF_ATR2IF_Pos           (1UL)                     /*!< PFCP SR: AHIF_ATR2IF (Bit 1)                          */
#define PFCP_SR_AHIF_ATR2IF_Msk           (0x2UL)                   /*!< PFCP SR: AHIF_ATR2IF (Bitfield-Mask: 0x01)            */
#define PFCP_SR_ALIF_ATR1IF_Pos           (0UL)                     /*!< PFCP SR: ALIF_ATR1IF (Bit 0)                          */
#define PFCP_SR_ALIF_ATR1IF_Msk           (0x1UL)                   /*!< PFCP SR: ALIF_ATR1IF (Bitfield-Mask: 0x01)            */
/* ==========================================================  IER  ========================================================== */
#define PFCP_IER_PRDIE_B_Pos              (11UL)                    /*!< PFCP IER: PRDIE_B (Bit 11)                            */
#define PFCP_IER_PRDIE_B_Msk              (0x800UL)                 /*!< PFCP IER: PRDIE_B (Bitfield-Mask: 0x01)               */
#define PFCP_IER_BOTIE_B_Pos              (10UL)                    /*!< PFCP IER: BOTIE_B (Bit 10)                            */
#define PFCP_IER_BOTIE_B_Msk              (0x400UL)                 /*!< PFCP IER: BOTIE_B (Bitfield-Mask: 0x01)               */
#define PFCP_IER_PRDIE_A_Pos              (9UL)                     /*!< PFCP IER: PRDIE_A (Bit 9)                             */
#define PFCP_IER_PRDIE_A_Msk              (0x200UL)                 /*!< PFCP IER: PRDIE_A (Bitfield-Mask: 0x01)               */
#define PFCP_IER_BOTIE_A_Pos              (8UL)                     /*!< PFCP IER: BOTIE_A (Bit 8)                             */
#define PFCP_IER_BOTIE_A_Msk              (0x100UL)                 /*!< PFCP IER: BOTIE_A (Bitfield-Mask: 0x01)               */
#define PFCP_IER_ATR6IE_Pos               (5UL)                     /*!< PFCP IER: ATR6IE (Bit 5)                              */
#define PFCP_IER_ATR6IE_Msk               (0x20UL)                  /*!< PFCP IER: ATR6IE (Bitfield-Mask: 0x01)                */
#define PFCP_IER_ATR5IE_Pos               (4UL)                     /*!< PFCP IER: ATR5IE (Bit 4)                              */
#define PFCP_IER_ATR5IE_Msk               (0x10UL)                  /*!< PFCP IER: ATR5IE (Bitfield-Mask: 0x01)                */
#define PFCP_IER_BHIE_ATR4IE_Pos          (3UL)                     /*!< PFCP IER: BHIE_ATR4IE (Bit 3)                         */
#define PFCP_IER_BHIE_ATR4IE_Msk          (0x8UL)                   /*!< PFCP IER: BHIE_ATR4IE (Bitfield-Mask: 0x01)           */
#define PFCP_IER_BLIE_ATR3IE_Pos          (2UL)                     /*!< PFCP IER: BLIE_ATR3IE (Bit 2)                         */
#define PFCP_IER_BLIE_ATR3IE_Msk          (0x4UL)                   /*!< PFCP IER: BLIE_ATR3IE (Bitfield-Mask: 0x01)           */
#define PFCP_IER_AHIE_ATR2IE_Pos          (1UL)                     /*!< PFCP IER: AHIE_ATR2IE (Bit 1)                         */
#define PFCP_IER_AHIE_ATR2IE_Msk          (0x2UL)                   /*!< PFCP IER: AHIE_ATR2IE (Bitfield-Mask: 0x01)           */
#define PFCP_IER_ALIE_ATR1IE_Pos          (0UL)                     /*!< PFCP IER: ALIE_ATR1IE (Bit 0)                         */
#define PFCP_IER_ALIE_ATR1IE_Msk          (0x1UL)                   /*!< PFCP IER: ALIE_ATR1IE (Bitfield-Mask: 0x01)           */
/* =========================================================  ACNT  ========================================================== */
#define PFCP_ACNT_ACNT_Pos                (0UL)                     /*!< PFCP ACNT: ACNT (Bit 0)                               */
#define PFCP_ACNT_ACNT_Msk                (0xffffUL)                /*!< PFCP ACNT: ACNT (Bitfield-Mask: 0xffff)               */
/* =========================================================  BCNT  ========================================================== */
#define PFCP_BCNT_BCNT_Pos                (0UL)                     /*!< PFCP BCNT: BCNT (Bit 0)                               */
#define PFCP_BCNT_BCNT_Msk                (0xffffUL)                /*!< PFCP BCNT: BCNT (Bitfield-Mask: 0xffff)               */
/* ==========================================================  DTR  ========================================================== */
#define PFCP_DTR_DTEN_Pos                 (31UL)                    /*!< PFCP DTR: DTEN (Bit 31)                               */
#define PFCP_DTR_DTEN_Msk                 (0x80000000UL)            /*!< PFCP DTR: DTEN (Bitfield-Mask: 0x01)                  */
#define PFCP_DTR_PSHRT_Pos                (30UL)                    /*!< PFCP DTR: PSHRT (Bit 30)                              */
#define PFCP_DTR_PSHRT_Msk                (0x40000000UL)            /*!< PFCP DTR: PSHRT (Bitfield-Mask: 0x01)                 */
#define PFCP_DTR_DTCLK_Pos                (28UL)                    /*!< PFCP DTR: DTCLK (Bit 28)                              */
#define PFCP_DTR_DTCLK_Msk                (0x30000000UL)            /*!< PFCP DTR: DTCLK (Bitfield-Mask: 0x03)                 */
#define PFCP_DTR_BDTOL_Pos                (25UL)                    /*!< PFCP DTR: BDTOL (Bit 25)                              */
#define PFCP_DTR_BDTOL_Msk                (0x2000000UL)             /*!< PFCP DTR: BDTOL (Bitfield-Mask: 0x01)                 */
#define PFCP_DTR_ADTOL_Pos                (24UL)                    /*!< PFCP DTR: ADTOL (Bit 24)                              */
#define PFCP_DTR_ADTOL_Msk                (0x1000000UL)             /*!< PFCP DTR: ADTOL (Bitfield-Mask: 0x01)                 */
#define PFCP_DTR_BDT_Pos                  (8UL)                     /*!< PFCP DTR: BDT (Bit 8)                                 */
#define PFCP_DTR_BDT_Msk                  (0xff00UL)                /*!< PFCP DTR: BDT (Bitfield-Mask: 0xff)                   */
#define PFCP_DTR_ADT_Pos                  (0UL)                     /*!< PFCP DTR: ADT (Bit 0)                                 */
#define PFCP_DTR_ADT_Msk                  (0xffUL)                  /*!< PFCP DTR: ADT (Bitfield-Mask: 0xff)                   */
/* =========================================================  PCR0  ========================================================== */
#define PFCP_PCR0_PROTPOL_Pos             (31UL)                    /*!< PFCP PCR0: PROTPOL (Bit 31)                           */
#define PFCP_PCR0_PROTPOL_Msk             (0x80000000UL)            /*!< PFCP PCR0: PROTPOL (Bitfield-Mask: 0x01)              */
#define PFCP_PCR0_PROTDIV_Pos             (24UL)                    /*!< PFCP PCR0: PROTDIV (Bit 24)                           */
#define PFCP_PCR0_PROTDIV_Msk             (0x7000000UL)             /*!< PFCP PCR0: PROTDIV (Bitfield-Mask: 0x07)              */
#define PFCP_PCR0_PROTD_Pos               (16UL)                    /*!< PFCP PCR0: PROTD (Bit 16)                             */
#define PFCP_PCR0_PROTD_Msk               (0xff0000UL)              /*!< PFCP PCR0: PROTD (Bitfield-Mask: 0xff)                */
#define PFCP_PCR0_PROT7EN_Pos             (10UL)                    /*!< PFCP PCR0: PROT7EN (Bit 10)                           */
#define PFCP_PCR0_PROT7EN_Msk             (0x400UL)                 /*!< PFCP PCR0: PROT7EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR0_PROT6EN_Pos             (9UL)                     /*!< PFCP PCR0: PROT6EN (Bit 9)                            */
#define PFCP_PCR0_PROT6EN_Msk             (0x200UL)                 /*!< PFCP PCR0: PROT6EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR0_PROT5EN_Pos             (8UL)                     /*!< PFCP PCR0: PROT5EN (Bit 8)                            */
#define PFCP_PCR0_PROT5EN_Msk             (0x100UL)                 /*!< PFCP PCR0: PROT5EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR0_PROT4EN_Pos             (5UL)                     /*!< PFCP PCR0: PROT4EN (Bit 5)                            */
#define PFCP_PCR0_PROT4EN_Msk             (0x20UL)                  /*!< PFCP PCR0: PROT4EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR0_PROT3EN_Pos             (4UL)                     /*!< PFCP PCR0: PROT3EN (Bit 4)                            */
#define PFCP_PCR0_PROT3EN_Msk             (0x10UL)                  /*!< PFCP PCR0: PROT3EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR0_PROT2EN_Pos             (3UL)                     /*!< PFCP PCR0: PROT2EN (Bit 3)                            */
#define PFCP_PCR0_PROT2EN_Msk             (0x8UL)                   /*!< PFCP PCR0: PROT2EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR0_PROT1EN_Pos             (2UL)                     /*!< PFCP PCR0: PROT1EN (Bit 2)                            */
#define PFCP_PCR0_PROT1EN_Msk             (0x4UL)                   /*!< PFCP PCR0: PROT1EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR0_PROT0EN_Pos             (0UL)                     /*!< PFCP PCR0: PROT0EN (Bit 0)                            */
#define PFCP_PCR0_PROT0EN_Msk             (0x1UL)                   /*!< PFCP PCR0: PROT0EN (Bitfield-Mask: 0x01)              */
/* =========================================================  PSR0  ========================================================== */
#define PFCP_PSR0_PROT7IF_Pos             (10UL)                    /*!< PFCP PSR0: PROT7IF (Bit 10)                           */
#define PFCP_PSR0_PROT7IF_Msk             (0x400UL)                 /*!< PFCP PSR0: PROT7IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR0_PROT6IF_Pos             (9UL)                     /*!< PFCP PSR0: PROT6IF (Bit 9)                            */
#define PFCP_PSR0_PROT6IF_Msk             (0x200UL)                 /*!< PFCP PSR0: PROT6IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR0_PROT5IF_Pos             (8UL)                     /*!< PFCP PSR0: PROT5IF (Bit 8)                            */
#define PFCP_PSR0_PROT5IF_Msk             (0x100UL)                 /*!< PFCP PSR0: PROT5IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR0_PROT4IF_Pos             (5UL)                     /*!< PFCP PSR0: PROT4IF (Bit 5)                            */
#define PFCP_PSR0_PROT4IF_Msk             (0x20UL)                  /*!< PFCP PSR0: PROT4IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR0_PROT3IF_Pos             (4UL)                     /*!< PFCP PSR0: PROT3IF (Bit 4)                            */
#define PFCP_PSR0_PROT3IF_Msk             (0x10UL)                  /*!< PFCP PSR0: PROT3IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR0_PROT2IF_Pos             (3UL)                     /*!< PFCP PSR0: PROT2IF (Bit 3)                            */
#define PFCP_PSR0_PROT2IF_Msk             (0x8UL)                   /*!< PFCP PSR0: PROT2IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR0_PROT1IF_Pos             (2UL)                     /*!< PFCP PSR0: PROT1IF (Bit 2)                            */
#define PFCP_PSR0_PROT1IF_Msk             (0x4UL)                   /*!< PFCP PSR0: PROT1IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR0_PROT0IF_Pos             (0UL)                     /*!< PFCP PSR0: PROT0IF (Bit 0)                            */
#define PFCP_PSR0_PROT0IF_Msk             (0x1UL)                   /*!< PFCP PSR0: PROT0IF (Bitfield-Mask: 0x01)              */
/* =========================================================  PCR1  ========================================================== */
#define PFCP_PCR1_PROTPOL_Pos             (31UL)                    /*!< PFCP PCR1: PROTPOL (Bit 31)                           */
#define PFCP_PCR1_PROTPOL_Msk             (0x80000000UL)            /*!< PFCP PCR1: PROTPOL (Bitfield-Mask: 0x01)              */
#define PFCP_PCR1_PROTDIV_Pos             (24UL)                    /*!< PFCP PCR1: PROTDIV (Bit 24)                           */
#define PFCP_PCR1_PROTDIV_Msk             (0x7000000UL)             /*!< PFCP PCR1: PROTDIV (Bitfield-Mask: 0x07)              */
#define PFCP_PCR1_PROTD_Pos               (16UL)                    /*!< PFCP PCR1: PROTD (Bit 16)                             */
#define PFCP_PCR1_PROTD_Msk               (0xff0000UL)              /*!< PFCP PCR1: PROTD (Bitfield-Mask: 0xff)                */
#define PFCP_PCR1_PROT7EN_Pos             (10UL)                    /*!< PFCP PCR1: PROT7EN (Bit 10)                           */
#define PFCP_PCR1_PROT7EN_Msk             (0x400UL)                 /*!< PFCP PCR1: PROT7EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR1_PROT6EN_Pos             (9UL)                     /*!< PFCP PCR1: PROT6EN (Bit 9)                            */
#define PFCP_PCR1_PROT6EN_Msk             (0x200UL)                 /*!< PFCP PCR1: PROT6EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR1_PROT5EN_Pos             (8UL)                     /*!< PFCP PCR1: PROT5EN (Bit 8)                            */
#define PFCP_PCR1_PROT5EN_Msk             (0x100UL)                 /*!< PFCP PCR1: PROT5EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR1_PROT4EN_Pos             (5UL)                     /*!< PFCP PCR1: PROT4EN (Bit 5)                            */
#define PFCP_PCR1_PROT4EN_Msk             (0x20UL)                  /*!< PFCP PCR1: PROT4EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR1_PROT3EN_Pos             (4UL)                     /*!< PFCP PCR1: PROT3EN (Bit 4)                            */
#define PFCP_PCR1_PROT3EN_Msk             (0x10UL)                  /*!< PFCP PCR1: PROT3EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR1_PROT2EN_Pos             (3UL)                     /*!< PFCP PCR1: PROT2EN (Bit 3)                            */
#define PFCP_PCR1_PROT2EN_Msk             (0x8UL)                   /*!< PFCP PCR1: PROT2EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR1_PROT1EN_Pos             (2UL)                     /*!< PFCP PCR1: PROT1EN (Bit 2)                            */
#define PFCP_PCR1_PROT1EN_Msk             (0x4UL)                   /*!< PFCP PCR1: PROT1EN (Bitfield-Mask: 0x01)              */
#define PFCP_PCR1_PROT0EN_Pos             (0UL)                     /*!< PFCP PCR1: PROT0EN (Bit 0)                            */
#define PFCP_PCR1_PROT0EN_Msk             (0x1UL)                   /*!< PFCP PCR1: PROT0EN (Bitfield-Mask: 0x01)              */
/* =========================================================  PSR1  ========================================================== */
#define PFCP_PSR1_PROT7IF_Pos             (10UL)                    /*!< PFCP PSR1: PROT7IF (Bit 10)                           */
#define PFCP_PSR1_PROT7IF_Msk             (0x400UL)                 /*!< PFCP PSR1: PROT7IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR1_PROT6IF_Pos             (9UL)                     /*!< PFCP PSR1: PROT6IF (Bit 9)                            */
#define PFCP_PSR1_PROT6IF_Msk             (0x200UL)                 /*!< PFCP PSR1: PROT6IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR1_PROT5IF_Pos             (8UL)                     /*!< PFCP PSR1: PROT5IF (Bit 8)                            */
#define PFCP_PSR1_PROT5IF_Msk             (0x100UL)                 /*!< PFCP PSR1: PROT5IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR1_PROT4IF_Pos             (5UL)                     /*!< PFCP PSR1: PROT4IF (Bit 5)                            */
#define PFCP_PSR1_PROT4IF_Msk             (0x20UL)                  /*!< PFCP PSR1: PROT4IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR1_PROT3IF_Pos             (4UL)                     /*!< PFCP PSR1: PROT3IF (Bit 4)                            */
#define PFCP_PSR1_PROT3IF_Msk             (0x10UL)                  /*!< PFCP PSR1: PROT3IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR1_PROT2IF_Pos             (3UL)                     /*!< PFCP PSR1: PROT2IF (Bit 3)                            */
#define PFCP_PSR1_PROT2IF_Msk             (0x8UL)                   /*!< PFCP PSR1: PROT2IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR1_PROT1IF_Pos             (2UL)                     /*!< PFCP PSR1: PROT1IF (Bit 2)                            */
#define PFCP_PSR1_PROT1IF_Msk             (0x4UL)                   /*!< PFCP PSR1: PROT1IF (Bitfield-Mask: 0x01)              */
#define PFCP_PSR1_PROT0IF_Pos             (0UL)                     /*!< PFCP PSR1: PROT0IF (Bit 0)                            */
#define PFCP_PSR1_PROT0IF_Msk             (0x1UL)                   /*!< PFCP PSR1: PROT0IF (Bitfield-Mask: 0x01)              */
/* =========================================================  ATR1  ========================================================== */
#define PFCP_ATR1_ATUDT_Pos               (19UL)                    /*!< PFCP ATR1: ATUDT (Bit 19)                             */
#define PFCP_ATR1_ATUDT_Msk               (0x80000UL)               /*!< PFCP ATR1: ATUDT (Bitfield-Mask: 0x01)                */
#define PFCP_ATR1_ATMOD_Pos               (16UL)                    /*!< PFCP ATR1: ATMOD (Bit 16)                             */
#define PFCP_ATR1_ATMOD_Msk               (0x30000UL)               /*!< PFCP ATR1: ATMOD (Bitfield-Mask: 0x03)                */
#define PFCP_ATR1_ATCNT_Pos               (0UL)                     /*!< PFCP ATR1: ATCNT (Bit 0)                              */
#define PFCP_ATR1_ATCNT_Msk               (0xffffUL)                /*!< PFCP ATR1: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR2  ========================================================== */
#define PFCP_ATR2_ATUDT_Pos               (19UL)                    /*!< PFCP ATR2: ATUDT (Bit 19)                             */
#define PFCP_ATR2_ATUDT_Msk               (0x80000UL)               /*!< PFCP ATR2: ATUDT (Bitfield-Mask: 0x01)                */
#define PFCP_ATR2_ATMOD_Pos               (16UL)                    /*!< PFCP ATR2: ATMOD (Bit 16)                             */
#define PFCP_ATR2_ATMOD_Msk               (0x30000UL)               /*!< PFCP ATR2: ATMOD (Bitfield-Mask: 0x03)                */
#define PFCP_ATR2_ATCNT_Pos               (0UL)                     /*!< PFCP ATR2: ATCNT (Bit 0)                              */
#define PFCP_ATR2_ATCNT_Msk               (0xffffUL)                /*!< PFCP ATR2: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR3  ========================================================== */
#define PFCP_ATR3_ATUDT_Pos               (19UL)                    /*!< PFCP ATR3: ATUDT (Bit 19)                             */
#define PFCP_ATR3_ATUDT_Msk               (0x80000UL)               /*!< PFCP ATR3: ATUDT (Bitfield-Mask: 0x01)                */
#define PFCP_ATR3_ATMOD_Pos               (16UL)                    /*!< PFCP ATR3: ATMOD (Bit 16)                             */
#define PFCP_ATR3_ATMOD_Msk               (0x30000UL)               /*!< PFCP ATR3: ATMOD (Bitfield-Mask: 0x03)                */
#define PFCP_ATR3_ATCNT_Pos               (0UL)                     /*!< PFCP ATR3: ATCNT (Bit 0)                              */
#define PFCP_ATR3_ATCNT_Msk               (0xffffUL)                /*!< PFCP ATR3: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR4  ========================================================== */
#define PFCP_ATR4_ATUDT_Pos               (19UL)                    /*!< PFCP ATR4: ATUDT (Bit 19)                             */
#define PFCP_ATR4_ATUDT_Msk               (0x80000UL)               /*!< PFCP ATR4: ATUDT (Bitfield-Mask: 0x01)                */
#define PFCP_ATR4_ATMOD_Pos               (16UL)                    /*!< PFCP ATR4: ATMOD (Bit 16)                             */
#define PFCP_ATR4_ATMOD_Msk               (0x30000UL)               /*!< PFCP ATR4: ATMOD (Bitfield-Mask: 0x03)                */
#define PFCP_ATR4_ATCNT_Pos               (0UL)                     /*!< PFCP ATR4: ATCNT (Bit 0)                              */
#define PFCP_ATR4_ATCNT_Msk               (0xffffUL)                /*!< PFCP ATR4: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR5  ========================================================== */
#define PFCP_ATR5_ATUDT_Pos               (19UL)                    /*!< PFCP ATR5: ATUDT (Bit 19)                             */
#define PFCP_ATR5_ATUDT_Msk               (0x80000UL)               /*!< PFCP ATR5: ATUDT (Bitfield-Mask: 0x01)                */
#define PFCP_ATR5_ATMOD_Pos               (16UL)                    /*!< PFCP ATR5: ATMOD (Bit 16)                             */
#define PFCP_ATR5_ATMOD_Msk               (0x30000UL)               /*!< PFCP ATR5: ATMOD (Bitfield-Mask: 0x03)                */
#define PFCP_ATR5_ATCNT_Pos               (0UL)                     /*!< PFCP ATR5: ATCNT (Bit 0)                              */
#define PFCP_ATR5_ATCNT_Msk               (0xffffUL)                /*!< PFCP ATR5: ATCNT (Bitfield-Mask: 0xffff)              */
/* =========================================================  ATR6  ========================================================== */
#define PFCP_ATR6_ATUDT_Pos               (19UL)                    /*!< PFCP ATR6: ATUDT (Bit 19)                             */
#define PFCP_ATR6_ATUDT_Msk               (0x80000UL)               /*!< PFCP ATR6: ATUDT (Bitfield-Mask: 0x01)                */
#define PFCP_ATR6_ATMOD_Pos               (16UL)                    /*!< PFCP ATR6: ATMOD (Bit 16)                             */
#define PFCP_ATR6_ATMOD_Msk               (0x30000UL)               /*!< PFCP ATR6: ATMOD (Bitfield-Mask: 0x03)                */
#define PFCP_ATR6_ATCNT_Pos               (0UL)                     /*!< PFCP ATR6: ATCNT (Bit 0)                              */
#define PFCP_ATR6_ATCNT_Msk               (0xffffUL)                /*!< PFCP ATR6: ATCNT (Bitfield-Mask: 0xffff)              */


/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  MR  =========================================================== */
#define ADC_MR_EXTADCRQEN_Pos             (22UL)                    /*!< ADC MR: EXTADCRQEN (Bit 22)                           */
#define ADC_MR_EXTADCRQEN_Msk             (0x400000UL)              /*!< ADC MR: EXTADCRQEN (Bitfield-Mask: 0x01)              */
#define ADC_MR_CDATA_Pos                  (19UL)                    /*!< ADC MR: CDATA (Bit 19)                                */
#define ADC_MR_CDATA_Msk                  (0x80000UL)               /*!< ADC MR: CDATA (Bitfield-Mask: 0x01)                   */
#define ADC_MR_DMAIDE_Pos                 (18UL)                    /*!< ADC MR: DMAIDE (Bit 18)                               */
#define ADC_MR_DMAIDE_Msk                 (0x40000UL)               /*!< ADC MR: DMAIDE (Bitfield-Mask: 0x01)                  */
#define ADC_MR_DMAEN_Pos                  (17UL)                    /*!< ADC MR: DMAEN (Bit 17)                                */
#define ADC_MR_DMAEN_Msk                  (0x20000UL)               /*!< ADC MR: DMAEN (Bitfield-Mask: 0x01)                   */
#define ADC_MR_SEQTRGT_Pos                (11UL)                    /*!< ADC MR: SEQTRGT (Bit 11)                              */
#define ADC_MR_SEQTRGT_Msk                (0x800UL)                 /*!< ADC MR: SEQTRGT (Bitfield-Mask: 0x01)                 */
#define ADC_MR_SEQCNT_Pos                 (8UL)                     /*!< ADC MR: SEQCNT (Bit 8)                                */
#define ADC_MR_SEQCNT_Msk                 (0x700UL)                 /*!< ADC MR: SEQCNT (Bitfield-Mask: 0x07)                  */
#define ADC_MR_ADEN_Pos                   (7UL)                     /*!< ADC MR: ADEN (Bit 7)                                  */
#define ADC_MR_ADEN_Msk                   (0x80UL)                  /*!< ADC MR: ADEN (Bitfield-Mask: 0x01)                    */
#define ADC_MR_ARST_Pos                   (6UL)                     /*!< ADC MR: ARST (Bit 6)                                  */
#define ADC_MR_ARST_Msk                   (0x40UL)                  /*!< ADC MR: ARST (Bitfield-Mask: 0x01)                    */
#define ADC_MR_ADMOD_Pos                  (4UL)                     /*!< ADC MR: ADMOD (Bit 4)                                 */
#define ADC_MR_ADMOD_Msk                  (0x30UL)                  /*!< ADC MR: ADMOD (Bitfield-Mask: 0x03)                   */
#define ADC_MR_TRGSEL_Pos                 (0UL)                     /*!< ADC MR: TRGSEL (Bit 0)                                */
#define ADC_MR_TRGSEL_Msk                 (0x7UL)                   /*!< ADC MR: TRGSEL (Bitfield-Mask: 0x07)                  */
/* =========================================================  CSCR  ========================================================== */
#define ADC_CSCR_CSEQN_Pos                (8UL)                     /*!< ADC CSCR: CSEQN (Bit 8)                               */
#define ADC_CSCR_CSEQN_Msk                (0x700UL)                 /*!< ADC CSCR: CSEQN (Bitfield-Mask: 0x07)                 */
#define ADC_CSCR_CACH_Pos                 (0UL)                     /*!< ADC CSCR: CACH (Bit 0)                                */
#define ADC_CSCR_CACH_Msk                 (0x1fUL)                  /*!< ADC CSCR: CACH (Bitfield-Mask: 0x1f)                  */
/* ==========================================================  CCR  ========================================================== */
#define ADC_CCR_CLKDIV_Pos                (8UL)                     /*!< ADC CCR: CLKDIV (Bit 8)                               */
#define ADC_CCR_CLKDIV_Msk                (0x7f00UL)                /*!< ADC CCR: CLKDIV (Bitfield-Mask: 0x7f)                 */
/* ==========================================================  TRG  ========================================================== */
#define ADC_TRG_SEQTRG7_Pos               (28UL)                    /*!< ADC TRG: SEQTRG7 (Bit 28)                             */
#define ADC_TRG_SEQTRG7_Msk               (0xf0000000UL)            /*!< ADC TRG: SEQTRG7 (Bitfield-Mask: 0x0f)                */
#define ADC_TRG_SEQTRG6_Pos               (24UL)                    /*!< ADC TRG: SEQTRG6 (Bit 24)                             */
#define ADC_TRG_SEQTRG6_Msk               (0xf000000UL)             /*!< ADC TRG: SEQTRG6 (Bitfield-Mask: 0x0f)                */
#define ADC_TRG_SEQTRG5_Pos               (20UL)                    /*!< ADC TRG: SEQTRG5 (Bit 20)                             */
#define ADC_TRG_SEQTRG5_Msk               (0xf00000UL)              /*!< ADC TRG: SEQTRG5 (Bitfield-Mask: 0x0f)                */
#define ADC_TRG_SEQTRG4_Pos               (16UL)                    /*!< ADC TRG: SEQTRG4 (Bit 16)                             */
#define ADC_TRG_SEQTRG4_Msk               (0xf0000UL)               /*!< ADC TRG: SEQTRG4 (Bitfield-Mask: 0x0f)                */
#define ADC_TRG_SEQTRG3_Pos               (12UL)                    /*!< ADC TRG: SEQTRG3 (Bit 12)                             */
#define ADC_TRG_SEQTRG3_Msk               (0xf000UL)                /*!< ADC TRG: SEQTRG3 (Bitfield-Mask: 0x0f)                */
#define ADC_TRG_SEQTRG2_Pos               (8UL)                     /*!< ADC TRG: SEQTRG2 (Bit 8)                              */
#define ADC_TRG_SEQTRG2_Msk               (0xf00UL)                 /*!< ADC TRG: SEQTRG2 (Bitfield-Mask: 0x0f)                */
#define ADC_TRG_SEQTRG1_Pos               (4UL)                     /*!< ADC TRG: SEQTRG1 (Bit 4)                              */
#define ADC_TRG_SEQTRG1_Msk               (0xf0UL)                  /*!< ADC TRG: SEQTRG1 (Bitfield-Mask: 0x0f)                */
#define ADC_TRG_SEQTRG0_BSTTRG_Pos        (0UL)                     /*!< ADC TRG: SEQTRG0_BSTTRG (Bit 0)                       */
#define ADC_TRG_SEQTRG0_BSTTRG_Msk        (0xfUL)                   /*!< ADC TRG: SEQTRG0_BSTTRG (Bitfield-Mask: 0x0f)         */
/* =========================================================  CSTR1  ========================================================= */
#define ADC_CSTR1_ST3CH_Pos               (24UL)                    /*!< ADC CSTR1: ST3CH (Bit 24)                             */
#define ADC_CSTR1_ST3CH_Msk               (0x1f000000UL)            /*!< ADC CSTR1: ST3CH (Bitfield-Mask: 0x1f)                */
#define ADC_CSTR1_ST2CH_Pos               (16UL)                    /*!< ADC CSTR1: ST2CH (Bit 16)                             */
#define ADC_CSTR1_ST2CH_Msk               (0x1f0000UL)              /*!< ADC CSTR1: ST2CH (Bitfield-Mask: 0x1f)                */
#define ADC_CSTR1_ST1CH_Pos               (8UL)                     /*!< ADC CSTR1: ST1CH (Bit 8)                              */
#define ADC_CSTR1_ST1CH_Msk               (0x1f00UL)                /*!< ADC CSTR1: ST1CH (Bitfield-Mask: 0x1f)                */
#define ADC_CSTR1_ST0CH_Pos               (0UL)                     /*!< ADC CSTR1: ST0CH (Bit 0)                              */
#define ADC_CSTR1_ST0CH_Msk               (0x1fUL)                  /*!< ADC CSTR1: ST0CH (Bitfield-Mask: 0x1f)                */
/* =========================================================  CSTR2  ========================================================= */
#define ADC_CSTR2_ST7CH_Pos               (24UL)                    /*!< ADC CSTR2: ST7CH (Bit 24)                             */
#define ADC_CSTR2_ST7CH_Msk               (0x1f000000UL)            /*!< ADC CSTR2: ST7CH (Bitfield-Mask: 0x1f)                */
#define ADC_CSTR2_ST6CH_Pos               (16UL)                    /*!< ADC CSTR2: ST6CH (Bit 16)                             */
#define ADC_CSTR2_ST6CH_Msk               (0x1f0000UL)              /*!< ADC CSTR2: ST6CH (Bitfield-Mask: 0x1f)                */
#define ADC_CSTR2_ST5CH_Pos               (8UL)                     /*!< ADC CSTR2: ST5CH (Bit 8)                              */
#define ADC_CSTR2_ST5CH_Msk               (0x1f00UL)                /*!< ADC CSTR2: ST5CH (Bitfield-Mask: 0x1f)                */
#define ADC_CSTR2_ST4CH_Pos               (0UL)                     /*!< ADC CSTR2: ST4CH (Bit 0)                              */
#define ADC_CSTR2_ST4CH_Msk               (0x1fUL)                  /*!< ADC CSTR2: ST4CH (Bitfield-Mask: 0x1f)                */
/* =========================================================  SCSR1  ========================================================= */
#define ADC_SCSR1_SEQ3CH_Pos              (24UL)                    /*!< ADC SCSR1: SEQ3CH (Bit 24)                            */
#define ADC_SCSR1_SEQ3CH_Msk              (0x1f000000UL)            /*!< ADC SCSR1: SEQ3CH (Bitfield-Mask: 0x1f)               */
#define ADC_SCSR1_SEQ2CH_Pos              (16UL)                    /*!< ADC SCSR1: SEQ2CH (Bit 16)                            */
#define ADC_SCSR1_SEQ2CH_Msk              (0x1f0000UL)              /*!< ADC SCSR1: SEQ2CH (Bitfield-Mask: 0x1f)               */
#define ADC_SCSR1_SEQ1CH_Pos              (8UL)                     /*!< ADC SCSR1: SEQ1CH (Bit 8)                             */
#define ADC_SCSR1_SEQ1CH_Msk              (0x1f00UL)                /*!< ADC SCSR1: SEQ1CH (Bitfield-Mask: 0x1f)               */
#define ADC_SCSR1_SEQ0CH_Pos              (0UL)                     /*!< ADC SCSR1: SEQ0CH (Bit 0)                             */
#define ADC_SCSR1_SEQ0CH_Msk              (0x1fUL)                  /*!< ADC SCSR1: SEQ0CH (Bitfield-Mask: 0x1f)               */
/* =========================================================  SCSR2  ========================================================= */
#define ADC_SCSR2_SEQ7CH_Pos              (24UL)                    /*!< ADC SCSR2: SEQ7CH (Bit 24)                            */
#define ADC_SCSR2_SEQ7CH_Msk              (0x1f000000UL)            /*!< ADC SCSR2: SEQ7CH (Bitfield-Mask: 0x1f)               */
#define ADC_SCSR2_SEQ6CH_Pos              (16UL)                    /*!< ADC SCSR2: SEQ6CH (Bit 16)                            */
#define ADC_SCSR2_SEQ6CH_Msk              (0x1f0000UL)              /*!< ADC SCSR2: SEQ6CH (Bitfield-Mask: 0x1f)               */
#define ADC_SCSR2_SEQ5CH_Pos              (8UL)                     /*!< ADC SCSR2: SEQ5CH (Bit 8)                             */
#define ADC_SCSR2_SEQ5CH_Msk              (0x1f00UL)                /*!< ADC SCSR2: SEQ5CH (Bitfield-Mask: 0x1f)               */
#define ADC_SCSR2_SEQ4CH_Pos              (0UL)                     /*!< ADC SCSR2: SEQ4CH (Bit 0)                             */
#define ADC_SCSR2_SEQ4CH_Msk              (0x1fUL)                  /*!< ADC SCSR2: SEQ4CH (Bitfield-Mask: 0x1f)               */
/* ==========================================================  CR  =========================================================== */
#define ADC_CR_ASTOP_Pos                  (7UL)                     /*!< ADC CR: ASTOP (Bit 7)                                 */
#define ADC_CR_ASTOP_Msk                  (0x80UL)                  /*!< ADC CR: ASTOP (Bitfield-Mask: 0x01)                   */
#define ADC_CR_AASTART_Pos                (4UL)                     /*!< ADC CR: AASTART (Bit 4)                               */
#define ADC_CR_AASTART_Msk                (0x10UL)                  /*!< ADC CR: AASTART (Bitfield-Mask: 0x01)                 */
#define ADC_CR_TRGCLR_Pos                 (1UL)                     /*!< ADC CR: TRGCLR (Bit 1)                                */
#define ADC_CR_TRGCLR_Msk                 (0x2UL)                   /*!< ADC CR: TRGCLR (Bitfield-Mask: 0x01)                  */
#define ADC_CR_ASTART_Pos                 (0UL)                     /*!< ADC CR: ASTART (Bit 0)                                */
#define ADC_CR_ASTART_Msk                 (0x1UL)                   /*!< ADC CR: ASTART (Bitfield-Mask: 0x01)                  */
/* ==========================================================  SR  =========================================================== */
#define ADC_SR_ABUSY_Pos                  (31UL)                    /*!< ADC SR: ABUSY (Bit 31)                                */
#define ADC_SR_ABUSY_Msk                  (0x80000000UL)            /*!< ADC SR: ABUSY (Bitfield-Mask: 0x01)                   */
#define ADC_SR_CMP1IF_Pos                 (9UL)                     /*!< ADC SR: CMP1IF (Bit 9)                                */
#define ADC_SR_CMP1IF_Msk                 (0x200UL)                 /*!< ADC SR: CMP1IF (Bitfield-Mask: 0x01)                  */
#define ADC_SR_CMP0IF_Pos                 (8UL)                     /*!< ADC SR: CMP0IF (Bit 8)                                */
#define ADC_SR_CMP0IF_Msk                 (0x100UL)                 /*!< ADC SR: CMP0IF (Bitfield-Mask: 0x01)                  */
#define ADC_SR_DOVRUN_Pos                 (5UL)                     /*!< ADC SR: DOVRUN (Bit 5)                                */
#define ADC_SR_DOVRUN_Msk                 (0x20UL)                  /*!< ADC SR: DOVRUN (Bitfield-Mask: 0x01)                  */
#define ADC_SR_DMAF_Pos                   (4UL)                     /*!< ADC SR: DMAF (Bit 4)                                  */
#define ADC_SR_DMAF_Msk                   (0x10UL)                  /*!< ADC SR: DMAF (Bitfield-Mask: 0x01)                    */
#define ADC_SR_TRGIF_Pos                  (3UL)                     /*!< ADC SR: TRGIF (Bit 3)                                 */
#define ADC_SR_TRGIF_Msk                  (0x8UL)                   /*!< ADC SR: TRGIF (Bitfield-Mask: 0x01)                   */
#define ADC_SR_EOSIF_Pos                  (2UL)                     /*!< ADC SR: EOSIF (Bit 2)                                 */
#define ADC_SR_EOSIF_Msk                  (0x4UL)                   /*!< ADC SR: EOSIF (Bitfield-Mask: 0x01)                   */
#define ADC_SR_IOCIF_Pos                  (1UL)                     /*!< ADC SR: IOCIF (Bit 1)                                 */
#define ADC_SR_IOCIF_Msk                  (0x2UL)                   /*!< ADC SR: IOCIF (Bitfield-Mask: 0x01)                   */
#define ADC_SR_EOCIF_Pos                  (0UL)                     /*!< ADC SR: EOCIF (Bit 0)                                 */
#define ADC_SR_EOCIF_Msk                  (0x1UL)                   /*!< ADC SR: EOCIF (Bitfield-Mask: 0x01)                   */
/* ==========================================================  IER  ========================================================== */
#define ADC_IER_CMP1IE_Pos                (9UL)                     /*!< ADC IER: CMP1IE (Bit 9)                               */
#define ADC_IER_CMP1IE_Msk                (0x200UL)                 /*!< ADC IER: CMP1IE (Bitfield-Mask: 0x01)                 */
#define ADC_IER_CMP0IE_Pos                (8UL)                     /*!< ADC IER: CMP0IE (Bit 8)                               */
#define ADC_IER_CMP0IE_Msk                (0x100UL)                 /*!< ADC IER: CMP0IE (Bitfield-Mask: 0x01)                 */
#define ADC_IER_DOVRUNIE_Pos              (5UL)                     /*!< ADC IER: DOVRUNIE (Bit 5)                             */
#define ADC_IER_DOVRUNIE_Msk              (0x20UL)                  /*!< ADC IER: DOVRUNIE (Bitfield-Mask: 0x01)               */
#define ADC_IER_DMAIE_Pos                 (4UL)                     /*!< ADC IER: DMAIE (Bit 4)                                */
#define ADC_IER_DMAIE_Msk                 (0x10UL)                  /*!< ADC IER: DMAIE (Bitfield-Mask: 0x01)                  */
#define ADC_IER_TRGIE_Pos                 (3UL)                     /*!< ADC IER: TRGIE (Bit 3)                                */
#define ADC_IER_TRGIE_Msk                 (0x8UL)                   /*!< ADC IER: TRGIE (Bitfield-Mask: 0x01)                  */
#define ADC_IER_EOSIE_Pos                 (2UL)                     /*!< ADC IER: EOSIE (Bit 2)                                */
#define ADC_IER_EOSIE_Msk                 (0x4UL)                   /*!< ADC IER: EOSIE (Bitfield-Mask: 0x01)                  */
#define ADC_IER_IOCIE_Pos                 (1UL)                     /*!< ADC IER: IOCIE (Bit 1)                                */
#define ADC_IER_IOCIE_Msk                 (0x2UL)                   /*!< ADC IER: IOCIE (Bitfield-Mask: 0x01)                  */
#define ADC_IER_EOCIE_Pos                 (0UL)                     /*!< ADC IER: EOCIE (Bit 0)                                */
#define ADC_IER_EOCIE_Msk                 (0x1UL)                   /*!< ADC IER: EOCIE (Bitfield-Mask: 0x01)                  */
/* ==========================================================  DDR  ========================================================== */
#define ADC_DDR_TRGINFO7_Pos              (31UL)                    /*!< ADC DDR: TRGINFO7 (Bit 31)                            */
#define ADC_DDR_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DDR: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DDR_TRGINFO6_Pos              (30UL)                    /*!< ADC DDR: TRGINFO6 (Bit 30)                            */
#define ADC_DDR_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DDR: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DDR_TRGINFO5_Pos              (29UL)                    /*!< ADC DDR: TRGINFO5 (Bit 29)                            */
#define ADC_DDR_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DDR: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DDR_TRGINFO4_Pos              (28UL)                    /*!< ADC DDR: TRGINFO4 (Bit 28)                            */
#define ADC_DDR_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DDR: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DDR_TRGINFO3_Pos              (27UL)                    /*!< ADC DDR: TRGINFO3 (Bit 27)                            */
#define ADC_DDR_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DDR: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DDR_TRGINFO2_Pos              (26UL)                    /*!< ADC DDR: TRGINFO2 (Bit 26)                            */
#define ADC_DDR_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DDR: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DDR_TRGINFO1_Pos              (25UL)                    /*!< ADC DDR: TRGINFO1 (Bit 25)                            */
#define ADC_DDR_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DDR: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DDR_TRGINFO0_Pos              (24UL)                    /*!< ADC DDR: TRGINFO0 (Bit 24)                            */
#define ADC_DDR_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DDR: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DDR_ITRG_Pos                  (23UL)                    /*!< ADC DDR: ITRG (Bit 23)                                */
#define ADC_DDR_ITRG_Msk                  (0x800000UL)              /*!< ADC DDR: ITRG (Bitfield-Mask: 0x01)                   */
#define ADC_DDR_ADMACH_Pos                (16UL)                    /*!< ADC DDR: ADMACH (Bit 16)                              */
#define ADC_DDR_ADMACH_Msk                (0x1f0000UL)              /*!< ADC DDR: ADMACH (Bitfield-Mask: 0x1f)                 */
#define ADC_DDR_ADDMAR_Pos                (4UL)                     /*!< ADC DDR: ADDMAR (Bit 4)                               */
#define ADC_DDR_ADDMAR_Msk                (0xfff0UL)                /*!< ADC DDR: ADDMAR (Bitfield-Mask: 0xfff)                */
/* ==========================================================  DR0  ========================================================== */
#define ADC_DR0_TRGINFO7_Pos              (31UL)                    /*!< ADC DR0: TRGINFO7 (Bit 31)                            */
#define ADC_DR0_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DR0: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DR0_TRGINFO6_Pos              (30UL)                    /*!< ADC DR0: TRGINFO6 (Bit 30)                            */
#define ADC_DR0_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DR0: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DR0_TRGINFO5_Pos              (29UL)                    /*!< ADC DR0: TRGINFO5 (Bit 29)                            */
#define ADC_DR0_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DR0: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DR0_TRGINFO4_Pos              (28UL)                    /*!< ADC DR0: TRGINFO4 (Bit 28)                            */
#define ADC_DR0_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DR0: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DR0_TRGINFO3_Pos              (27UL)                    /*!< ADC DR0: TRGINFO3 (Bit 27)                            */
#define ADC_DR0_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DR0: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DR0_TRGINFO2_Pos              (26UL)                    /*!< ADC DR0: TRGINFO2 (Bit 26)                            */
#define ADC_DR0_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DR0: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DR0_TRGINFO1_Pos              (25UL)                    /*!< ADC DR0: TRGINFO1 (Bit 25)                            */
#define ADC_DR0_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DR0: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DR0_TRGINFO0_Pos              (24UL)                    /*!< ADC DR0: TRGINFO0 (Bit 24)                            */
#define ADC_DR0_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DR0: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DR0_ACH_Pos                   (16UL)                    /*!< ADC DR0: ACH (Bit 16)                                 */
#define ADC_DR0_ACH_Msk                   (0x1f0000UL)              /*!< ADC DR0: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_DR0_ADDATA_Pos                (4UL)                     /*!< ADC DR0: ADDATA (Bit 4)                               */
#define ADC_DR0_ADDATA_Msk                (0xfff0UL)                /*!< ADC DR0: ADDATA (Bitfield-Mask: 0xfff)                */
/* ==========================================================  DR1  ========================================================== */
#define ADC_DR1_TRGINFO7_Pos              (31UL)                    /*!< ADC DR1: TRGINFO7 (Bit 31)                            */
#define ADC_DR1_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DR1: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DR1_TRGINFO6_Pos              (30UL)                    /*!< ADC DR1: TRGINFO6 (Bit 30)                            */
#define ADC_DR1_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DR1: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DR1_TRGINFO5_Pos              (29UL)                    /*!< ADC DR1: TRGINFO5 (Bit 29)                            */
#define ADC_DR1_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DR1: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DR1_TRGINFO4_Pos              (28UL)                    /*!< ADC DR1: TRGINFO4 (Bit 28)                            */
#define ADC_DR1_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DR1: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DR1_TRGINFO3_Pos              (27UL)                    /*!< ADC DR1: TRGINFO3 (Bit 27)                            */
#define ADC_DR1_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DR1: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DR1_TRGINFO2_Pos              (26UL)                    /*!< ADC DR1: TRGINFO2 (Bit 26)                            */
#define ADC_DR1_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DR1: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DR1_TRGINFO1_Pos              (25UL)                    /*!< ADC DR1: TRGINFO1 (Bit 25)                            */
#define ADC_DR1_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DR1: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DR1_TRGINFO0_Pos              (24UL)                    /*!< ADC DR1: TRGINFO0 (Bit 24)                            */
#define ADC_DR1_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DR1: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DR1_ACH_Pos                   (16UL)                    /*!< ADC DR1: ACH (Bit 16)                                 */
#define ADC_DR1_ACH_Msk                   (0x1f0000UL)              /*!< ADC DR1: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_DR1_ADDATA_Pos                (4UL)                     /*!< ADC DR1: ADDATA (Bit 4)                               */
#define ADC_DR1_ADDATA_Msk                (0xfff0UL)                /*!< ADC DR1: ADDATA (Bitfield-Mask: 0xfff)                */
/* ==========================================================  DR2  ========================================================== */
#define ADC_DR2_TRGINFO7_Pos              (31UL)                    /*!< ADC DR2: TRGINFO7 (Bit 31)                            */
#define ADC_DR2_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DR2: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DR2_TRGINFO6_Pos              (30UL)                    /*!< ADC DR2: TRGINFO6 (Bit 30)                            */
#define ADC_DR2_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DR2: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DR2_TRGINFO5_Pos              (29UL)                    /*!< ADC DR2: TRGINFO5 (Bit 29)                            */
#define ADC_DR2_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DR2: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DR2_TRGINFO4_Pos              (28UL)                    /*!< ADC DR2: TRGINFO4 (Bit 28)                            */
#define ADC_DR2_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DR2: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DR2_TRGINFO3_Pos              (27UL)                    /*!< ADC DR2: TRGINFO3 (Bit 27)                            */
#define ADC_DR2_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DR2: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DR2_TRGINFO2_Pos              (26UL)                    /*!< ADC DR2: TRGINFO2 (Bit 26)                            */
#define ADC_DR2_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DR2: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DR2_TRGINFO1_Pos              (25UL)                    /*!< ADC DR2: TRGINFO1 (Bit 25)                            */
#define ADC_DR2_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DR2: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DR2_TRGINFO0_Pos              (24UL)                    /*!< ADC DR2: TRGINFO0 (Bit 24)                            */
#define ADC_DR2_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DR2: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DR2_ACH_Pos                   (16UL)                    /*!< ADC DR2: ACH (Bit 16)                                 */
#define ADC_DR2_ACH_Msk                   (0x1f0000UL)              /*!< ADC DR2: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_DR2_ADDATA_Pos                (4UL)                     /*!< ADC DR2: ADDATA (Bit 4)                               */
#define ADC_DR2_ADDATA_Msk                (0xfff0UL)                /*!< ADC DR2: ADDATA (Bitfield-Mask: 0xfff)                */
/* ==========================================================  DR3  ========================================================== */
#define ADC_DR3_TRGINFO7_Pos              (31UL)                    /*!< ADC DR3: TRGINFO7 (Bit 31)                            */
#define ADC_DR3_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DR3: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DR3_TRGINFO6_Pos              (30UL)                    /*!< ADC DR3: TRGINFO6 (Bit 30)                            */
#define ADC_DR3_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DR3: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DR3_TRGINFO5_Pos              (29UL)                    /*!< ADC DR3: TRGINFO5 (Bit 29)                            */
#define ADC_DR3_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DR3: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DR3_TRGINFO4_Pos              (28UL)                    /*!< ADC DR3: TRGINFO4 (Bit 28)                            */
#define ADC_DR3_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DR3: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DR3_TRGINFO3_Pos              (27UL)                    /*!< ADC DR3: TRGINFO3 (Bit 27)                            */
#define ADC_DR3_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DR3: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DR3_TRGINFO2_Pos              (26UL)                    /*!< ADC DR3: TRGINFO2 (Bit 26)                            */
#define ADC_DR3_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DR3: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DR3_TRGINFO1_Pos              (25UL)                    /*!< ADC DR3: TRGINFO1 (Bit 25)                            */
#define ADC_DR3_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DR3: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DR3_TRGINFO0_Pos              (24UL)                    /*!< ADC DR3: TRGINFO0 (Bit 24)                            */
#define ADC_DR3_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DR3: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DR3_ACH_Pos                   (16UL)                    /*!< ADC DR3: ACH (Bit 16)                                 */
#define ADC_DR3_ACH_Msk                   (0x1f0000UL)              /*!< ADC DR3: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_DR3_ADDATA_Pos                (4UL)                     /*!< ADC DR3: ADDATA (Bit 4)                               */
#define ADC_DR3_ADDATA_Msk                (0xfff0UL)                /*!< ADC DR3: ADDATA (Bitfield-Mask: 0xfff)                */
/* ==========================================================  DR4  ========================================================== */
#define ADC_DR4_TRGINFO7_Pos              (31UL)                    /*!< ADC DR4: TRGINFO7 (Bit 31)                            */
#define ADC_DR4_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DR4: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DR4_TRGINFO6_Pos              (30UL)                    /*!< ADC DR4: TRGINFO6 (Bit 30)                            */
#define ADC_DR4_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DR4: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DR4_TRGINFO5_Pos              (29UL)                    /*!< ADC DR4: TRGINFO5 (Bit 29)                            */
#define ADC_DR4_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DR4: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DR4_TRGINFO4_Pos              (28UL)                    /*!< ADC DR4: TRGINFO4 (Bit 28)                            */
#define ADC_DR4_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DR4: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DR4_TRGINFO3_Pos              (27UL)                    /*!< ADC DR4: TRGINFO3 (Bit 27)                            */
#define ADC_DR4_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DR4: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DR4_TRGINFO2_Pos              (26UL)                    /*!< ADC DR4: TRGINFO2 (Bit 26)                            */
#define ADC_DR4_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DR4: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DR4_TRGINFO1_Pos              (25UL)                    /*!< ADC DR4: TRGINFO1 (Bit 25)                            */
#define ADC_DR4_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DR4: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DR4_TRGINFO0_Pos              (24UL)                    /*!< ADC DR4: TRGINFO0 (Bit 24)                            */
#define ADC_DR4_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DR4: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DR4_ACH_Pos                   (16UL)                    /*!< ADC DR4: ACH (Bit 16)                                 */
#define ADC_DR4_ACH_Msk                   (0x1f0000UL)              /*!< ADC DR4: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_DR4_ADDATA_Pos                (4UL)                     /*!< ADC DR4: ADDATA (Bit 4)                               */
#define ADC_DR4_ADDATA_Msk                (0xfff0UL)                /*!< ADC DR4: ADDATA (Bitfield-Mask: 0xfff)                */
/* ==========================================================  DR5  ========================================================== */
#define ADC_DR5_TRGINFO7_Pos              (31UL)                    /*!< ADC DR5: TRGINFO7 (Bit 31)                            */
#define ADC_DR5_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DR5: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DR5_TRGINFO6_Pos              (30UL)                    /*!< ADC DR5: TRGINFO6 (Bit 30)                            */
#define ADC_DR5_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DR5: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DR5_TRGINFO5_Pos              (29UL)                    /*!< ADC DR5: TRGINFO5 (Bit 29)                            */
#define ADC_DR5_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DR5: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DR5_TRGINFO4_Pos              (28UL)                    /*!< ADC DR5: TRGINFO4 (Bit 28)                            */
#define ADC_DR5_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DR5: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DR5_TRGINFO3_Pos              (27UL)                    /*!< ADC DR5: TRGINFO3 (Bit 27)                            */
#define ADC_DR5_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DR5: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DR5_TRGINFO2_Pos              (26UL)                    /*!< ADC DR5: TRGINFO2 (Bit 26)                            */
#define ADC_DR5_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DR5: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DR5_TRGINFO1_Pos              (25UL)                    /*!< ADC DR5: TRGINFO1 (Bit 25)                            */
#define ADC_DR5_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DR5: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DR5_TRGINFO0_Pos              (24UL)                    /*!< ADC DR5: TRGINFO0 (Bit 24)                            */
#define ADC_DR5_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DR5: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DR5_ACH_Pos                   (16UL)                    /*!< ADC DR5: ACH (Bit 16)                                 */
#define ADC_DR5_ACH_Msk                   (0x1f0000UL)              /*!< ADC DR5: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_DR5_ADDATA_Pos                (4UL)                     /*!< ADC DR5: ADDATA (Bit 4)                               */
#define ADC_DR5_ADDATA_Msk                (0xfff0UL)                /*!< ADC DR5: ADDATA (Bitfield-Mask: 0xfff)                */
/* ==========================================================  DR6  ========================================================== */
#define ADC_DR6_TRGINFO7_Pos              (31UL)                    /*!< ADC DR6: TRGINFO7 (Bit 31)                            */
#define ADC_DR6_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DR6: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DR6_TRGINFO6_Pos              (30UL)                    /*!< ADC DR6: TRGINFO6 (Bit 30)                            */
#define ADC_DR6_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DR6: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DR6_TRGINFO5_Pos              (29UL)                    /*!< ADC DR6: TRGINFO5 (Bit 29)                            */
#define ADC_DR6_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DR6: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DR6_TRGINFO4_Pos              (28UL)                    /*!< ADC DR6: TRGINFO4 (Bit 28)                            */
#define ADC_DR6_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DR6: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DR6_TRGINFO3_Pos              (27UL)                    /*!< ADC DR6: TRGINFO3 (Bit 27)                            */
#define ADC_DR6_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DR6: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DR6_TRGINFO2_Pos              (26UL)                    /*!< ADC DR6: TRGINFO2 (Bit 26)                            */
#define ADC_DR6_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DR6: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DR6_TRGINFO1_Pos              (25UL)                    /*!< ADC DR6: TRGINFO1 (Bit 25)                            */
#define ADC_DR6_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DR6: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DR6_TRGINFO0_Pos              (24UL)                    /*!< ADC DR6: TRGINFO0 (Bit 24)                            */
#define ADC_DR6_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DR6: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DR6_ACH_Pos                   (16UL)                    /*!< ADC DR6: ACH (Bit 16)                                 */
#define ADC_DR6_ACH_Msk                   (0x1f0000UL)              /*!< ADC DR6: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_DR6_ADDATA_Pos                (4UL)                     /*!< ADC DR6: ADDATA (Bit 4)                               */
#define ADC_DR6_ADDATA_Msk                (0xfff0UL)                /*!< ADC DR6: ADDATA (Bitfield-Mask: 0xfff)                */
/* ==========================================================  DR7  ========================================================== */
#define ADC_DR7_TRGINFO7_Pos              (31UL)                    /*!< ADC DR7: TRGINFO7 (Bit 31)                            */
#define ADC_DR7_TRGINFO7_Msk              (0x80000000UL)            /*!< ADC DR7: TRGINFO7 (Bitfield-Mask: 0x01)               */
#define ADC_DR7_TRGINFO6_Pos              (30UL)                    /*!< ADC DR7: TRGINFO6 (Bit 30)                            */
#define ADC_DR7_TRGINFO6_Msk              (0x40000000UL)            /*!< ADC DR7: TRGINFO6 (Bitfield-Mask: 0x01)               */
#define ADC_DR7_TRGINFO5_Pos              (29UL)                    /*!< ADC DR7: TRGINFO5 (Bit 29)                            */
#define ADC_DR7_TRGINFO5_Msk              (0x20000000UL)            /*!< ADC DR7: TRGINFO5 (Bitfield-Mask: 0x01)               */
#define ADC_DR7_TRGINFO4_Pos              (28UL)                    /*!< ADC DR7: TRGINFO4 (Bit 28)                            */
#define ADC_DR7_TRGINFO4_Msk              (0x10000000UL)            /*!< ADC DR7: TRGINFO4 (Bitfield-Mask: 0x01)               */
#define ADC_DR7_TRGINFO3_Pos              (27UL)                    /*!< ADC DR7: TRGINFO3 (Bit 27)                            */
#define ADC_DR7_TRGINFO3_Msk              (0x8000000UL)             /*!< ADC DR7: TRGINFO3 (Bitfield-Mask: 0x01)               */
#define ADC_DR7_TRGINFO2_Pos              (26UL)                    /*!< ADC DR7: TRGINFO2 (Bit 26)                            */
#define ADC_DR7_TRGINFO2_Msk              (0x4000000UL)             /*!< ADC DR7: TRGINFO2 (Bitfield-Mask: 0x01)               */
#define ADC_DR7_TRGINFO1_Pos              (25UL)                    /*!< ADC DR7: TRGINFO1 (Bit 25)                            */
#define ADC_DR7_TRGINFO1_Msk              (0x2000000UL)             /*!< ADC DR7: TRGINFO1 (Bitfield-Mask: 0x01)               */
#define ADC_DR7_TRGINFO0_Pos              (24UL)                    /*!< ADC DR7: TRGINFO0 (Bit 24)                            */
#define ADC_DR7_TRGINFO0_Msk              (0x1000000UL)             /*!< ADC DR7: TRGINFO0 (Bitfield-Mask: 0x01)               */
#define ADC_DR7_ACH_Pos                   (16UL)                    /*!< ADC DR7: ACH (Bit 16)                                 */
#define ADC_DR7_ACH_Msk                   (0x1f0000UL)              /*!< ADC DR7: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_DR7_ADDATA_Pos                (4UL)                     /*!< ADC DR7: ADDATA (Bit 4)                               */
#define ADC_DR7_ADDATA_Msk                (0xfff0UL)                /*!< ADC DR7: ADDATA (Bitfield-Mask: 0xfff)                */
/* ==========================================================  IMR  ========================================================== */
#define ADC_IMR_TRGSRC_Pos                (24UL)                    /*!< ADC IMR: TRGSRC (Bit 24)                              */
#define ADC_IMR_TRGSRC_Msk                (0xf000000UL)             /*!< ADC IMR: TRGSRC (Bitfield-Mask: 0x0f)                 */
#define ADC_IMR_CST_Pos                   (16UL)                    /*!< ADC IMR: CST (Bit 16)                                 */
#define ADC_IMR_CST_Msk                   (0x1f0000UL)              /*!< ADC IMR: CST (Bitfield-Mask: 0x1f)                    */
#define ADC_IMR_CHSEL_Pos                 (8UL)                     /*!< ADC IMR: CHSEL (Bit 8)                                */
#define ADC_IMR_CHSEL_Msk                 (0x1f00UL)                /*!< ADC IMR: CHSEL (Bitfield-Mask: 0x1f)                  */
#define ADC_IMR_TRGSEL_Pos                (4UL)                     /*!< ADC IMR: TRGSEL (Bit 4)                               */
#define ADC_IMR_TRGSEL_Msk                (0x70UL)                  /*!< ADC IMR: TRGSEL (Bitfield-Mask: 0x07)                 */
#define ADC_IMR_EXTADCRQEN_Pos            (1UL)                     /*!< ADC IMR: EXTADCRQEN (Bit 1)                           */
#define ADC_IMR_EXTADCRQEN_Msk            (0x2UL)                   /*!< ADC IMR: EXTADCRQEN (Bitfield-Mask: 0x01)             */
#define ADC_IMR_INJECTMODE_Pos            (0UL)                     /*!< ADC IMR: INJECTMODE (Bit 0)                           */
#define ADC_IMR_INJECTMODE_Msk            (0x1UL)                   /*!< ADC IMR: INJECTMODE (Bitfield-Mask: 0x01)             */
/* ==========================================================  ICR  ========================================================== */
#define ADC_ICR_AASTART_Pos               (4UL)                     /*!< ADC ICR: AASTART (Bit 4)                              */
#define ADC_ICR_AASTART_Msk               (0x10UL)                  /*!< ADC ICR: AASTART (Bitfield-Mask: 0x01)                */
#define ADC_ICR_ASTART_Pos                (0UL)                     /*!< ADC ICR: ASTART (Bit 0)                               */
#define ADC_ICR_ASTART_Msk                (0x1UL)                   /*!< ADC ICR: ASTART (Bitfield-Mask: 0x01)                 */
/* ==========================================================  IDR  ========================================================== */
#define ADC_IDR_ACH_Pos                   (16UL)                    /*!< ADC IDR: ACH (Bit 16)                                 */
#define ADC_IDR_ACH_Msk                   (0x1f0000UL)              /*!< ADC IDR: ACH (Bitfield-Mask: 0x1f)                    */
#define ADC_IDR_ADDATA_Pos                (4UL)                     /*!< ADC IDR: ADDATA (Bit 4)                               */
#define ADC_IDR_ADDATA_Msk                (0xfff0UL)                /*!< ADC IDR: ADDATA (Bitfield-Mask: 0xfff)                */
/* =========================================================  CMP0R  ========================================================= */
#define ADC_CMP0R_MATCH_CNT_Pos           (26UL)                    /*!< ADC CMP0R: MATCH_CNT (Bit 26)                         */
#define ADC_CMP0R_MATCH_CNT_Msk           (0xfc000000UL)            /*!< ADC CMP0R: MATCH_CNT (Bitfield-Mask: 0x3f)            */
#define ADC_CMP0R_CMPEN_Pos               (23UL)                    /*!< ADC CMP0R: CMPEN (Bit 23)                             */
#define ADC_CMP0R_CMPEN_Msk               (0x800000UL)              /*!< ADC CMP0R: CMPEN (Bitfield-Mask: 0x01)                */
#define ADC_CMP0R_CMPM_Pos                (21UL)                    /*!< ADC CMP0R: CMPM (Bit 21)                              */
#define ADC_CMP0R_CMPM_Msk                (0x200000UL)              /*!< ADC CMP0R: CMPM (Bitfield-Mask: 0x01)                 */
#define ADC_CMP0R_CCH_Pos                 (16UL)                    /*!< ADC CMP0R: CCH (Bit 16)                               */
#define ADC_CMP0R_CCH_Msk                 (0x1f0000UL)              /*!< ADC CMP0R: CCH (Bitfield-Mask: 0x1f)                  */
#define ADC_CMP0R_CVAL_Pos                (4UL)                     /*!< ADC CMP0R: CVAL (Bit 4)                               */
#define ADC_CMP0R_CVAL_Msk                (0xfff0UL)                /*!< ADC CMP0R: CVAL (Bitfield-Mask: 0xfff)                */
/* =========================================================  CMP1R  ========================================================= */
#define ADC_CMP1R_MATCH_CNT_Pos           (26UL)                    /*!< ADC CMP1R: MATCH_CNT (Bit 26)                         */
#define ADC_CMP1R_MATCH_CNT_Msk           (0xfc000000UL)            /*!< ADC CMP1R: MATCH_CNT (Bitfield-Mask: 0x3f)            */
#define ADC_CMP1R_CMPEN_Pos               (23UL)                    /*!< ADC CMP1R: CMPEN (Bit 23)                             */
#define ADC_CMP1R_CMPEN_Msk               (0x800000UL)              /*!< ADC CMP1R: CMPEN (Bitfield-Mask: 0x01)                */
#define ADC_CMP1R_CMPM_Pos                (21UL)                    /*!< ADC CMP1R: CMPM (Bit 21)                              */
#define ADC_CMP1R_CMPM_Msk                (0x200000UL)              /*!< ADC CMP1R: CMPM (Bitfield-Mask: 0x01)                 */
#define ADC_CMP1R_CCH_Pos                 (16UL)                    /*!< ADC CMP1R: CCH (Bit 16)                               */
#define ADC_CMP1R_CCH_Msk                 (0x1f0000UL)              /*!< ADC CMP1R: CCH (Bitfield-Mask: 0x1f)                  */
#define ADC_CMP1R_CVAL_Pos                (4UL)                     /*!< ADC CMP1R: CVAL (Bit 4)                               */
#define ADC_CMP1R_CVAL_Msk                (0xfff0UL)                /*!< ADC CMP1R: CVAL (Bitfield-Mask: 0xfff)                */
/* =========================================================  CDR0  ========================================================== */
#define ADC_CDR0_ADC1_DATA_Pos            (20UL)                    /*!< ADC CDR0: ADC1_DATA (Bit 20)                          */
#define ADC_CDR0_ADC1_DATA_Msk            (0xfff00000UL)            /*!< ADC CDR0: ADC1_DATA (Bitfield-Mask: 0xfff)            */
#define ADC_CDR0_ADC0_DATA_Pos            (4UL)                     /*!< ADC CDR0: ADC0_DATA (Bit 4)                           */
#define ADC_CDR0_ADC0_DATA_Msk            (0xfff0UL)                /*!< ADC CDR0: ADC0_DATA (Bitfield-Mask: 0xfff)            */
/* =========================================================  CDR1  ========================================================== */
#define ADC_CDR1_ADC2_DATA_Pos            (4UL)                     /*!< ADC CDR1: ADC2_DATA (Bit 4)                           */
#define ADC_CDR1_ADC2_DATA_Msk            (0xfff0UL)                /*!< ADC CDR1: ADC2_DATA (Bitfield-Mask: 0xfff)            */


/* =========================================================================================================================== */
/* ================                                            CMP                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CONF  ========================================================== */
#define CMP_CONF_FLTDIV_Pos               (30UL)                    /*!< CMP CONF: FLTDIV (Bit 30)                             */
#define CMP_CONF_FLTDIV_Msk               (0xc0000000UL)            /*!< CMP CONF: FLTDIV (Bitfield-Mask: 0x03)                */
#define CMP_CONF_FLTSEL_Pos               (24UL)                    /*!< CMP CONF: FLTSEL (Bit 24)                             */
#define CMP_CONF_FLTSEL_Msk               (0x3f000000UL)            /*!< CMP CONF: FLTSEL (Bitfield-Mask: 0x3f)                */
#define CMP_CONF_HYSEN_Pos                (20UL)                    /*!< CMP CONF: HYSEN (Bit 20)                              */
#define CMP_CONF_HYSEN_Msk                (0x100000UL)              /*!< CMP CONF: HYSEN (Bitfield-Mask: 0x01)                 */
#define CMP_CONF_HYSSEL_Pos               (16UL)                    /*!< CMP CONF: HYSSEL (Bit 16)                             */
#define CMP_CONF_HYSSEL_Msk               (0x30000UL)               /*!< CMP CONF: HYSSEL (Bitfield-Mask: 0x03)                */
#define CMP_CONF_INTPOL_Pos               (10UL)                    /*!< CMP CONF: INTPOL (Bit 10)                             */
#define CMP_CONF_INTPOL_Msk               (0x400UL)                 /*!< CMP CONF: INTPOL (Bitfield-Mask: 0x01)                */
#define CMP_CONF_INTTYPE_Pos              (8UL)                     /*!< CMP CONF: INTTYPE (Bit 8)                             */
#define CMP_CONF_INTTYPE_Msk              (0x300UL)                 /*!< CMP CONF: INTTYPE (Bitfield-Mask: 0x03)               */
#define CMP_CONF_CINNSEL_Pos              (4UL)                     /*!< CMP CONF: CINNSEL (Bit 4)                             */
#define CMP_CONF_CINNSEL_Msk              (0x30UL)                  /*!< CMP CONF: CINNSEL (Bitfield-Mask: 0x03)               */
#define CMP_CONF_CINPSEL_Pos              (0UL)                     /*!< CMP CONF: CINPSEL (Bit 0)                             */
#define CMP_CONF_CINPSEL_Msk              (0x3UL)                   /*!< CMP CONF: CINPSEL (Bitfield-Mask: 0x03)               */
/* =========================================================  CTRL  ========================================================== */
#define CMP_CTRL_CMPINTEN_Pos             (8UL)                     /*!< CMP CTRL: CMPINTEN (Bit 8)                            */
#define CMP_CTRL_CMPINTEN_Msk             (0x100UL)                 /*!< CMP CTRL: CMPINTEN (Bitfield-Mask: 0x01)              */
#define CMP_CTRL_CMPEN_Pos                (0UL)                     /*!< CMP CTRL: CMPEN (Bit 0)                               */
#define CMP_CTRL_CMPEN_Msk                (0x1UL)                   /*!< CMP CTRL: CMPEN (Bitfield-Mask: 0x01)                 */
/* =========================================================  STAT  ========================================================== */
#define CMP_STAT_CMPBUSY_Pos              (9UL)                     /*!< CMP STAT: CMPBUSY (Bit 9)                             */
#define CMP_STAT_CMPBUSY_Msk              (0x200UL)                 /*!< CMP STAT: CMPBUSY (Bitfield-Mask: 0x01)               */
#define CMP_STAT_CMPINTF_Pos              (8UL)                     /*!< CMP STAT: CMPINTF (Bit 8)                             */
#define CMP_STAT_CMPINTF_Msk              (0x100UL)                 /*!< CMP STAT: CMPINTF (Bitfield-Mask: 0x01)               */
#define CMP_STAT_CMPFLAG_Pos              (0UL)                     /*!< CMP STAT: CMPFLAG (Bit 0)                             */
#define CMP_STAT_CMPFLAG_Msk              (0x1UL)                   /*!< CMP STAT: CMPFLAG (Bitfield-Mask: 0x01)               */


/* =========================================================================================================================== */
/* ================                                            DAC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  DR  =========================================================== */
#define DAC_DR_DACD_Pos                   (0UL)                     /*!< DAC DR: DACD (Bit 0)                                  */
#define DAC_DR_DACD_Msk                   (0xfffUL)                 /*!< DAC DR: DACD (Bitfield-Mask: 0xfff)                   */
/* ==========================================================  CR  =========================================================== */
#define DAC_CR_PORTOUT_EN_Pos             (10UL)                    /*!< DAC CR: PORTOUT_EN (Bit 10)                           */
#define DAC_CR_PORTOUT_EN_Msk             (0x400UL)                 /*!< DAC CR: PORTOUT_EN (Bitfield-Mask: 0x01)              */
#define DAC_CR_DAC_BUFEN_Pos              (9UL)                     /*!< DAC CR: DAC_BUFEN (Bit 9)                             */
#define DAC_CR_DAC_BUFEN_Msk              (0x200UL)                 /*!< DAC CR: DAC_BUFEN (Bitfield-Mask: 0x01)               */
#define DAC_CR_DAC_EN_Pos                 (8UL)                     /*!< DAC CR: DAC_EN (Bit 8)                                */
#define DAC_CR_DAC_EN_Msk                 (0x100UL)                 /*!< DAC CR: DAC_EN (Bitfield-Mask: 0x01)                  */


/* =========================================================================================================================== */
/* ================                                            RNG                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CTRL  ========================================================== */
#define RNG_CTRL_GCP_Pos                  (16UL)                    /*!< RNG CTRL: GCP (Bit 16)                                */
#define RNG_CTRL_GCP_Msk                  (0xffff0000UL)            /*!< RNG CTRL: GCP (Bitfield-Mask: 0xffff)                 */
#define RNG_CTRL_CCS_Pos                  (15UL)                    /*!< RNG CTRL: CCS (Bit 15)                                */
#define RNG_CTRL_CCS_Msk                  (0x8000UL)                /*!< RNG CTRL: CCS (Bitfield-Mask: 0x01)                   */
#define RNG_CTRL_LCS_Pos                  (14UL)                    /*!< RNG CTRL: LCS (Bit 14)                                */
#define RNG_CTRL_LCS_Msk                  (0x4000UL)                /*!< RNG CTRL: LCS (Bitfield-Mask: 0x01)                   */
#define RNG_CTRL_ERRIE_Pos                (9UL)                     /*!< RNG CTRL: ERRIE (Bit 9)                               */
#define RNG_CTRL_ERRIE_Msk                (0x200UL)                 /*!< RNG CTRL: ERRIE (Bitfield-Mask: 0x01)                 */
#define RNG_CTRL_RDYIE_Pos                (8UL)                     /*!< RNG CTRL: RDYIE (Bit 8)                               */
#define RNG_CTRL_RDYIE_Msk                (0x100UL)                 /*!< RNG CTRL: RDYIE (Bitfield-Mask: 0x01)                 */
#define RNG_CTRL_EN_Pos                   (0UL)                     /*!< RNG CTRL: EN (Bit 0)                                  */
#define RNG_CTRL_EN_Msk                   (0x1UL)                   /*!< RNG CTRL: EN (Bitfield-Mask: 0x01)                    */
/* =========================================================  SEED  ========================================================== */
#define RNG_SEED_SEED_Pos                 (0UL)                     /*!< RNG SEED: SEED (Bit 0)                                */
#define RNG_SEED_SEED_Msk                 (0xffffffffUL)            /*!< RNG SEED: SEED (Bitfield-Mask: 0xffffffff)            */
/* =========================================================  RNGD  ========================================================== */
#define RNG_RNGD_RNG_Data_Pos             (0UL)                     /*!< RNG RNGD: RNG_Data (Bit 0)                            */
#define RNG_RNGD_RNG_Data_Msk             (0xffffffffUL)            /*!< RNG RNGD: RNG_Data (Bitfield-Mask: 0xffffffff)        */
/* =========================================================  STAT  ========================================================== */
#define RNG_STAT_ERRI_Pos                 (9UL)                     /*!< RNG STAT: ERRI (Bit 9)                                */
#define RNG_STAT_ERRI_Msk                 (0x200UL)                 /*!< RNG STAT: ERRI (Bitfield-Mask: 0x01)                  */
#define RNG_STAT_RDYI_Pos                 (8UL)                     /*!< RNG STAT: RDYI (Bit 8)                                */
#define RNG_STAT_RDYI_Msk                 (0x100UL)                 /*!< RNG STAT: RDYI (Bitfield-Mask: 0x01)                  */
#define RNG_STAT_ERR_Pos                  (1UL)                     /*!< RNG STAT: ERR (Bit 1)                                 */
#define RNG_STAT_ERR_Msk                  (0x2UL)                   /*!< RNG STAT: ERR (Bitfield-Mask: 0x01)                   */
#define RNG_STAT_RDY_Pos                  (0UL)                     /*!< RNG STAT: RDY (Bit 0)                                 */
#define RNG_STAT_RDY_Msk                  (0x1UL)                   /*!< RNG STAT: RDY (Bitfield-Mask: 0x01)                   */


/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  CTRL  ========================================================== */
#define CRC_CTRL_OUT_INV_Pos              (21UL)                    /*!< CRC CTRL: OUT_INV (Bit 21)                            */
#define CRC_CTRL_OUT_INV_Msk              (0x200000UL)              /*!< CRC CTRL: OUT_INV (Bitfield-Mask: 0x01)               */
#define CRC_CTRL_OUT_REV_Pos              (20UL)                    /*!< CRC CTRL: OUT_REV (Bit 20)                            */
#define CRC_CTRL_OUT_REV_Msk              (0x100000UL)              /*!< CRC CTRL: OUT_REV (Bitfield-Mask: 0x01)               */
#define CRC_CTRL_IN_REV_Pos               (16UL)                    /*!< CRC CTRL: IN_REV (Bit 16)                             */
#define CRC_CTRL_IN_REV_Msk               (0x10000UL)               /*!< CRC CTRL: IN_REV (Bitfield-Mask: 0x01)                */
#define CRC_CTRL_DMADINTEN_Pos            (8UL)                     /*!< CRC CTRL: DMADINTEN (Bit 8)                           */
#define CRC_CTRL_DMADINTEN_Msk            (0x100UL)                 /*!< CRC CTRL: DMADINTEN (Bitfield-Mask: 0x01)             */
#define CRC_CTRL_POLY_Pos                 (1UL)                     /*!< CRC CTRL: POLY (Bit 1)                                */
#define CRC_CTRL_POLY_Msk                 (0x6UL)                   /*!< CRC CTRL: POLY (Bitfield-Mask: 0x03)                  */
#define CRC_CTRL_INIT_EN_Pos              (0UL)                     /*!< CRC CTRL: INIT_EN (Bit 0)                             */
#define CRC_CTRL_INIT_EN_Msk              (0x1UL)                   /*!< CRC CTRL: INIT_EN (Bitfield-Mask: 0x01)               */
/* =========================================================  INIT  ========================================================== */
#define CRC_INIT_INIT_Pos                 (0UL)                     /*!< CRC INIT: INIT (Bit 0)                                */
#define CRC_INIT_INIT_Msk                 (0xffffffffUL)            /*!< CRC INIT: INIT (Bitfield-Mask: 0xffffffff)            */
/* ==========================================================  IDR  ========================================================== */
#define CRC_IDR_INPUT_Pos                 (0UL)                     /*!< CRC IDR: INPUT (Bit 0)                                */
#define CRC_IDR_INPUT_Msk                 (0xffffffffUL)            /*!< CRC IDR: INPUT (Bitfield-Mask: 0xffffffff)            */
/* ==========================================================  ODR  ========================================================== */
#define CRC_ODR_OUTPUT_Pos                (0UL)                     /*!< CRC ODR: OUTPUT (Bit 0)                               */
#define CRC_ODR_OUTPUT_Msk                (0xffffffffUL)            /*!< CRC ODR: OUTPUT (Bitfield-Mask: 0xffffffff)           */
/* =========================================================  STAT  ========================================================== */
#define CRC_STAT_DMADINT_Pos              (8UL)                     /*!< CRC STAT: DMADINT (Bit 8)                             */
#define CRC_STAT_DMADINT_Msk              (0x100UL)                 /*!< CRC STAT: DMADINT (Bitfield-Mask: 0x01)               */

/** @} */ /* End of group PosMask_peripherals */


#ifdef __cplusplus
}
#endif

#endif /* A34M456_H */


/** @} */ /* End of group a34m456 */

/** @} */ /* End of group ABOV Semiconductor Co., Ltd. */
